export = ClusterGeneralCommissioning;
/**
 * ClusterGeneralCommissioning common constants shared by client and server.
 */
declare class ClusterGeneralCommissioning {
    static CLUSTER_NAME: string;
    static CLUSTER_ID: any;
    static CommissioningError: {
        OK: number;
        ValueOutsideRange: number;
        InvalidAuthentication: number;
        NoFailSafe: number;
        BusyWithOtherAdmin: number;
    };
    static ArmFailSafe: {
        ExpiryLengthSeconds: number;
        Breadcrumb: number;
    };
    static ArmFailSafeResponse: {
        ErrorCode: number;
        DebugText: number;
    };
    static Command: {
        ArmFailSafe: number;
        ArmFailSafeResponse: number;
        SetRegulatoryConfig: number;
        SetRegulatoryConfigResponse: number;
        CommissioningComplete: number;
        CommissioningCompleteResponse: number;
    };
    static Attribute: {
        Breadcrumb: number;
        BasicCommissioningInfo: number;
        RegulatoryConfig: number;
        LocationCapability: number;
        SupportsConcurrentConnection: number;
        GeneratedCommandList: number;
        AcceptedCommandList: number;
        AttributeList: number;
        FeatureMap: number;
        ClusterRevision: number;
    };
    static RegulatoryLocationType: {
        Indoor: number;
        Outdoor: number;
        IndoorOutdoor: number;
    };
    static TemplateCommandArmFailSafe: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandArmFailSafeResponse: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandSetRegulatoryConfig: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandSetRegulatoryConfigResponse: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandCommissioningComplete: (params: any) => never[];
    static TemplateCommandCommissioningCompleteResponse: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
}
