export = ClusterOperationalCredentialsServer;
/**
 * ClusterOperationalCredentialsServer
 */
declare class ClusterOperationalCredentialsServer {
    static CLUSTER_NAME: string;
    static CLUSTER_ID: any;
    static CertificateChainType: {
        DacCertificate: number;
        PaiCertificate: number;
    };
    static Command: {
        AttestationRequest: number;
        AttestationResponse: number;
        CertificateChainRequest: number;
        CertificateChainResponse: number;
        CsrRequest: number;
        CsrResponse: number;
        AddNoc: number;
        UpdateNoc: number;
        NocResponse: number;
        UpdateFabricLabel: number;
        RemoveFabric: number;
        AddTrustedRootCertificate: number;
        RemoveTrustedRootCertificate: number;
    };
    static Attribute: {
        NOCs: number;
        Fabrics: number;
        SupportedFabrics: number;
        CommissionedFabrics: number;
        TrustedRootCertificates: number;
        CurrentFabricIndex: number;
        GeneratedCommandList: number;
        AcceptedCommandList: number;
        AttributeList: number;
        FeatureMap: number;
        ClusterRevision: number;
    };
    static TemplateCommandAttestationRequest: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandAttestationResponse: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandCertificateChainRequest: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandCertificateChainResponse: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandCsrRequest: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandCsrResponse: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandAddNOC: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandUpdateNOC: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandNocResponse: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandUpdateFabricLabel: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandRemoveFabric: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandAddTrustedRootCertificate: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    static TemplateCommandRemoveTrustedRootCertificate: (params: any) => {
        tag: number;
        type: string;
        value: any;
    }[];
    /**
     attestation-elements => STRUCTURE [ tag-order ]
     {
        certification_declaration[1]      : OCTET STRING,
        attestation_nonce[2]              : OCTET STRING [ length 32 ],
        timestamp[3]                      : UNSIGNED INTEGER [ range 32-bits ],
        firmware_information[4, optional] : OCTET STRING,
     }
     */
    static TemplateAttestationElements: (params: any) => {
        type: string;
        value: {
            tag: number;
            type: string;
            value: any;
        }[];
    };
    /**
     nocsr-elements => STRUCTURE [ tag-order ]
     {
        csr[1]                        : OCTET STRING,
        CSRNonce[2]                   : OCTET STRING [ length 32 ],
        vendor_reserved1[3, optional] : OCTET STRING,
        vendor_reserved2[4, optional] : OCTET STRING,
        vendor_reserved3[5, optional] : OCTET STRING
     }
     */
    static TemplateNocsrElements: (params: any) => {
        type: string;
        value: {
            tag: number;
            type: string;
            value: any;
        }[];
    };
    constructor(imManager: any);
    _imManager: any;
    _dataVersion: any;
    _attributes: {
        0: {
            name: string;
            type: string;
            nullable: boolean;
            nosubscribe: boolean;
            readonly: boolean;
        };
        1: {
            name: string;
            type: string;
            nullable: boolean;
            nosubscribe: boolean;
            readonly: boolean;
        };
        2: {
            name: string;
            type: string;
            nullable: boolean;
            nosubscribe: boolean;
            readonly: boolean;
        };
        3: {
            name: string;
            type: string;
            nullable: boolean;
            nosubscribe: boolean;
            readonly: boolean;
        };
        4: {
            name: string;
            type: string;
            nullable: boolean;
            nosubscribe: boolean;
            readonly: boolean;
        };
        5: {
            name: string;
            type: string;
            nullable: boolean;
            nosubscribe: boolean;
            readonly: boolean;
        };
        65528: {
            name: string;
            type: string;
            nullable: boolean;
            nosubscribe: boolean;
            readonly: boolean;
        };
        65529: {
            name: string;
            type: string;
            nullable: boolean;
            nosubscribe: boolean;
            readonly: boolean;
        };
        65531: {
            name: string;
            type: string;
            nullable: boolean;
            nosubscribe: boolean;
            readonly: boolean;
        };
        65532: {
            name: string;
            type: string;
            nullable: boolean;
            nosubscribe: boolean;
            readonly: boolean;
        };
        65533: {
            name: string;
            type: string;
            nullable: boolean;
            nosubscribe: boolean;
            readonly: boolean;
        };
    };
    onCommand(msg: any, path: any): void;
    onCertificateChainRequest(msg: any, commandPath: any): void;
    sendCertificateChainResponse(exchange: any, commandPath: any, certificate: any): void;
    onAttestationRequest(msg: any, commandPath: any): void;
    sendAttestationResponse(exchange: any, commandPath: any, attestationNonce: any): void;
    onCsrRequest(msg: any, commandPath: any): void;
    /**
     * 6.4.6.1. Node Operational Certificate Signing Request (NOCSR) Procedure
     * - Generate a Node Operational Key Pair using Crypto_GenerateKeyPair()
     * - Generate a Certificate Signing Request (CSR) per RFC2986 PKCS #10
     *
     * 11.18.5.7. NOCSR Information
     * - nocsr_elements_message = nocsr-elements{ CSR: from above, CSRNonce: from CSRRequest }
     * - nocsr_tbs = nocsr_elements_message || attestation_challenge (from PASE/CASE session)
     * - attestation_signature = Crypto_Sign(message = nocsr_tbs, privateKey = Device Attestation Key)
     *
     * @see emberAfOperationalCredentialsClusterCSRRequestCallback
     */
    sendCsrResponse(exchange: any, commandPath: any, csrNonce: any): Promise<void>;
    processRootCa(rootCaTlv: any): Promise<void>;
    onAddTrustedRootCertificate(msg: any, commandPath: any): void;
    proccessNoc(nocTlv: any): Promise<void>;
    onAddNoc(msg: any, commandPath: any): void;
    sendNocResponse(exchange: any, commandPath: any, statusCode: any, fabricIndex: any): void;
}
