export = Certificate;
/**
 * Certificate
 */
declare class Certificate {
    static Algorithm: {
        name: string;
        hash: string;
        namedCurve: string;
    };
    static get WebCrypto(): webcrypto.Crypto;
    static epochSec(tSec: any): Date;
    static DerToPem(der: any): string;
    static GenerateKeyPair(): Promise<any>;
    static GeneratePAA(caKeys: any, entityName?: string, lifetime?: number): Promise<x509.X509Certificate>;
    static GeneratePAI(leafKeys: any, caCert: any, caKeys: any, entityName?: string, lifetime?: number): Promise<x509.X509Certificate>;
    static GenerateDAC(leafKeys: any, caCert: any, caKeys: any, entityName?: string, lifetime?: number): Promise<x509.X509Certificate>;
    /**
     * Load the given PEM as an X509Certificate
     * @param {string} pem
     * @returns {x509.X509Certificate}
     */
    static fromPem(pem: string): x509.X509Certificate;
}
import webcrypto = require("@peculiar/webcrypto");
import x509 = require("@peculiar/x509");
