export = CertificateTlv;
/**
 * CertificateTlv
 *
 */
declare class CertificateTlv {
    static MapTagStructure: Map<number, string>;
    static MapTagExtensions: Map<number, string>;
    static MapTagBasicConstraints: Map<number, string>;
    static MapTagDn: Map<number, string>;
    static MapTagDnToOid: {
        NodeId: string;
        FirmwareSigningId: string;
        IcacId: string;
        RcacId: string;
        FabricId: string;
        NocCat: string;
    };
    static MapTagExtendedKeyUsage: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
    };
    constructor(tlv: any);
    _tlv: any;
    get Tlv(): any;
    get Certificate(): x509.X509Certificate | undefined;
    /**
     * Parse given TLV certificate and generate corresponding ASN1 certificate.
     * @see SDK C++ reference implementation -- `DecodeConvertCert`
     * https://github.com/project-chip/connectedhomeip/blob/master/src/credentials/CHIPCertToX509.cpp
     */
    decode(): Promise<x509.X509Certificate>;
    _cert: x509.X509Certificate | undefined;
    /**
     * Given the top-level, pre-mapped fields TLV, parse the Extensions tag field,
     * and generate an array of x509 extensions fields.
     * @param {Array<TlvType.DeterministicJson>} fieldsTlv
     * @returns {Array<x509.Extension>}
     */
    decodeExtensions(fieldsTlv: Array<TlvType.DeterministicJson>): Array<x509.Extension>;
}
import x509 = require("@peculiar/x509");
