export = GroupKey;
declare class GroupKey {
    static kSaltZero: Buffer;
    static kGroupKeyInfo: Buffer;
    static kGroupKeyHashInfo: Buffer;
    static kPrivacyKeyInfo: Buffer;
    /**
    OperationalGroupKey =
        Crypto_KDF
        (
            InputKey = Epoch Key,
            Salt = CompressedFabricIdentifier,
            Info = "GroupKey v1.0",
            Length = CRYPTO_SYMMETRIC_KEY_LENGTH_BITS
        )
     *
     * @param {Buffer} epochKey
     * @param {Buffer} compressedFabricId
     * @returns {Buffer} operationalGroupKey
     */
    static DeriveGroupKey(epochKey: Buffer, compressedFabricId: Buffer): Buffer;
    /**
    GKH = Crypto_KDF (
        InputKey = OperationalGroupKey,
        Salt = [],
        Info = "GroupKeyHash",
        Length = 16)
     *
     * @param {Buffer} groupKey
     * @returns {Buffer} groupKeyHash (groupSessionId)
     */
    static DeriveGroupKeyHash(groupKey: Buffer): Buffer;
    /**
    PrivacyKey =
         Crypto_KDF
         (
            InputKey = EncryptionKey,
            Salt = [],
            Info = "PrivacyKey",
            Length = CRYPTO_SYMMETRIC_KEY_LENGTH_BITS
         )
     *
     * @param {Buffer} groupKey
     * @returns {Buffer} privacyKey
     */
    static DerivePrivacyKey(groupKey: Buffer): Buffer;
}
