export = ExpectProcess;
/**
 * ExpectProcess
 */
declare class ExpectProcess {
    static COLOR_YELLOW: string;
    static DEFAULT_TIMEOUT: number;
    static escapeRegExp(text: any): any;
    constructor(c: any);
    stdoutQ: AsyncQueue;
    stderrQ: AsyncQueue;
    timeout: number;
    set Timeout(arg: number);
    get Timeout(): number;
    initChild(child: any): void;
    process: any;
    /**
     * Execute the given shell command as a child subprocess.
     *
     * @param {*} command Command to spawn
     * @param {*} args Array of arguments to pass to child process
     */
    spawn(command: any, args: any): void;
    command: any;
    /**
     * Execute the given node.js script as a child subprocess.
     *
     * @param {*} command Node.js script to fork
     * @param {*} args Array of arguments to pass to child process
     */
    fork(command: any, args: any): void;
    sendRaw(line: any): void;
    send(line: any): void;
    sendEof(): void;
    message(msg: any): void;
    exit(): void;
    kill(): void;
    /**
     * Compare the given condition against the given line and throw an exception if no match.
     *
     * @param {*} condition
     * @param {*} line
     */
    expectLine(condition: any, line: any): void;
    /**
     * Compare the given condition against the given line and throw an exception if no match.
     *
     * @param {*} condition
     * @returns this
     */
    expectNext(condition: any): Promise<void>;
    expectMatch(condition: any, line: any): any;
    expectSearch(condition: any): Promise<any>;
    /**
     * Expect the given condition string converted to a RegEx.
     * @param {string} condition
     */
    expectRegEx(condition: string): Promise<void>;
    expect(condition: any): Promise<void>;
}
import AsyncQueue = require("../async/AsyncQueue");
