export = ExchangeManager;
/**
 * ExchangeManager handles all incoming and outgoing packets within an Exchange context.
 * The underlying session is hidden from users of the Exchange.
 *
 * To subscribe to handle the initial unsolicited protocol message of a new Exchange:
 *    exchangeMgr.on(Number(PROTOCOL_ID), (msg, exchange) => { self.onProtocolMessage(msg, exchange) })
 *
 * To subscribe to handle subsequent messages on an Exchange:
 *    exchange.on("message", (msg, exchange) => { self.onExchangeMessage(msg, exchange) })
 */
declare class ExchangeManager extends EventEmitter {
    constructor(sessionManager: any);
    _nextExchangeId: number;
    _exchanges: any[];
    _protocolHandlers: any[];
    _sessionManager: any;
    getExchange(session: any, msg: any): any;
    newExchange(session?: null, msg?: null, isInitiator?: boolean): Exchange;
    deleteExchange(exchange: any): void;
    onSessionMessage(msg: any, session: any): void;
    onUnsecuredMessage(msg: any, session: any): void;
}
import EventEmitter = require("events");
import Exchange = require("./Exchange");
