export = Discovery;
/**
 * Class to manage mDNS discovery operations.
 */
declare class Discovery {
    static MDNS_TTL_TIMEOUT: number;
    static MDNS_DOMAIN_OPERATIONAL: string;
    static MDNS_DOMAIN_COMMISSIONABLE: string;
    static MDNS_DOMAIN_COMMISSIONER: string;
    mdnsTarget: string;
    set IpPort(arg: any);
    get IpPort(): any;
    _ipPort: any;
    update(): void;
    mdnsInterfaces: any[] | undefined;
    destroy(): void;
    initListener(iface: any, ipAddr: any): any;
    onResponse(response: any, mdns: any): void;
    /**
     * Responds to a DNS-SD query for Commissionable Nodes.
     * @param {*} query
     * @param {*} ip6Addr
     */
    onCommissionableDiscovery(query: any, ip6Addr: any, mdns: any): void;
    /**
     * Responds to
     * @param {*} query
     * @param {*} ip6Addr
     */
    onOperationalDiscovery(query: any, ip6Addr: any, mdns: any): void;
    /**
     * Enables responses for mdns queries.
     */
    initServer(mdns: any, ip6Addr: any): void;
    onQuery(query: any, ip6Addr: any, mdns: any): void;
    setTarget(mdnsTarget: any): void;
    /**
     * Query for all visible Matter Nodes on all interfaces.
     */
    queryAll(serviceName?: string, queryType?: string): void;
    /**
     * Send mdns response on all interfaces.
     */
    respondAll(responseJson: any): void;
}
