export = CommandPath;
declare class CommandPath {
    constructor(pathTlv?: undefined);
    set EndpointId(arg: any);
    get EndpointId(): any;
    set ClusterId(arg: any);
    get ClusterId(): any;
    set CommandId(arg: any);
    get CommandId(): any;
    _endpointId: any;
    _clusterId: any;
    _commandId: any;
    /**
     * Write out as TLV binary format.
     *
     * Example:
     *      CommandPathIB = //0:endpoint/1:cluster/2:command
     *
     *      CommandPathIB (0) =
     *      {
     *        EndpointId (0) = 0x0,
     *        ClusterId (1) = 0x30,
     *        CommandId (2) = 0x0,
     *      }
     *
     * @param {TlvWriter} writer    TlvWriter object to encode path to
     * @param {Number} tag          TLV tag to use for AttributePathIB
     */
    serialize(writer: any, tag?: number): void;
    /**
     * Write out as CommandPathIB javascript object.
     */
    template(tag?: number): {
        tag: number;
        type: string;
        value: {
            tag: number;
            type: string;
            value: any;
        }[];
    };
    toString(): string;
    /**
     * Write this path's contents to logger.trace():
     *      TRACE: CommandPath = /EP0/C48/Cmd0
     */
    trace(): void;
}
