export = InteractionModel;
declare class InteractionModel {
    static PROTOCOL_ID: any;
    /**
     * Constructor for new InteractionModel protocol object.
     *
     * @param {*} exchangeMgr
     */
    constructor(exchangeMgr: any);
    _exchangeMgr: any;
    _clusterMap: {
        ClusterBasicServer: any;
        ClusterGeneralCommissioningServer: any;
        ClusterNetworkCommissioningServer: any;
        ClusterOperationalCredentialsServer: any;
    };
    get ClusterMap(): {
        ClusterBasicServer: any;
        ClusterGeneralCommissioningServer: any;
        ClusterNetworkCommissioningServer: any;
        ClusterOperationalCredentialsServer: any;
    };
    opcodeName(opcode: any): "StatusResponse" | "ReadRequest" | "SubscribeRequest" | "SubscribeResponse" | "ReportData" | "WriteRequest" | "WriteResponse" | "InvokeCommandRequest" | "InvokeCommandResponse" | "TimedRequest" | "Unknown";
    /**
     * Handles legal, unsolicited messages for this protocol to create the appropriate exchange handlers.
     *
     * @param {*} msg incoming Message object
     * @param {*} exchange incoming Exchange object
     */
    onProtocolMessage(msg: any, exchange: any): void;
    onStatusResponse(msg: any): void;
}
