export = SessionProtocol;
declare class SessionProtocol {
    /**
     * Constructor for SessionProtocol manager.
     * Note: Unlike regular protocol managers, SessionProtocol is given access to the SessionManager,
     * as PaseSession and CaseSession create new Session objects with negotiated keys.
     *
     * @param {*} exchangeMgr The ExchangeManager singleton.
     * @param {*} sessionMgr The SessionManager singleton.
     */
    constructor(exchangeMgr: any, sessionMgr: any);
    _exchangeMgr: any;
    _sessionMgr: any;
    _paseSessions: any[];
    _pairingCodes: {};
    pairingCodeAdd(pairingCode: any): void;
    pairingCodeRemove(pairingCode: any): void;
    getPase(exchange: any): any;
    newPase(exchange: any): PaseSession;
    /**
     * Handles legal, unsolicited messages for this protocol to create the appropriate exchange handlers.
     *
     * @param {*} msg incoming Message object
     * @param {*} exchange incoming Exchange object
     */
    onProtocolMessage(msg: any, exchange: any): void;
}
import PaseSession = require("./PaseSession");
