/// <reference types="node" />
export = Shell;
/**
 * Class to process and dispatch shell commands.
 */
declare class Shell {
    /**
     * Construct a new Shell object.
     *
     * @param {string} prompt Prompt string to use for each command line.
     * @param {Array} commandList Array of JSON commands dispatch structures.
     */
    constructor(prompt: string, commandList: any[]);
    prompt: string;
    commandList: any[];
    configExecPassthrough: boolean;
    readline: readline.Interface;
    /**
     * Method to process a line of raw cli text input.
     *
     * @param {string} line
     */
    onReadLine(line: string): void;
}
import readline = require("readline");
