"use strict";
/**
 * Copyright 2022 Project CHIP Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const yargs = require('yargs');
const logger = require("../util/Logger");
/**
 * Output a log message.
 *
 * Usage:
 *      log <msg>
 *      log --level <level> <msg>
 */
function doLog(args) {
    const argv = yargs(args)
        .option('level', {
        alias: 'l',
        description: 'level to log at',
        type: 'string',
    })
        .exitProcess(false)
        .help()
        .parse();
    if (argv.help)
        return 0;
    if (args.length > 1) {
        logger.trace(args[1]);
        logger.debug(args[1]);
        logger.info(args[1]);
        logger.warn(args[1]);
        logger.error(args[1]);
        logger.fatal(args[1]);
    }
    return 0;
}
module.exports = {
    doLog
};
//# sourceMappingURL=cmd_log.js.map