"use strict";
/**
 * Copyright 2022 Project CHIP Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const yargs = require('yargs');
const Discovery = require('../net/Discovery');
/**
 * Execute the mDNS client.
 *
 * @param {Array} args
 * @returns 0
 */
function doMdns(args) {
    var serviceName;
    const argv = yargs(args)
        .option('matterd', {
        alias: 'd',
        description: 'Discover commissioners (matterd)',
        type: 'boolean',
    })
        .option('matterc', {
        alias: 'c',
        description: 'Discover commissionable nodes (matterc)',
        type: 'boolean',
    })
        .exitProcess(false)
        .parse();
    if (argv.help)
        return 0;
    if (argv.c) {
        serviceName = Discovery.MDNS_DOMAIN_COMMISSIONABLE;
    }
    else if (argv.d) {
        serviceName = Discovery.MDNS_DOMAIN_COMMISSIONER;
    }
    else {
        serviceName = Discovery.MDNS_DOMAIN_OPERATIONAL;
    }
    console.log("Discover: " + serviceName);
    theNode.Discovery.queryAll(serviceName);
    return 0;
}
module.exports = {
    doMdns
};
//# sourceMappingURL=cmd_mdns.js.map