"use strict";
function calculateDaysBetweenDates(begin, end) {
    var millisecondsPerDay = 24 * 60 * 60 * 1000;
    return (end - begin) / millisecondsPerDay;
}
function findNestedProperty(obj, path) {
    var parts = path.split('.');
    var property = obj;
    for (var i = 0; i < parts.length; i++) {
        property = property[parts[i]];
    }
    return property;
}
function parseObject(obj) {
    var result = {};
    for (var property in obj) {
        if (obj.hasOwnProperty(property)) {
            if (typeof obj[property] === 'object') {
                result[property] = parseObject(obj[property]);
            }
            else {
                result[property] = obj[property];
            }
        }
    }
    return result;
}
//# sourceMappingURL=TestCopilot.js.map