"use strict";
const assert = require("assert");
function toRoman(num) {
    var oneMap = ['', 'I', 'II', 'III', 'IV', 'V', 'VI', 'VII', 'VIII', 'IX'];
    var tenMap = ['', 'X', 'XX', 'XXX', 'XL', 'L', 'LX', 'LXX', 'LXXX', 'XC'];
    var hunMap = ['', 'C', 'CC', 'CCC', 'CD', 'D', 'DC', 'DCC', 'DCCC', 'CM'];
    var thoMap = ['', 'M', 'MM', 'MMM'];
    var thoIdx = Math.floor(num / 1000) % 10;
    var hunIdx = Math.floor(num / 100) % 10;
    var tenIdx = Math.floor(num / 10) % 10;
    var oneIdx = Math.floor(num / 1) % 10;
    return thoMap[thoIdx] + hunMap[hunIdx] + tenMap[tenIdx] + oneMap[oneIdx];
}
const theTestVector = [
    { num: 1, roman: 'I' },
    { num: 2, roman: 'II' },
    { num: 3, roman: 'III' },
    { num: 4, roman: 'IV' },
    { num: 5, roman: 'V' },
    { num: 101, roman: 'CI' },
    { num: 1957, roman: 'MCMLVII' },
    { num: 2020, roman: 'MMXX' },
    { num: 2022, roman: 'MMXXII' },
    // ...
];
function testRoman() {
    theTestVector.forEach((entry) => {
        assert.equal(toRoman(entry.num), entry.roman);
    });
}
testRoman();
//# sourceMappingURL=TestRoman.js.map