// AUTO-GENERATED by zap

// NOTE: This implementation generates a boiler plate starting point for cluster implementations.
// The actual implementations are manually written currently.

/**
 * Copyright 2022 Project CHIP Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *  https://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * ClusterAccessControlServer
 */
class ClusterAccessControlServer
{
    static CLUSTER_NAME = 'ACCESS_CONTROL_CLUSTER'
    static CLUSTER_ID = 0x001F

    static Command = {
    }

    static Attribute = {
        Acl: 0,
        Extension: 1,
        SubjectsPerAccessControlEntry: 2,
        TargetsPerAccessControlEntry: 3,
        AccessControlEntriesPerFabric: 4,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterAccessControlServer.Attribute.Acl
                "name": "Acl",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterAccessControlServer.Attribute.Extension
                "name": "Extension",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterAccessControlServer.Attribute.SubjectsPerAccessControlEntry
                "name": "SubjectsPerAccessControlEntry",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterAccessControlServer.Attribute.TargetsPerAccessControlEntry
                "name": "TargetsPerAccessControlEntry",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterAccessControlServer.Attribute.AccessControlEntriesPerFabric
                "name": "AccessControlEntriesPerFabric",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterAccessControlServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterAccessControlServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterAccessControlServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterAccessControlServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterAccessControlServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterAccountLoginServer
 */
class ClusterAccountLoginServer
{
    static CLUSTER_NAME = 'ACCOUNT_LOGIN_CLUSTER'
    static CLUSTER_ID = 0x050E

    static Command = {
        GetSetupPIN: 0,
        GetSetupPINResponse: 1,
        Login: 2,
        Logout: 3,
    }

    static Attribute = {
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandGetSetupPIN = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::CharSpan', 'value': params.TempAccountIdentifier },
        ]
    }
    static TemplateCommandGetSetupPINResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::CharSpan', 'value': params.SetupPIN },
        ]
    }
    static TemplateCommandLogin = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::CharSpan', 'value': params.TempAccountIdentifier },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.SetupPIN },
        ]
    }
    static TemplateCommandLogout = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            65528: { // ClusterAccountLoginServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterAccountLoginServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterAccountLoginServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterAccountLoginServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterAccountLoginServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterAccountLoginServer.Command.GetSetupPIN: this.onGetSetupPIN(msg, path); break;
            case ClusterAccountLoginServer.Command.GetSetupPINResponse: this.onGetSetupPINResponse(msg, path); break;
            case ClusterAccountLoginServer.Command.Login: this.onLogin(msg, path); break;
            case ClusterAccountLoginServer.Command.Logout: this.onLogout(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onGetSetupPIN(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetSetupPIN")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetSetupPINResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetSetupPINResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onLogin(msg, commandPath)
    {
        console.log(this.constructor.name+".onLogin")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onLogout(msg, commandPath)
    {
        console.log(this.constructor.name+".onLogout")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterAdministratorCommissioningServer
 */
class ClusterAdministratorCommissioningServer
{
    static CLUSTER_NAME = 'ADMINISTRATOR_COMMISSIONING_CLUSTER'
    static CLUSTER_ID = 0x003C

    static Command = {
        OpenCommissioningWindow: 0,
        OpenBasicCommissioningWindow: 1,
        RevokeCommissioning: 2,
    }

    static Attribute = {
        WindowStatus: 0,
        AdminFabricIndex: 1,
        AdminVendorId: 2,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandOpenCommissioningWindow = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.CommissioningTimeout },
          { 'tag': 1, 'type': 'chip::ByteSpan', 'value': params.PAKEVerifier },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.Discriminator },
          { 'tag': 3, 'type': 'uint32_t', 'value': params.Iterations },
          { 'tag': 4, 'type': 'chip::ByteSpan', 'value': params.Salt },
        ]
    }
    static TemplateCommandOpenBasicCommissioningWindow = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.CommissioningTimeout },
        ]
    }
    static TemplateCommandRevokeCommissioning = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterAdministratorCommissioningServer.Attribute.WindowStatus
                "name": "WindowStatus",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterAdministratorCommissioningServer.Attribute.AdminFabricIndex
                "name": "AdminFabricIndex",
                "type": "fabric_idx",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterAdministratorCommissioningServer.Attribute.AdminVendorId
                "name": "AdminVendorId",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterAdministratorCommissioningServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterAdministratorCommissioningServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterAdministratorCommissioningServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterAdministratorCommissioningServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterAdministratorCommissioningServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterAdministratorCommissioningServer.Command.OpenCommissioningWindow: this.onOpenCommissioningWindow(msg, path); break;
            case ClusterAdministratorCommissioningServer.Command.OpenBasicCommissioningWindow: this.onOpenBasicCommissioningWindow(msg, path); break;
            case ClusterAdministratorCommissioningServer.Command.RevokeCommissioning: this.onRevokeCommissioning(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onOpenCommissioningWindow(msg, commandPath)
    {
        console.log(this.constructor.name+".onOpenCommissioningWindow")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onOpenBasicCommissioningWindow(msg, commandPath)
    {
        console.log(this.constructor.name+".onOpenBasicCommissioningWindow")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRevokeCommissioning(msg, commandPath)
    {
        console.log(this.constructor.name+".onRevokeCommissioning")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterApplicationBasicServer
 */
class ClusterApplicationBasicServer
{
    static CLUSTER_NAME = 'APPLICATION_BASIC_CLUSTER'
    static CLUSTER_ID = 0x050D

    static Command = {
    }

    static Attribute = {
        VendorName: 0,
        VendorID: 1,
        ApplicationName: 2,
        ProductID: 3,
        Application: 4,
        Status: 5,
        ApplicationVersion: 6,
        AllowedVendorList: 7,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterApplicationBasicServer.Attribute.VendorName
                "name": "VendorName",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterApplicationBasicServer.Attribute.VendorID
                "name": "VendorID",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterApplicationBasicServer.Attribute.ApplicationName
                "name": "ApplicationName",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterApplicationBasicServer.Attribute.ProductID
                "name": "ProductID",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterApplicationBasicServer.Attribute.Application
                "name": "Application",
                "type": "ApplicationBasicApplication",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterApplicationBasicServer.Attribute.Status
                "name": "Status",
                "type": "ApplicationStatusEnum",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterApplicationBasicServer.Attribute.ApplicationVersion
                "name": "ApplicationVersion",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterApplicationBasicServer.Attribute.AllowedVendorList
                "name": "AllowedVendorList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterApplicationBasicServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterApplicationBasicServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterApplicationBasicServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterApplicationBasicServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterApplicationBasicServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterApplicationLauncherServer
 */
class ClusterApplicationLauncherServer
{
    static CLUSTER_NAME = 'APPLICATION_LAUNCHER_CLUSTER'
    static CLUSTER_ID = 0x050C

    static Command = {
        LaunchApp: 0,
        StopApp: 1,
        HideApp: 2,
        LauncherResponse: 3,
    }

    static Attribute = {
        CatalogList: 0,
        CurrentApp: 1,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandLaunchApp = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.Application
          { 'tag': 1, 'type': 'chip::ByteSpan', 'value': params.Data },
        ]
    }
    static TemplateCommandStopApp = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.Application
        ]
    }
    static TemplateCommandHideApp = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.Application
        ]
    }
    static TemplateCommandLauncherResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'chip::ByteSpan', 'value': params.Data },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterApplicationLauncherServer.Attribute.CatalogList
                "name": "CatalogList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterApplicationLauncherServer.Attribute.CurrentApp
                "name": "CurrentApp",
                "type": "ApplicationEP",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterApplicationLauncherServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterApplicationLauncherServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterApplicationLauncherServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterApplicationLauncherServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterApplicationLauncherServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterApplicationLauncherServer.Command.LaunchApp: this.onLaunchApp(msg, path); break;
            case ClusterApplicationLauncherServer.Command.StopApp: this.onStopApp(msg, path); break;
            case ClusterApplicationLauncherServer.Command.HideApp: this.onHideApp(msg, path); break;
            case ClusterApplicationLauncherServer.Command.LauncherResponse: this.onLauncherResponse(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onLaunchApp(msg, commandPath)
    {
        console.log(this.constructor.name+".onLaunchApp")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStopApp(msg, commandPath)
    {
        console.log(this.constructor.name+".onStopApp")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onHideApp(msg, commandPath)
    {
        console.log(this.constructor.name+".onHideApp")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onLauncherResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onLauncherResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterAudioOutputServer
 */
class ClusterAudioOutputServer
{
    static CLUSTER_NAME = 'AUDIO_OUTPUT_CLUSTER'
    static CLUSTER_ID = 0x050B

    static Command = {
        SelectOutput: 0,
        RenameOutput: 1,
    }

    static Attribute = {
        OutputList: 0,
        CurrentOutput: 1,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandSelectOutput = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Index },
        ]
    }
    static TemplateCommandRenameOutput = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Index },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.Name },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterAudioOutputServer.Attribute.OutputList
                "name": "OutputList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterAudioOutputServer.Attribute.CurrentOutput
                "name": "CurrentOutput",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterAudioOutputServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterAudioOutputServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterAudioOutputServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterAudioOutputServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterAudioOutputServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterAudioOutputServer.Command.SelectOutput: this.onSelectOutput(msg, path); break;
            case ClusterAudioOutputServer.Command.RenameOutput: this.onRenameOutput(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onSelectOutput(msg, commandPath)
    {
        console.log(this.constructor.name+".onSelectOutput")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRenameOutput(msg, commandPath)
    {
        console.log(this.constructor.name+".onRenameOutput")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterBarrierControlServer
 */
class ClusterBarrierControlServer
{
    static CLUSTER_NAME = 'BARRIER_CONTROL_CLUSTER'
    static CLUSTER_ID = 0x0103

    static Command = {
        BarrierControlGoToPercent: 0,
        BarrierControlStop: 1,
    }

    static Attribute = {
        BarrierMovingState: 1,
        BarrierSafetyStatus: 2,
        BarrierCapabilities: 3,
        BarrierOpenEvents: 4,
        BarrierCloseEvents: 5,
        BarrierCommandOpenEvents: 6,
        BarrierCommandCloseEvents: 7,
        BarrierOpenPeriod: 8,
        BarrierClosePeriod: 9,
        BarrierPosition: 10,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandBarrierControlGoToPercent = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.PercentOpen },
        ]
    }
    static TemplateCommandBarrierControlStop = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            1: { // ClusterBarrierControlServer.Attribute.BarrierMovingState
                "name": "BarrierMovingState",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterBarrierControlServer.Attribute.BarrierSafetyStatus
                "name": "BarrierSafetyStatus",
                "type": "bitmap16",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterBarrierControlServer.Attribute.BarrierCapabilities
                "name": "BarrierCapabilities",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterBarrierControlServer.Attribute.BarrierOpenEvents
                "name": "BarrierOpenEvents",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterBarrierControlServer.Attribute.BarrierCloseEvents
                "name": "BarrierCloseEvents",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterBarrierControlServer.Attribute.BarrierCommandOpenEvents
                "name": "BarrierCommandOpenEvents",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterBarrierControlServer.Attribute.BarrierCommandCloseEvents
                "name": "BarrierCommandCloseEvents",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterBarrierControlServer.Attribute.BarrierOpenPeriod
                "name": "BarrierOpenPeriod",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            9: { // ClusterBarrierControlServer.Attribute.BarrierClosePeriod
                "name": "BarrierClosePeriod",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            10: { // ClusterBarrierControlServer.Attribute.BarrierPosition
                "name": "BarrierPosition",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterBarrierControlServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterBarrierControlServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterBarrierControlServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterBarrierControlServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterBarrierControlServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterBarrierControlServer.Command.BarrierControlGoToPercent: this.onBarrierControlGoToPercent(msg, path); break;
            case ClusterBarrierControlServer.Command.BarrierControlStop: this.onBarrierControlStop(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onBarrierControlGoToPercent(msg, commandPath)
    {
        console.log(this.constructor.name+".onBarrierControlGoToPercent")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onBarrierControlStop(msg, commandPath)
    {
        console.log(this.constructor.name+".onBarrierControlStop")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterBasicServer
 */
class ClusterBasicServer
{
    static CLUSTER_NAME = 'BASIC_CLUSTER'
    static CLUSTER_ID = 0x0028

    static Command = {
        MfgSpecificPing: 0,
    }

    static Attribute = {
        DataModelRevision: 0,
        VendorName: 1,
        VendorID: 2,
        ProductName: 3,
        ProductID: 4,
        NodeLabel: 5,
        Location: 6,
        HardwareVersion: 7,
        HardwareVersionString: 8,
        SoftwareVersion: 9,
        SoftwareVersionString: 10,
        ManufacturingDate: 11,
        PartNumber: 12,
        ProductURL: 13,
        ProductLabel: 14,
        SerialNumber: 15,
        LocalConfigDisabled: 16,
        Reachable: 17,
        UniqueID: 18,
        CapabilityMinima: 19,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandMfgSpecificPing = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterBasicServer.Attribute.DataModelRevision
                "name": "DataModelRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterBasicServer.Attribute.VendorName
                "name": "VendorName",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterBasicServer.Attribute.VendorID
                "name": "VendorID",
                "type": "vendor_id",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterBasicServer.Attribute.ProductName
                "name": "ProductName",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterBasicServer.Attribute.ProductID
                "name": "ProductID",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterBasicServer.Attribute.NodeLabel
                "name": "NodeLabel",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterBasicServer.Attribute.Location
                "name": "Location",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterBasicServer.Attribute.HardwareVersion
                "name": "HardwareVersion",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterBasicServer.Attribute.HardwareVersionString
                "name": "HardwareVersionString",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            9: { // ClusterBasicServer.Attribute.SoftwareVersion
                "name": "SoftwareVersion",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            10: { // ClusterBasicServer.Attribute.SoftwareVersionString
                "name": "SoftwareVersionString",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            11: { // ClusterBasicServer.Attribute.ManufacturingDate
                "name": "ManufacturingDate",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            12: { // ClusterBasicServer.Attribute.PartNumber
                "name": "PartNumber",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            13: { // ClusterBasicServer.Attribute.ProductURL
                "name": "ProductURL",
                "type": "long_char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            14: { // ClusterBasicServer.Attribute.ProductLabel
                "name": "ProductLabel",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            15: { // ClusterBasicServer.Attribute.SerialNumber
                "name": "SerialNumber",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterBasicServer.Attribute.LocalConfigDisabled
                "name": "LocalConfigDisabled",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterBasicServer.Attribute.Reachable
                "name": "Reachable",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterBasicServer.Attribute.UniqueID
                "name": "UniqueID",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterBasicServer.Attribute.CapabilityMinima
                "name": "CapabilityMinima",
                "type": "CapabilityMinimaStruct",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterBasicServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterBasicServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterBasicServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterBasicServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterBasicServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterBasicServer.Command.MfgSpecificPing: this.onMfgSpecificPing(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onMfgSpecificPing(msg, commandPath)
    {
        console.log(this.constructor.name+".onMfgSpecificPing")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterBinaryInputBasicServer
 */
class ClusterBinaryInputBasicServer
{
    static CLUSTER_NAME = 'BINARY_INPUT_BASIC_CLUSTER'
    static CLUSTER_ID = 0x000F

    static Command = {
    }

    static Attribute = {
        ActiveText: 4,
        Description: 28,
        InactiveText: 46,
        OutOfService: 81,
        Polarity: 84,
        PresentValue: 85,
        Reliability: 103,
        StatusFlags: 111,
        ApplicationType: 256,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            4: { // ClusterBinaryInputBasicServer.Attribute.ActiveText
                "name": "ActiveText",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            28: { // ClusterBinaryInputBasicServer.Attribute.Description
                "name": "Description",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            46: { // ClusterBinaryInputBasicServer.Attribute.InactiveText
                "name": "InactiveText",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            81: { // ClusterBinaryInputBasicServer.Attribute.OutOfService
                "name": "OutOfService",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            84: { // ClusterBinaryInputBasicServer.Attribute.Polarity
                "name": "Polarity",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            85: { // ClusterBinaryInputBasicServer.Attribute.PresentValue
                "name": "PresentValue",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            103: { // ClusterBinaryInputBasicServer.Attribute.Reliability
                "name": "Reliability",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            111: { // ClusterBinaryInputBasicServer.Attribute.StatusFlags
                "name": "StatusFlags",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            256: { // ClusterBinaryInputBasicServer.Attribute.ApplicationType
                "name": "ApplicationType",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterBinaryInputBasicServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterBinaryInputBasicServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterBinaryInputBasicServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterBinaryInputBasicServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterBinaryInputBasicServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterBindingServer
 */
class ClusterBindingServer
{
    static CLUSTER_NAME = 'BINDING_CLUSTER'
    static CLUSTER_ID = 0x001E

    static Command = {
    }

    static Attribute = {
        Binding: 0,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterBindingServer.Attribute.Binding
                "name": "Binding",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterBindingServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterBindingServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterBindingServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterBindingServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterBindingServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterBooleanStateServer
 */
class ClusterBooleanStateServer
{
    static CLUSTER_NAME = 'BOOLEAN_STATE_CLUSTER'
    static CLUSTER_ID = 0x0045

    static Command = {
    }

    static Attribute = {
        StateValue: 0,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterBooleanStateServer.Attribute.StateValue
                "name": "StateValue",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterBooleanStateServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterBooleanStateServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterBooleanStateServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterBooleanStateServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterBooleanStateServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterBridgedActionsServer
 */
class ClusterBridgedActionsServer
{
    static CLUSTER_NAME = 'BRIDGED_ACTIONS_CLUSTER'
    static CLUSTER_ID = 0x0025

    static Command = {
        InstantAction: 0,
        InstantActionWithTransition: 1,
        StartAction: 2,
        StartActionWithDuration: 3,
        StopAction: 4,
        PauseAction: 5,
        PauseActionWithDuration: 6,
        ResumeAction: 7,
        EnableAction: 8,
        EnableActionWithDuration: 9,
        DisableAction: 10,
        DisableActionWithDuration: 11,
    }

    static Attribute = {
        ActionList: 0,
        EndpointList: 1,
        SetupUrl: 2,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandInstantAction = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
        ]
    }
    static TemplateCommandInstantActionWithTransition = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
        ]
    }
    static TemplateCommandStartAction = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
        ]
    }
    static TemplateCommandStartActionWithDuration = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
          { 'tag': 2, 'type': 'uint32_t', 'value': params.Duration },
        ]
    }
    static TemplateCommandStopAction = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
        ]
    }
    static TemplateCommandPauseAction = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
        ]
    }
    static TemplateCommandPauseActionWithDuration = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
          { 'tag': 2, 'type': 'uint32_t', 'value': params.Duration },
        ]
    }
    static TemplateCommandResumeAction = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
        ]
    }
    static TemplateCommandEnableAction = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
        ]
    }
    static TemplateCommandEnableActionWithDuration = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
          { 'tag': 2, 'type': 'uint32_t', 'value': params.Duration },
        ]
    }
    static TemplateCommandDisableAction = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
        ]
    }
    static TemplateCommandDisableActionWithDuration = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ActionID },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.InvokeID },
          { 'tag': 2, 'type': 'uint32_t', 'value': params.Duration },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterBridgedActionsServer.Attribute.ActionList
                "name": "ActionList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterBridgedActionsServer.Attribute.EndpointList
                "name": "EndpointList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterBridgedActionsServer.Attribute.SetupUrl
                "name": "SetupUrl",
                "type": "long_char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterBridgedActionsServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterBridgedActionsServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterBridgedActionsServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterBridgedActionsServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterBridgedActionsServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterBridgedActionsServer.Command.InstantAction: this.onInstantAction(msg, path); break;
            case ClusterBridgedActionsServer.Command.InstantActionWithTransition: this.onInstantActionWithTransition(msg, path); break;
            case ClusterBridgedActionsServer.Command.StartAction: this.onStartAction(msg, path); break;
            case ClusterBridgedActionsServer.Command.StartActionWithDuration: this.onStartActionWithDuration(msg, path); break;
            case ClusterBridgedActionsServer.Command.StopAction: this.onStopAction(msg, path); break;
            case ClusterBridgedActionsServer.Command.PauseAction: this.onPauseAction(msg, path); break;
            case ClusterBridgedActionsServer.Command.PauseActionWithDuration: this.onPauseActionWithDuration(msg, path); break;
            case ClusterBridgedActionsServer.Command.ResumeAction: this.onResumeAction(msg, path); break;
            case ClusterBridgedActionsServer.Command.EnableAction: this.onEnableAction(msg, path); break;
            case ClusterBridgedActionsServer.Command.EnableActionWithDuration: this.onEnableActionWithDuration(msg, path); break;
            case ClusterBridgedActionsServer.Command.DisableAction: this.onDisableAction(msg, path); break;
            case ClusterBridgedActionsServer.Command.DisableActionWithDuration: this.onDisableActionWithDuration(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onInstantAction(msg, commandPath)
    {
        console.log(this.constructor.name+".onInstantAction")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onInstantActionWithTransition(msg, commandPath)
    {
        console.log(this.constructor.name+".onInstantActionWithTransition")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStartAction(msg, commandPath)
    {
        console.log(this.constructor.name+".onStartAction")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStartActionWithDuration(msg, commandPath)
    {
        console.log(this.constructor.name+".onStartActionWithDuration")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStopAction(msg, commandPath)
    {
        console.log(this.constructor.name+".onStopAction")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onPauseAction(msg, commandPath)
    {
        console.log(this.constructor.name+".onPauseAction")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onPauseActionWithDuration(msg, commandPath)
    {
        console.log(this.constructor.name+".onPauseActionWithDuration")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onResumeAction(msg, commandPath)
    {
        console.log(this.constructor.name+".onResumeAction")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onEnableAction(msg, commandPath)
    {
        console.log(this.constructor.name+".onEnableAction")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onEnableActionWithDuration(msg, commandPath)
    {
        console.log(this.constructor.name+".onEnableActionWithDuration")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onDisableAction(msg, commandPath)
    {
        console.log(this.constructor.name+".onDisableAction")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onDisableActionWithDuration(msg, commandPath)
    {
        console.log(this.constructor.name+".onDisableActionWithDuration")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterChannelServer
 */
class ClusterChannelServer
{
    static CLUSTER_NAME = 'CHANNEL_CLUSTER'
    static CLUSTER_ID = 0x0504

    static Command = {
        ChangeChannel: 0,
        ChangeChannelResponse: 1,
        ChangeChannelByNumber: 2,
        SkipChannel: 3,
    }

    static Attribute = {
        ChannelList: 0,
        Lineup: 1,
        CurrentChannel: 2,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandChangeChannel = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::CharSpan', 'value': params.Match },
        ]
    }
    static TemplateCommandChangeChannelResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.Data },
        ]
    }
    static TemplateCommandChangeChannelByNumber = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.MajorNumber },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.MinorNumber },
        ]
    }
    static TemplateCommandSkipChannel = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.Count },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterChannelServer.Attribute.ChannelList
                "name": "ChannelList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterChannelServer.Attribute.Lineup
                "name": "Lineup",
                "type": "LineupInfo",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterChannelServer.Attribute.CurrentChannel
                "name": "CurrentChannel",
                "type": "ChannelInfo",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterChannelServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterChannelServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterChannelServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterChannelServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterChannelServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterChannelServer.Command.ChangeChannel: this.onChangeChannel(msg, path); break;
            case ClusterChannelServer.Command.ChangeChannelResponse: this.onChangeChannelResponse(msg, path); break;
            case ClusterChannelServer.Command.ChangeChannelByNumber: this.onChangeChannelByNumber(msg, path); break;
            case ClusterChannelServer.Command.SkipChannel: this.onSkipChannel(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onChangeChannel(msg, commandPath)
    {
        console.log(this.constructor.name+".onChangeChannel")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onChangeChannelResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onChangeChannelResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onChangeChannelByNumber(msg, commandPath)
    {
        console.log(this.constructor.name+".onChangeChannelByNumber")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSkipChannel(msg, commandPath)
    {
        console.log(this.constructor.name+".onSkipChannel")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterColorControlServer
 */
class ClusterColorControlServer
{
    static CLUSTER_NAME = 'COLOR_CONTROL_CLUSTER'
    static CLUSTER_ID = 0x0300

    static Command = {
        MoveToHue: 0,
        MoveHue: 1,
        StepHue: 2,
        MoveToSaturation: 3,
        MoveSaturation: 4,
        StepSaturation: 5,
        MoveToHueAndSaturation: 6,
        MoveToColor: 7,
        MoveColor: 8,
        StepColor: 9,
        MoveToColorTemperature: 10,
        EnhancedMoveToHue: 64,
        EnhancedMoveHue: 65,
        EnhancedStepHue: 66,
        EnhancedMoveToHueAndSaturation: 67,
        ColorLoopSet: 68,
        StopMoveStep: 71,
        MoveColorTemperature: 75,
        StepColorTemperature: 76,
    }

    static Attribute = {
        CurrentHue: 0,
        CurrentSaturation: 1,
        RemainingTime: 2,
        CurrentX: 3,
        CurrentY: 4,
        DriftCompensation: 5,
        CompensationText: 6,
        ColorTemperature: 7,
        ColorMode: 8,
        ColorControlOptions: 15,
        NumberOfPrimaries: 16,
        Primary1X: 17,
        Primary1Y: 18,
        Primary1Intensity: 19,
        Primary2X: 21,
        Primary2Y: 22,
        Primary2Intensity: 23,
        Primary3X: 25,
        Primary3Y: 26,
        Primary3Intensity: 27,
        Primary4X: 32,
        Primary4Y: 33,
        Primary4Intensity: 34,
        Primary5X: 36,
        Primary5Y: 37,
        Primary5Intensity: 38,
        Primary6X: 40,
        Primary6Y: 41,
        Primary6Intensity: 42,
        WhitePointX: 48,
        WhitePointY: 49,
        ColorPointRX: 50,
        ColorPointRY: 51,
        ColorPointRIntensity: 52,
        ColorPointGX: 54,
        ColorPointGY: 55,
        ColorPointGIntensity: 56,
        ColorPointBX: 58,
        ColorPointBY: 59,
        ColorPointBIntensity: 60,
        EnhancedCurrentHue: 16384,
        EnhancedColorMode: 16385,
        ColorLoopActive: 16386,
        ColorLoopDirection: 16387,
        ColorLoopTime: 16388,
        ColorLoopStartEnhancedHue: 16389,
        ColorLoopStoredEnhancedHue: 16390,
        ColorCapabilities: 16394,
        ColorTempPhysicalMin: 16395,
        ColorTempPhysicalMax: 16396,
        CoupleColorTempToLevelMinMireds: 16397,
        StartUpColorTemperatureMireds: 16400,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandMoveToHue = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Hue },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Direction },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandMoveHue = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.MoveMode },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Rate },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandStepHue = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.StepMode },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.StepSize },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandMoveToSaturation = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Saturation },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandMoveSaturation = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.MoveMode },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Rate },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandStepSaturation = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.StepMode },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.StepSize },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandMoveToHueAndSaturation = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Hue },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Saturation },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandMoveToColor = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ColorX },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.ColorY },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandMoveColor = function(params) {
        return [
          { 'tag': 0, 'type': 'int16_t', 'value': params.RateX },
          { 'tag': 1, 'type': 'int16_t', 'value': params.RateY },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandStepColor = function(params) {
        return [
          { 'tag': 0, 'type': 'int16_t', 'value': params.StepX },
          { 'tag': 1, 'type': 'int16_t', 'value': params.StepY },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandMoveToColorTemperature = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ColorTemperature },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandEnhancedMoveToHue = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.EnhancedHue },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Direction },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandEnhancedMoveHue = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.MoveMode },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.Rate },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandEnhancedStepHue = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.StepMode },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.StepSize },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandEnhancedMoveToHueAndSaturation = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.EnhancedHue },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Saturation },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandColorLoopSet = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.UpdateFlags },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Action },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.Direction },
          { 'tag': 3, 'type': 'uint16_t', 'value': params.Time },
          { 'tag': 4, 'type': 'uint16_t', 'value': params.StartHue },
          { 'tag': 5, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 6, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandStopMoveStep = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandMoveColorTemperature = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.MoveMode },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.Rate },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.ColorTemperatureMinimum },
          { 'tag': 3, 'type': 'uint16_t', 'value': params.ColorTemperatureMaximum },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 5, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }
    static TemplateCommandStepColorTemperature = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.StepMode },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.StepSize },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'uint16_t', 'value': params.ColorTemperatureMinimum },
          { 'tag': 4, 'type': 'uint16_t', 'value': params.ColorTemperatureMaximum },
          { 'tag': 5, 'type': 'uint8_t', 'value': params.OptionsMask },
          { 'tag': 6, 'type': 'uint8_t', 'value': params.OptionsOverride },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterColorControlServer.Attribute.CurrentHue
                "name": "CurrentHue",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterColorControlServer.Attribute.CurrentSaturation
                "name": "CurrentSaturation",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterColorControlServer.Attribute.RemainingTime
                "name": "RemainingTime",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterColorControlServer.Attribute.CurrentX
                "name": "CurrentX",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterColorControlServer.Attribute.CurrentY
                "name": "CurrentY",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterColorControlServer.Attribute.DriftCompensation
                "name": "DriftCompensation",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterColorControlServer.Attribute.CompensationText
                "name": "CompensationText",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterColorControlServer.Attribute.ColorTemperature
                "name": "ColorTemperature",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterColorControlServer.Attribute.ColorMode
                "name": "ColorMode",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            15: { // ClusterColorControlServer.Attribute.ColorControlOptions
                "name": "ColorControlOptions",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterColorControlServer.Attribute.NumberOfPrimaries
                "name": "NumberOfPrimaries",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterColorControlServer.Attribute.Primary1X
                "name": "Primary1X",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterColorControlServer.Attribute.Primary1Y
                "name": "Primary1Y",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterColorControlServer.Attribute.Primary1Intensity
                "name": "Primary1Intensity",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            21: { // ClusterColorControlServer.Attribute.Primary2X
                "name": "Primary2X",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            22: { // ClusterColorControlServer.Attribute.Primary2Y
                "name": "Primary2Y",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            23: { // ClusterColorControlServer.Attribute.Primary2Intensity
                "name": "Primary2Intensity",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            25: { // ClusterColorControlServer.Attribute.Primary3X
                "name": "Primary3X",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            26: { // ClusterColorControlServer.Attribute.Primary3Y
                "name": "Primary3Y",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            27: { // ClusterColorControlServer.Attribute.Primary3Intensity
                "name": "Primary3Intensity",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            32: { // ClusterColorControlServer.Attribute.Primary4X
                "name": "Primary4X",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            33: { // ClusterColorControlServer.Attribute.Primary4Y
                "name": "Primary4Y",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            34: { // ClusterColorControlServer.Attribute.Primary4Intensity
                "name": "Primary4Intensity",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            36: { // ClusterColorControlServer.Attribute.Primary5X
                "name": "Primary5X",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            37: { // ClusterColorControlServer.Attribute.Primary5Y
                "name": "Primary5Y",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            38: { // ClusterColorControlServer.Attribute.Primary5Intensity
                "name": "Primary5Intensity",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            40: { // ClusterColorControlServer.Attribute.Primary6X
                "name": "Primary6X",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            41: { // ClusterColorControlServer.Attribute.Primary6Y
                "name": "Primary6Y",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            42: { // ClusterColorControlServer.Attribute.Primary6Intensity
                "name": "Primary6Intensity",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            48: { // ClusterColorControlServer.Attribute.WhitePointX
                "name": "WhitePointX",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            49: { // ClusterColorControlServer.Attribute.WhitePointY
                "name": "WhitePointY",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            50: { // ClusterColorControlServer.Attribute.ColorPointRX
                "name": "ColorPointRX",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            51: { // ClusterColorControlServer.Attribute.ColorPointRY
                "name": "ColorPointRY",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            52: { // ClusterColorControlServer.Attribute.ColorPointRIntensity
                "name": "ColorPointRIntensity",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            54: { // ClusterColorControlServer.Attribute.ColorPointGX
                "name": "ColorPointGX",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            55: { // ClusterColorControlServer.Attribute.ColorPointGY
                "name": "ColorPointGY",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            56: { // ClusterColorControlServer.Attribute.ColorPointGIntensity
                "name": "ColorPointGIntensity",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            58: { // ClusterColorControlServer.Attribute.ColorPointBX
                "name": "ColorPointBX",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            59: { // ClusterColorControlServer.Attribute.ColorPointBY
                "name": "ColorPointBY",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            60: { // ClusterColorControlServer.Attribute.ColorPointBIntensity
                "name": "ColorPointBIntensity",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16384: { // ClusterColorControlServer.Attribute.EnhancedCurrentHue
                "name": "EnhancedCurrentHue",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16385: { // ClusterColorControlServer.Attribute.EnhancedColorMode
                "name": "EnhancedColorMode",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16386: { // ClusterColorControlServer.Attribute.ColorLoopActive
                "name": "ColorLoopActive",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16387: { // ClusterColorControlServer.Attribute.ColorLoopDirection
                "name": "ColorLoopDirection",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16388: { // ClusterColorControlServer.Attribute.ColorLoopTime
                "name": "ColorLoopTime",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16389: { // ClusterColorControlServer.Attribute.ColorLoopStartEnhancedHue
                "name": "ColorLoopStartEnhancedHue",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16390: { // ClusterColorControlServer.Attribute.ColorLoopStoredEnhancedHue
                "name": "ColorLoopStoredEnhancedHue",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16394: { // ClusterColorControlServer.Attribute.ColorCapabilities
                "name": "ColorCapabilities",
                "type": "bitmap16",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16395: { // ClusterColorControlServer.Attribute.ColorTempPhysicalMin
                "name": "ColorTempPhysicalMin",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16396: { // ClusterColorControlServer.Attribute.ColorTempPhysicalMax
                "name": "ColorTempPhysicalMax",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16397: { // ClusterColorControlServer.Attribute.CoupleColorTempToLevelMinMireds
                "name": "CoupleColorTempToLevelMinMireds",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16400: { // ClusterColorControlServer.Attribute.StartUpColorTemperatureMireds
                "name": "StartUpColorTemperatureMireds",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterColorControlServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterColorControlServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterColorControlServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterColorControlServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterColorControlServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterColorControlServer.Command.MoveToHue: this.onMoveToHue(msg, path); break;
            case ClusterColorControlServer.Command.MoveHue: this.onMoveHue(msg, path); break;
            case ClusterColorControlServer.Command.StepHue: this.onStepHue(msg, path); break;
            case ClusterColorControlServer.Command.MoveToSaturation: this.onMoveToSaturation(msg, path); break;
            case ClusterColorControlServer.Command.MoveSaturation: this.onMoveSaturation(msg, path); break;
            case ClusterColorControlServer.Command.StepSaturation: this.onStepSaturation(msg, path); break;
            case ClusterColorControlServer.Command.MoveToHueAndSaturation: this.onMoveToHueAndSaturation(msg, path); break;
            case ClusterColorControlServer.Command.MoveToColor: this.onMoveToColor(msg, path); break;
            case ClusterColorControlServer.Command.MoveColor: this.onMoveColor(msg, path); break;
            case ClusterColorControlServer.Command.StepColor: this.onStepColor(msg, path); break;
            case ClusterColorControlServer.Command.MoveToColorTemperature: this.onMoveToColorTemperature(msg, path); break;
            case ClusterColorControlServer.Command.EnhancedMoveToHue: this.onEnhancedMoveToHue(msg, path); break;
            case ClusterColorControlServer.Command.EnhancedMoveHue: this.onEnhancedMoveHue(msg, path); break;
            case ClusterColorControlServer.Command.EnhancedStepHue: this.onEnhancedStepHue(msg, path); break;
            case ClusterColorControlServer.Command.EnhancedMoveToHueAndSaturation: this.onEnhancedMoveToHueAndSaturation(msg, path); break;
            case ClusterColorControlServer.Command.ColorLoopSet: this.onColorLoopSet(msg, path); break;
            case ClusterColorControlServer.Command.StopMoveStep: this.onStopMoveStep(msg, path); break;
            case ClusterColorControlServer.Command.MoveColorTemperature: this.onMoveColorTemperature(msg, path); break;
            case ClusterColorControlServer.Command.StepColorTemperature: this.onStepColorTemperature(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onMoveToHue(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveToHue")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onMoveHue(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveHue")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStepHue(msg, commandPath)
    {
        console.log(this.constructor.name+".onStepHue")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onMoveToSaturation(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveToSaturation")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onMoveSaturation(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveSaturation")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStepSaturation(msg, commandPath)
    {
        console.log(this.constructor.name+".onStepSaturation")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onMoveToHueAndSaturation(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveToHueAndSaturation")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onMoveToColor(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveToColor")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onMoveColor(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveColor")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStepColor(msg, commandPath)
    {
        console.log(this.constructor.name+".onStepColor")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onMoveToColorTemperature(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveToColorTemperature")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onEnhancedMoveToHue(msg, commandPath)
    {
        console.log(this.constructor.name+".onEnhancedMoveToHue")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onEnhancedMoveHue(msg, commandPath)
    {
        console.log(this.constructor.name+".onEnhancedMoveHue")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onEnhancedStepHue(msg, commandPath)
    {
        console.log(this.constructor.name+".onEnhancedStepHue")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onEnhancedMoveToHueAndSaturation(msg, commandPath)
    {
        console.log(this.constructor.name+".onEnhancedMoveToHueAndSaturation")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onColorLoopSet(msg, commandPath)
    {
        console.log(this.constructor.name+".onColorLoopSet")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStopMoveStep(msg, commandPath)
    {
        console.log(this.constructor.name+".onStopMoveStep")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onMoveColorTemperature(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveColorTemperature")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStepColorTemperature(msg, commandPath)
    {
        console.log(this.constructor.name+".onStepColorTemperature")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterContentLauncherServer
 */
class ClusterContentLauncherServer
{
    static CLUSTER_NAME = 'CONTENT_LAUNCH_CLUSTER'
    static CLUSTER_ID = 0x050A

    static Command = {
        LaunchContent: 0,
        LaunchURL: 1,
        LaunchResponse: 2,
    }

    static Attribute = {
        AcceptHeader: 0,
        SupportedStreamingProtocols: 1,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandLaunchContent = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.Search
          { 'tag': 1, 'type': 'bool', 'value': params.AutoPlay },
          { 'tag': 2, 'type': 'chip::CharSpan', 'value': params.Data },
        ]
    }
    static TemplateCommandLaunchURL = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::CharSpan', 'value': params.ContentURL },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.DisplayString },
          { 'tag': 2, 'type': 'struct', 'value': [] }, // params.BrandingInformation
        ]
    }
    static TemplateCommandLaunchResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.Data },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterContentLauncherServer.Attribute.AcceptHeader
                "name": "AcceptHeader",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterContentLauncherServer.Attribute.SupportedStreamingProtocols
                "name": "SupportedStreamingProtocols",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterContentLauncherServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterContentLauncherServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterContentLauncherServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterContentLauncherServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterContentLauncherServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterContentLauncherServer.Command.LaunchContent: this.onLaunchContent(msg, path); break;
            case ClusterContentLauncherServer.Command.LaunchURL: this.onLaunchURL(msg, path); break;
            case ClusterContentLauncherServer.Command.LaunchResponse: this.onLaunchResponse(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onLaunchContent(msg, commandPath)
    {
        console.log(this.constructor.name+".onLaunchContent")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onLaunchURL(msg, commandPath)
    {
        console.log(this.constructor.name+".onLaunchURL")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onLaunchResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onLaunchResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterDescriptorServer
 */
class ClusterDescriptorServer
{
    static CLUSTER_NAME = 'DESCRIPTOR_CLUSTER'
    static CLUSTER_ID = 0x001D

    static Command = {
    }

    static Attribute = {
        DeviceList: 0,
        ServerList: 1,
        ClientList: 2,
        PartsList: 3,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterDescriptorServer.Attribute.DeviceList
                "name": "DeviceList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterDescriptorServer.Attribute.ServerList
                "name": "ServerList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterDescriptorServer.Attribute.ClientList
                "name": "ClientList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterDescriptorServer.Attribute.PartsList
                "name": "PartsList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterDescriptorServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterDescriptorServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterDescriptorServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterDescriptorServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterDescriptorServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterDiagnosticLogsServer
 */
class ClusterDiagnosticLogsServer
{
    static CLUSTER_NAME = 'DIAGNOSTIC_LOGS_CLUSTER'
    static CLUSTER_ID = 0x0032

    static Command = {
        RetrieveLogsRequest: 0,
        RetrieveLogsResponse: 1,
    }

    static Attribute = {
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandRetrieveLogsRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Intent },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.RequestedProtocol },
          { 'tag': 2, 'type': 'chip::ByteSpan', 'value': params.TransferFileDesignator },
        ]
    }
    static TemplateCommandRetrieveLogsResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'chip::ByteSpan', 'value': params.Content },
          { 'tag': 2, 'type': 'uint32_t', 'value': params.TimeStamp },
          { 'tag': 3, 'type': 'uint32_t', 'value': params.TimeSinceBoot },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            65528: { // ClusterDiagnosticLogsServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterDiagnosticLogsServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterDiagnosticLogsServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterDiagnosticLogsServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterDiagnosticLogsServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterDiagnosticLogsServer.Command.RetrieveLogsRequest: this.onRetrieveLogsRequest(msg, path); break;
            case ClusterDiagnosticLogsServer.Command.RetrieveLogsResponse: this.onRetrieveLogsResponse(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onRetrieveLogsRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onRetrieveLogsRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRetrieveLogsResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onRetrieveLogsResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterDoorLockServer
 */
class ClusterDoorLockServer
{
    static CLUSTER_NAME = 'DOOR_LOCK_CLUSTER'
    static CLUSTER_ID = 0x0101

    static Command = {
        LockDoor: 0,
        UnlockDoor: 1,
        UnlockWithTimeout: 3,
        GetLogRecord: 4,
        GetLogRecordResponse: 4,
        SetPINCode: 5,
        GetPINCode: 6,
        GetPINCodeResponse: 6,
        ClearPINCode: 7,
        ClearAllPINCodes: 8,
        SetUserStatus: 9,
        GetUserStatus: 10,
        GetUserStatusResponse: 10,
        SetWeekDaySchedule: 11,
        GetWeekDaySchedule: 12,
        GetWeekDayScheduleResponse: 12,
        ClearWeekDaySchedule: 13,
        SetYearDaySchedule: 14,
        GetYearDaySchedule: 15,
        GetYearDayScheduleResponse: 15,
        ClearYearDaySchedule: 16,
        SetHolidaySchedule: 17,
        GetHolidaySchedule: 18,
        GetHolidayScheduleResponse: 18,
        ClearHolidaySchedule: 19,
        SetUserType: 20,
        GetUserType: 21,
        GetUserTypeResponse: 21,
        SetRFIDCode: 22,
        GetRFIDCode: 23,
        GetRFIDCodeResponse: 23,
        ClearRFIDCode: 24,
        ClearAllRFIDCodes: 25,
        SetUser: 26,
        GetUser: 27,
        GetUserResponse: 28,
        ClearUser: 29,
        OperatingEventNotification: 32,
        ProgrammingEventNotification: 33,
        SetCredential: 34,
        SetCredentialResponse: 35,
        GetCredentialStatus: 36,
        GetCredentialStatusResponse: 37,
        ClearCredential: 38,
    }

    static Attribute = {
        LockState: 0,
        LockType: 1,
        ActuatorEnabled: 2,
        DoorState: 3,
        DoorOpenEvents: 4,
        DoorClosedEvents: 5,
        OpenPeriod: 6,
        NumberOfLogRecordsSupported: 16,
        NumberOfTotalUsersSupported: 17,
        NumberOfPINUsersSupported: 18,
        NumberOfRFIDUsersSupported: 19,
        NumberOfWeekDaySchedulesSupportedPerUser: 20,
        NumberOfYearDaySchedulesSupportedPerUser: 21,
        NumberOfHolidaySchedulesSupported: 22,
        MaxPINCodeLength: 23,
        MinPINCodeLength: 24,
        MaxRFIDCodeLength: 25,
        MinRFIDCodeLength: 26,
        CredentialRulesSupport: 27,
        NumberOfCredentialsSupportedPerUser: 28,
        EnableLogging: 32,
        Language: 33,
        LEDSettings: 34,
        AutoRelockTime: 35,
        SoundVolume: 36,
        OperatingMode: 37,
        SupportedOperatingModes: 38,
        DefaultConfigurationRegister: 39,
        EnableLocalProgramming: 40,
        EnableOneTouchLocking: 41,
        EnableInsideStatusLED: 42,
        EnablePrivacyModeButton: 43,
        LocalProgrammingFeatures: 44,
        WrongCodeEntryLimit: 48,
        UserCodeTemporaryDisableTime: 49,
        SendPINOverTheAir: 50,
        RequirePINforRemoteOperation: 51,
        ExpiringUserTimeout: 53,
        AlarmMask: 64,
        KeypadOperationEventMask: 65,
        RemoteOperationEventMask: 66,
        ManualOperationEventMask: 67,
        RFIDOperationEventMask: 68,
        KeypadProgrammingEventMask: 69,
        RemoteProgrammingEventMask: 70,
        RFIDProgrammingEventMask: 71,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandLockDoor = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.PinCode },
        ]
    }
    static TemplateCommandUnlockDoor = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.PinCode },
        ]
    }
    static TemplateCommandUnlockWithTimeout = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.Timeout },
          { 'tag': 1, 'type': 'chip::ByteSpan', 'value': params.PinCode },
        ]
    }
    static TemplateCommandGetLogRecord = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.LogIndex },
        ]
    }
    static TemplateCommandGetLogRecordResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.LogEntryId },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.Timestamp },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.EventType },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.Source },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.EventIdOrAlarmCode },
          { 'tag': 5, 'type': 'uint16_t', 'value': params.UserId },
          { 'tag': 6, 'type': 'chip::ByteSpan', 'value': params.Pin },
        ]
    }
    static TemplateCommandSetPINCode = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.UserStatus },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.UserType },
          { 'tag': 3, 'type': 'chip::ByteSpan', 'value': params.Pin },
        ]
    }
    static TemplateCommandGetPINCode = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
        ]
    }
    static TemplateCommandGetPINCodeResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.UserStatus },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.UserType },
          { 'tag': 3, 'type': 'chip::ByteSpan', 'value': params.Pin },
        ]
    }
    static TemplateCommandClearPINCode = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.PinSlotIndex },
        ]
    }
    static TemplateCommandClearAllPINCodes = function(params) {
        return [
        ]
    }
    static TemplateCommandSetUserStatus = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.UserStatus },
        ]
    }
    static TemplateCommandGetUserStatus = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
        ]
    }
    static TemplateCommandGetUserStatusResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.UserStatus },
        ]
    }
    static TemplateCommandSetWeekDaySchedule = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.WeekDayIndex },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.UserIndex },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.DaysMask },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.StartHour },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.StartMinute },
          { 'tag': 5, 'type': 'uint8_t', 'value': params.EndHour },
          { 'tag': 6, 'type': 'uint8_t', 'value': params.EndMinute },
        ]
    }
    static TemplateCommandGetWeekDaySchedule = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.WeekDayIndex },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.UserIndex },
        ]
    }
    static TemplateCommandGetWeekDayScheduleResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.WeekDayIndex },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.UserIndex },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.DaysMask },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.StartHour },
          { 'tag': 5, 'type': 'uint8_t', 'value': params.StartMinute },
          { 'tag': 6, 'type': 'uint8_t', 'value': params.EndHour },
          { 'tag': 7, 'type': 'uint8_t', 'value': params.EndMinute },
        ]
    }
    static TemplateCommandClearWeekDaySchedule = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.WeekDayIndex },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.UserIndex },
        ]
    }
    static TemplateCommandSetYearDaySchedule = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.YearDayIndex },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.UserIndex },
          { 'tag': 2, 'type': 'uint32_t', 'value': params.LocalStartTime },
          { 'tag': 3, 'type': 'uint32_t', 'value': params.LocalEndTime },
        ]
    }
    static TemplateCommandGetYearDaySchedule = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.YearDayIndex },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.UserIndex },
        ]
    }
    static TemplateCommandGetYearDayScheduleResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.YearDayIndex },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.UserIndex },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 3, 'type': 'uint32_t', 'value': params.LocalStartTime },
          { 'tag': 4, 'type': 'uint32_t', 'value': params.LocalEndTime },
        ]
    }
    static TemplateCommandClearYearDaySchedule = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.YearDayIndex },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.UserIndex },
        ]
    }
    static TemplateCommandSetHolidaySchedule = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.HolidayIndex },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.LocalStartTime },
          { 'tag': 2, 'type': 'uint32_t', 'value': params.LocalEndTime },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OperatingMode },
        ]
    }
    static TemplateCommandGetHolidaySchedule = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.HolidayIndex },
        ]
    }
    static TemplateCommandGetHolidayScheduleResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.HolidayIndex },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 2, 'type': 'uint32_t', 'value': params.LocalStartTime },
          { 'tag': 3, 'type': 'uint32_t', 'value': params.LocalEndTime },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OperatingMode },
        ]
    }
    static TemplateCommandClearHolidaySchedule = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.HolidayIndex },
        ]
    }
    static TemplateCommandSetUserType = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.UserType },
        ]
    }
    static TemplateCommandGetUserType = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
        ]
    }
    static TemplateCommandGetUserTypeResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.UserType },
        ]
    }
    static TemplateCommandSetRFIDCode = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.UserStatus },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.UserType },
          { 'tag': 3, 'type': 'chip::ByteSpan', 'value': params.RfidCode },
        ]
    }
    static TemplateCommandGetRFIDCode = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
        ]
    }
    static TemplateCommandGetRFIDCodeResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.UserStatus },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.UserType },
          { 'tag': 3, 'type': 'chip::ByteSpan', 'value': params.RfidCode },
        ]
    }
    static TemplateCommandClearRFIDCode = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.RfidSlotIndex },
        ]
    }
    static TemplateCommandClearAllRFIDCodes = function(params) {
        return [
        ]
    }
    static TemplateCommandSetUser = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.OperationType },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.UserIndex },
          { 'tag': 2, 'type': 'chip::CharSpan', 'value': params.UserName },
          { 'tag': 3, 'type': 'uint32_t', 'value': params.UserUniqueId },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.UserStatus },
          { 'tag': 5, 'type': 'uint8_t', 'value': params.UserType },
          { 'tag': 6, 'type': 'uint8_t', 'value': params.CredentialRule },
        ]
    }
    static TemplateCommandGetUser = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserIndex },
        ]
    }
    static TemplateCommandGetUserResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserIndex },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.UserName },
          { 'tag': 2, 'type': 'uint32_t', 'value': params.UserUniqueId },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.UserStatus },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.UserType },
          { 'tag': 5, 'type': 'uint8_t', 'value': params.CredentialRule },
          { 'tag': 6, 'type': 'array', 'value': [] }, // params.Credentials
          { 'tag': 7, 'type': 'chip::FabricIndex', 'value': params.CreatorFabricIndex },
          { 'tag': 8, 'type': 'chip::FabricIndex', 'value': params.LastModifiedFabricIndex },
          { 'tag': 9, 'type': 'uint16_t', 'value': params.NextUserIndex },
        ]
    }
    static TemplateCommandClearUser = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.UserIndex },
        ]
    }
    static TemplateCommandOperatingEventNotification = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.OperationEventSource },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.OperationEventCode },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.UserId },
          { 'tag': 3, 'type': 'chip::ByteSpan', 'value': params.Pin },
          { 'tag': 4, 'type': 'uint32_t', 'value': params.LocalTime },
          { 'tag': 5, 'type': 'chip::CharSpan', 'value': params.Data },
        ]
    }
    static TemplateCommandProgrammingEventNotification = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.ProgramEventSource },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.ProgramEventCode },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.UserId },
          { 'tag': 3, 'type': 'chip::ByteSpan', 'value': params.Pin },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.UserType },
          { 'tag': 5, 'type': 'uint8_t', 'value': params.UserStatus },
          { 'tag': 6, 'type': 'uint32_t', 'value': params.LocalTime },
          { 'tag': 7, 'type': 'chip::CharSpan', 'value': params.Data },
        ]
    }
    static TemplateCommandSetCredential = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.OperationType },
          { 'tag': 1, 'type': 'struct', 'value': [] }, // params.Credential
          { 'tag': 2, 'type': 'chip::ByteSpan', 'value': params.CredentialData },
          { 'tag': 3, 'type': 'uint16_t', 'value': params.UserIndex },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.UserStatus },
          { 'tag': 5, 'type': 'uint8_t', 'value': params.UserType },
        ]
    }
    static TemplateCommandSetCredentialResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.UserIndex },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.NextCredentialIndex },
        ]
    }
    static TemplateCommandGetCredentialStatus = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.Credential
        ]
    }
    static TemplateCommandGetCredentialStatusResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'bool', 'value': params.CredentialExists },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.UserIndex },
          { 'tag': 2, 'type': 'chip::FabricIndex', 'value': params.CreatorFabricIndex },
          { 'tag': 3, 'type': 'chip::FabricIndex', 'value': params.LastModifiedFabricIndex },
          { 'tag': 4, 'type': 'uint16_t', 'value': params.NextCredentialIndex },
        ]
    }
    static TemplateCommandClearCredential = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.Credential
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterDoorLockServer.Attribute.LockState
                "name": "LockState",
                "type": "DlLockState",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterDoorLockServer.Attribute.LockType
                "name": "LockType",
                "type": "DlLockType",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterDoorLockServer.Attribute.ActuatorEnabled
                "name": "ActuatorEnabled",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterDoorLockServer.Attribute.DoorState
                "name": "DoorState",
                "type": "DlDoorState",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterDoorLockServer.Attribute.DoorOpenEvents
                "name": "DoorOpenEvents",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterDoorLockServer.Attribute.DoorClosedEvents
                "name": "DoorClosedEvents",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterDoorLockServer.Attribute.OpenPeriod
                "name": "OpenPeriod",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterDoorLockServer.Attribute.NumberOfLogRecordsSupported
                "name": "NumberOfLogRecordsSupported",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterDoorLockServer.Attribute.NumberOfTotalUsersSupported
                "name": "NumberOfTotalUsersSupported",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterDoorLockServer.Attribute.NumberOfPINUsersSupported
                "name": "NumberOfPINUsersSupported",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterDoorLockServer.Attribute.NumberOfRFIDUsersSupported
                "name": "NumberOfRFIDUsersSupported",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            20: { // ClusterDoorLockServer.Attribute.NumberOfWeekDaySchedulesSupportedPerUser
                "name": "NumberOfWeekDaySchedulesSupportedPerUser",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            21: { // ClusterDoorLockServer.Attribute.NumberOfYearDaySchedulesSupportedPerUser
                "name": "NumberOfYearDaySchedulesSupportedPerUser",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            22: { // ClusterDoorLockServer.Attribute.NumberOfHolidaySchedulesSupported
                "name": "NumberOfHolidaySchedulesSupported",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            23: { // ClusterDoorLockServer.Attribute.MaxPINCodeLength
                "name": "MaxPINCodeLength",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            24: { // ClusterDoorLockServer.Attribute.MinPINCodeLength
                "name": "MinPINCodeLength",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            25: { // ClusterDoorLockServer.Attribute.MaxRFIDCodeLength
                "name": "MaxRFIDCodeLength",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            26: { // ClusterDoorLockServer.Attribute.MinRFIDCodeLength
                "name": "MinRFIDCodeLength",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            27: { // ClusterDoorLockServer.Attribute.CredentialRulesSupport
                "name": "CredentialRulesSupport",
                "type": "DlCredentialRuleMask",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            28: { // ClusterDoorLockServer.Attribute.NumberOfCredentialsSupportedPerUser
                "name": "NumberOfCredentialsSupportedPerUser",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            32: { // ClusterDoorLockServer.Attribute.EnableLogging
                "name": "EnableLogging",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            33: { // ClusterDoorLockServer.Attribute.Language
                "name": "Language",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            34: { // ClusterDoorLockServer.Attribute.LEDSettings
                "name": "LEDSettings",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            35: { // ClusterDoorLockServer.Attribute.AutoRelockTime
                "name": "AutoRelockTime",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            36: { // ClusterDoorLockServer.Attribute.SoundVolume
                "name": "SoundVolume",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            37: { // ClusterDoorLockServer.Attribute.OperatingMode
                "name": "OperatingMode",
                "type": "DlOperatingMode",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            38: { // ClusterDoorLockServer.Attribute.SupportedOperatingModes
                "name": "SupportedOperatingModes",
                "type": "DlSupportedOperatingModes",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            39: { // ClusterDoorLockServer.Attribute.DefaultConfigurationRegister
                "name": "DefaultConfigurationRegister",
                "type": "DlDefaultConfigurationRegister",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            40: { // ClusterDoorLockServer.Attribute.EnableLocalProgramming
                "name": "EnableLocalProgramming",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            41: { // ClusterDoorLockServer.Attribute.EnableOneTouchLocking
                "name": "EnableOneTouchLocking",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            42: { // ClusterDoorLockServer.Attribute.EnableInsideStatusLED
                "name": "EnableInsideStatusLED",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            43: { // ClusterDoorLockServer.Attribute.EnablePrivacyModeButton
                "name": "EnablePrivacyModeButton",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            44: { // ClusterDoorLockServer.Attribute.LocalProgrammingFeatures
                "name": "LocalProgrammingFeatures",
                "type": "DlLocalProgrammingFeatures",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            48: { // ClusterDoorLockServer.Attribute.WrongCodeEntryLimit
                "name": "WrongCodeEntryLimit",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            49: { // ClusterDoorLockServer.Attribute.UserCodeTemporaryDisableTime
                "name": "UserCodeTemporaryDisableTime",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            50: { // ClusterDoorLockServer.Attribute.SendPINOverTheAir
                "name": "SendPINOverTheAir",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            51: { // ClusterDoorLockServer.Attribute.RequirePINforRemoteOperation
                "name": "RequirePINforRemoteOperation",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            53: { // ClusterDoorLockServer.Attribute.ExpiringUserTimeout
                "name": "ExpiringUserTimeout",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            64: { // ClusterDoorLockServer.Attribute.AlarmMask
                "name": "AlarmMask",
                "type": "DlAlarmMask",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65: { // ClusterDoorLockServer.Attribute.KeypadOperationEventMask
                "name": "KeypadOperationEventMask",
                "type": "DlKeypadOperationEventMask",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            66: { // ClusterDoorLockServer.Attribute.RemoteOperationEventMask
                "name": "RemoteOperationEventMask",
                "type": "DlRemoteOperationEventMask",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            67: { // ClusterDoorLockServer.Attribute.ManualOperationEventMask
                "name": "ManualOperationEventMask",
                "type": "DlManualOperationEventMask",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            68: { // ClusterDoorLockServer.Attribute.RFIDOperationEventMask
                "name": "RFIDOperationEventMask",
                "type": "DlRFIDOperationEventMask",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            69: { // ClusterDoorLockServer.Attribute.KeypadProgrammingEventMask
                "name": "KeypadProgrammingEventMask",
                "type": "DlKeypadOperationEventMask",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            70: { // ClusterDoorLockServer.Attribute.RemoteProgrammingEventMask
                "name": "RemoteProgrammingEventMask",
                "type": "DlRemoteProgrammingEventMask",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            71: { // ClusterDoorLockServer.Attribute.RFIDProgrammingEventMask
                "name": "RFIDProgrammingEventMask",
                "type": "DlRFIDProgrammingEventMask",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterDoorLockServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterDoorLockServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterDoorLockServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterDoorLockServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterDoorLockServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterDoorLockServer.Command.LockDoor: this.onLockDoor(msg, path); break;
            case ClusterDoorLockServer.Command.UnlockDoor: this.onUnlockDoor(msg, path); break;
            case ClusterDoorLockServer.Command.UnlockWithTimeout: this.onUnlockWithTimeout(msg, path); break;
            case ClusterDoorLockServer.Command.GetLogRecord: this.onGetLogRecord(msg, path); break;
            case ClusterDoorLockServer.Command.GetLogRecordResponse: this.onGetLogRecordResponse(msg, path); break;
            case ClusterDoorLockServer.Command.SetPINCode: this.onSetPINCode(msg, path); break;
            case ClusterDoorLockServer.Command.GetPINCode: this.onGetPINCode(msg, path); break;
            case ClusterDoorLockServer.Command.GetPINCodeResponse: this.onGetPINCodeResponse(msg, path); break;
            case ClusterDoorLockServer.Command.ClearPINCode: this.onClearPINCode(msg, path); break;
            case ClusterDoorLockServer.Command.ClearAllPINCodes: this.onClearAllPINCodes(msg, path); break;
            case ClusterDoorLockServer.Command.SetUserStatus: this.onSetUserStatus(msg, path); break;
            case ClusterDoorLockServer.Command.GetUserStatus: this.onGetUserStatus(msg, path); break;
            case ClusterDoorLockServer.Command.GetUserStatusResponse: this.onGetUserStatusResponse(msg, path); break;
            case ClusterDoorLockServer.Command.SetWeekDaySchedule: this.onSetWeekDaySchedule(msg, path); break;
            case ClusterDoorLockServer.Command.GetWeekDaySchedule: this.onGetWeekDaySchedule(msg, path); break;
            case ClusterDoorLockServer.Command.GetWeekDayScheduleResponse: this.onGetWeekDayScheduleResponse(msg, path); break;
            case ClusterDoorLockServer.Command.ClearWeekDaySchedule: this.onClearWeekDaySchedule(msg, path); break;
            case ClusterDoorLockServer.Command.SetYearDaySchedule: this.onSetYearDaySchedule(msg, path); break;
            case ClusterDoorLockServer.Command.GetYearDaySchedule: this.onGetYearDaySchedule(msg, path); break;
            case ClusterDoorLockServer.Command.GetYearDayScheduleResponse: this.onGetYearDayScheduleResponse(msg, path); break;
            case ClusterDoorLockServer.Command.ClearYearDaySchedule: this.onClearYearDaySchedule(msg, path); break;
            case ClusterDoorLockServer.Command.SetHolidaySchedule: this.onSetHolidaySchedule(msg, path); break;
            case ClusterDoorLockServer.Command.GetHolidaySchedule: this.onGetHolidaySchedule(msg, path); break;
            case ClusterDoorLockServer.Command.GetHolidayScheduleResponse: this.onGetHolidayScheduleResponse(msg, path); break;
            case ClusterDoorLockServer.Command.ClearHolidaySchedule: this.onClearHolidaySchedule(msg, path); break;
            case ClusterDoorLockServer.Command.SetUserType: this.onSetUserType(msg, path); break;
            case ClusterDoorLockServer.Command.GetUserType: this.onGetUserType(msg, path); break;
            case ClusterDoorLockServer.Command.GetUserTypeResponse: this.onGetUserTypeResponse(msg, path); break;
            case ClusterDoorLockServer.Command.SetRFIDCode: this.onSetRFIDCode(msg, path); break;
            case ClusterDoorLockServer.Command.GetRFIDCode: this.onGetRFIDCode(msg, path); break;
            case ClusterDoorLockServer.Command.GetRFIDCodeResponse: this.onGetRFIDCodeResponse(msg, path); break;
            case ClusterDoorLockServer.Command.ClearRFIDCode: this.onClearRFIDCode(msg, path); break;
            case ClusterDoorLockServer.Command.ClearAllRFIDCodes: this.onClearAllRFIDCodes(msg, path); break;
            case ClusterDoorLockServer.Command.SetUser: this.onSetUser(msg, path); break;
            case ClusterDoorLockServer.Command.GetUser: this.onGetUser(msg, path); break;
            case ClusterDoorLockServer.Command.GetUserResponse: this.onGetUserResponse(msg, path); break;
            case ClusterDoorLockServer.Command.ClearUser: this.onClearUser(msg, path); break;
            case ClusterDoorLockServer.Command.OperatingEventNotification: this.onOperatingEventNotification(msg, path); break;
            case ClusterDoorLockServer.Command.ProgrammingEventNotification: this.onProgrammingEventNotification(msg, path); break;
            case ClusterDoorLockServer.Command.SetCredential: this.onSetCredential(msg, path); break;
            case ClusterDoorLockServer.Command.SetCredentialResponse: this.onSetCredentialResponse(msg, path); break;
            case ClusterDoorLockServer.Command.GetCredentialStatus: this.onGetCredentialStatus(msg, path); break;
            case ClusterDoorLockServer.Command.GetCredentialStatusResponse: this.onGetCredentialStatusResponse(msg, path); break;
            case ClusterDoorLockServer.Command.ClearCredential: this.onClearCredential(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onLockDoor(msg, commandPath)
    {
        console.log(this.constructor.name+".onLockDoor")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onUnlockDoor(msg, commandPath)
    {
        console.log(this.constructor.name+".onUnlockDoor")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onUnlockWithTimeout(msg, commandPath)
    {
        console.log(this.constructor.name+".onUnlockWithTimeout")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetLogRecord(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetLogRecord")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetLogRecordResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetLogRecordResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetPINCode(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetPINCode")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetPINCode(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetPINCode")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetPINCodeResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetPINCodeResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onClearPINCode(msg, commandPath)
    {
        console.log(this.constructor.name+".onClearPINCode")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onClearAllPINCodes(msg, commandPath)
    {
        console.log(this.constructor.name+".onClearAllPINCodes")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetUserStatus(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetUserStatus")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetUserStatus(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetUserStatus")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetUserStatusResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetUserStatusResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetWeekDaySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetWeekDaySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetWeekDaySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetWeekDaySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetWeekDayScheduleResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetWeekDayScheduleResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onClearWeekDaySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onClearWeekDaySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetYearDaySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetYearDaySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetYearDaySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetYearDaySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetYearDayScheduleResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetYearDayScheduleResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onClearYearDaySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onClearYearDaySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetHolidaySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetHolidaySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetHolidaySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetHolidaySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetHolidayScheduleResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetHolidayScheduleResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onClearHolidaySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onClearHolidaySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetUserType(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetUserType")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetUserType(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetUserType")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetUserTypeResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetUserTypeResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetRFIDCode(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetRFIDCode")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetRFIDCode(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetRFIDCode")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetRFIDCodeResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetRFIDCodeResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onClearRFIDCode(msg, commandPath)
    {
        console.log(this.constructor.name+".onClearRFIDCode")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onClearAllRFIDCodes(msg, commandPath)
    {
        console.log(this.constructor.name+".onClearAllRFIDCodes")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetUser(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetUser")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetUser(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetUser")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetUserResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetUserResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onClearUser(msg, commandPath)
    {
        console.log(this.constructor.name+".onClearUser")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onOperatingEventNotification(msg, commandPath)
    {
        console.log(this.constructor.name+".onOperatingEventNotification")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onProgrammingEventNotification(msg, commandPath)
    {
        console.log(this.constructor.name+".onProgrammingEventNotification")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetCredential(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetCredential")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetCredentialResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetCredentialResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetCredentialStatus(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetCredentialStatus")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetCredentialStatusResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetCredentialStatusResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onClearCredential(msg, commandPath)
    {
        console.log(this.constructor.name+".onClearCredential")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterElectricalMeasurementServer
 */
class ClusterElectricalMeasurementServer
{
    static CLUSTER_NAME = 'ELECTRICAL_MEASUREMENT_CLUSTER'
    static CLUSTER_ID = 0x0B04

    static Command = {
        GetProfileInfoResponseCommand: 0,
        GetProfileInfoCommand: 0,
        GetMeasurementProfileResponseCommand: 1,
        GetMeasurementProfileCommand: 1,
    }

    static Attribute = {
        MeasurementType: 0,
        DcVoltage: 256,
        DcVoltageMin: 257,
        DcVoltageMax: 258,
        DcCurrent: 259,
        DcCurrentMin: 260,
        DcCurrentMax: 261,
        DcPower: 262,
        DcPowerMin: 263,
        DcPowerMax: 264,
        DcVoltageMultiplier: 512,
        DcVoltageDivisor: 513,
        DcCurrentMultiplier: 514,
        DcCurrentDivisor: 515,
        DcPowerMultiplier: 516,
        DcPowerDivisor: 517,
        AcFrequency: 768,
        AcFrequencyMin: 769,
        AcFrequencyMax: 770,
        NeutralCurrent: 771,
        TotalActivePower: 772,
        TotalReactivePower: 773,
        TotalApparentPower: 774,
        Measured1stHarmonicCurrent: 775,
        Measured3rdHarmonicCurrent: 776,
        Measured5thHarmonicCurrent: 777,
        Measured7thHarmonicCurrent: 778,
        Measured9thHarmonicCurrent: 779,
        Measured11thHarmonicCurrent: 780,
        MeasuredPhase1stHarmonicCurrent: 781,
        MeasuredPhase3rdHarmonicCurrent: 782,
        MeasuredPhase5thHarmonicCurrent: 783,
        MeasuredPhase7thHarmonicCurrent: 784,
        MeasuredPhase9thHarmonicCurrent: 785,
        MeasuredPhase11thHarmonicCurrent: 786,
        AcFrequencyMultiplier: 1024,
        AcFrequencyDivisor: 1025,
        PowerMultiplier: 1026,
        PowerDivisor: 1027,
        HarmonicCurrentMultiplier: 1028,
        PhaseHarmonicCurrentMultiplier: 1029,
        InstantaneousVoltage: 1280,
        InstantaneousLineCurrent: 1281,
        InstantaneousActiveCurrent: 1282,
        InstantaneousReactiveCurrent: 1283,
        InstantaneousPower: 1284,
        RmsVoltage: 1285,
        RmsVoltageMin: 1286,
        RmsVoltageMax: 1287,
        RmsCurrent: 1288,
        RmsCurrentMin: 1289,
        RmsCurrentMax: 1290,
        ActivePower: 1291,
        ActivePowerMin: 1292,
        ActivePowerMax: 1293,
        ReactivePower: 1294,
        ApparentPower: 1295,
        PowerFactor: 1296,
        AverageRmsVoltageMeasurementPeriod: 1297,
        AverageRmsUnderVoltageCounter: 1299,
        RmsExtremeOverVoltagePeriod: 1300,
        RmsExtremeUnderVoltagePeriod: 1301,
        RmsVoltageSagPeriod: 1302,
        RmsVoltageSwellPeriod: 1303,
        AcVoltageMultiplier: 1536,
        AcVoltageDivisor: 1537,
        AcCurrentMultiplier: 1538,
        AcCurrentDivisor: 1539,
        AcPowerMultiplier: 1540,
        AcPowerDivisor: 1541,
        OverloadAlarmsMask: 1792,
        VoltageOverload: 1793,
        CurrentOverload: 1794,
        AcOverloadAlarmsMask: 2048,
        AcVoltageOverload: 2049,
        AcCurrentOverload: 2050,
        AcActivePowerOverload: 2051,
        AcReactivePowerOverload: 2052,
        AverageRmsOverVoltage: 2053,
        AverageRmsUnderVoltage: 2054,
        RmsExtremeOverVoltage: 2055,
        RmsExtremeUnderVoltage: 2056,
        RmsVoltageSag: 2057,
        RmsVoltageSwell: 2058,
        LineCurrentPhaseB: 2305,
        ActiveCurrentPhaseB: 2306,
        ReactiveCurrentPhaseB: 2307,
        RmsVoltagePhaseB: 2309,
        RmsVoltageMinPhaseB: 2310,
        RmsVoltageMaxPhaseB: 2311,
        RmsCurrentPhaseB: 2312,
        RmsCurrentMinPhaseB: 2313,
        RmsCurrentMaxPhaseB: 2314,
        ActivePowerPhaseB: 2315,
        ActivePowerMinPhaseB: 2316,
        ActivePowerMaxPhaseB: 2317,
        ReactivePowerPhaseB: 2318,
        ApparentPowerPhaseB: 2319,
        PowerFactorPhaseB: 2320,
        AverageRmsVoltageMeasurementPeriodPhaseB: 2321,
        AverageRmsOverVoltageCounterPhaseB: 2322,
        AverageRmsUnderVoltageCounterPhaseB: 2323,
        RmsExtremeOverVoltagePeriodPhaseB: 2324,
        RmsExtremeUnderVoltagePeriodPhaseB: 2325,
        RmsVoltageSagPeriodPhaseB: 2326,
        RmsVoltageSwellPeriodPhaseB: 2327,
        LineCurrentPhaseC: 2561,
        ActiveCurrentPhaseC: 2562,
        ReactiveCurrentPhaseC: 2563,
        RmsVoltagePhaseC: 2565,
        RmsVoltageMinPhaseC: 2566,
        RmsVoltageMaxPhaseC: 2567,
        RmsCurrentPhaseC: 2568,
        RmsCurrentMinPhaseC: 2569,
        RmsCurrentMaxPhaseC: 2570,
        ActivePowerPhaseC: 2571,
        ActivePowerMinPhaseC: 2572,
        ActivePowerMaxPhaseC: 2573,
        ReactivePowerPhaseC: 2574,
        ApparentPowerPhaseC: 2575,
        PowerFactorPhaseC: 2576,
        AverageRmsVoltageMeasurementPeriodPhaseC: 2577,
        AverageRmsOverVoltageCounterPhaseC: 2578,
        AverageRmsUnderVoltageCounterPhaseC: 2579,
        RmsExtremeOverVoltagePeriodPhaseC: 2580,
        RmsExtremeUnderVoltagePeriodPhaseC: 2581,
        RmsVoltageSagPeriodPhaseC: 2582,
        RmsVoltageSwellPeriodPhaseC: 2583,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandGetProfileInfoResponseCommand = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.ProfileCount },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.ProfileIntervalPeriod },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.MaxNumberOfIntervals },
          { 'tag': 3, 'type': 'array', 'value': [] }, // params.ListOfAttributes
        ]
    }
    static TemplateCommandGetProfileInfoCommand = function(params) {
        return [
        ]
    }
    static TemplateCommandGetMeasurementProfileResponseCommand = function(params) {
        return [
          { 'tag': 0, 'type': 'uint32_t', 'value': params.StartTime },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.ProfileIntervalPeriod },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.NumberOfIntervalsDelivered },
          { 'tag': 4, 'type': 'uint16_t', 'value': params.AttributeId },
          { 'tag': 5, 'type': 'array', 'value': [] }, // params.Intervals
        ]
    }
    static TemplateCommandGetMeasurementProfileCommand = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.AttributeId },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.StartTime },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.NumberOfIntervals },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterElectricalMeasurementServer.Attribute.MeasurementType
                "name": "MeasurementType",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            256: { // ClusterElectricalMeasurementServer.Attribute.DcVoltage
                "name": "DcVoltage",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            257: { // ClusterElectricalMeasurementServer.Attribute.DcVoltageMin
                "name": "DcVoltageMin",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            258: { // ClusterElectricalMeasurementServer.Attribute.DcVoltageMax
                "name": "DcVoltageMax",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            259: { // ClusterElectricalMeasurementServer.Attribute.DcCurrent
                "name": "DcCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            260: { // ClusterElectricalMeasurementServer.Attribute.DcCurrentMin
                "name": "DcCurrentMin",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            261: { // ClusterElectricalMeasurementServer.Attribute.DcCurrentMax
                "name": "DcCurrentMax",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            262: { // ClusterElectricalMeasurementServer.Attribute.DcPower
                "name": "DcPower",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            263: { // ClusterElectricalMeasurementServer.Attribute.DcPowerMin
                "name": "DcPowerMin",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            264: { // ClusterElectricalMeasurementServer.Attribute.DcPowerMax
                "name": "DcPowerMax",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            512: { // ClusterElectricalMeasurementServer.Attribute.DcVoltageMultiplier
                "name": "DcVoltageMultiplier",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            513: { // ClusterElectricalMeasurementServer.Attribute.DcVoltageDivisor
                "name": "DcVoltageDivisor",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            514: { // ClusterElectricalMeasurementServer.Attribute.DcCurrentMultiplier
                "name": "DcCurrentMultiplier",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            515: { // ClusterElectricalMeasurementServer.Attribute.DcCurrentDivisor
                "name": "DcCurrentDivisor",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            516: { // ClusterElectricalMeasurementServer.Attribute.DcPowerMultiplier
                "name": "DcPowerMultiplier",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            517: { // ClusterElectricalMeasurementServer.Attribute.DcPowerDivisor
                "name": "DcPowerDivisor",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            768: { // ClusterElectricalMeasurementServer.Attribute.AcFrequency
                "name": "AcFrequency",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            769: { // ClusterElectricalMeasurementServer.Attribute.AcFrequencyMin
                "name": "AcFrequencyMin",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            770: { // ClusterElectricalMeasurementServer.Attribute.AcFrequencyMax
                "name": "AcFrequencyMax",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            771: { // ClusterElectricalMeasurementServer.Attribute.NeutralCurrent
                "name": "NeutralCurrent",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            772: { // ClusterElectricalMeasurementServer.Attribute.TotalActivePower
                "name": "TotalActivePower",
                "type": "int32s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            773: { // ClusterElectricalMeasurementServer.Attribute.TotalReactivePower
                "name": "TotalReactivePower",
                "type": "int32s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            774: { // ClusterElectricalMeasurementServer.Attribute.TotalApparentPower
                "name": "TotalApparentPower",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            775: { // ClusterElectricalMeasurementServer.Attribute.Measured1stHarmonicCurrent
                "name": "Measured1stHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            776: { // ClusterElectricalMeasurementServer.Attribute.Measured3rdHarmonicCurrent
                "name": "Measured3rdHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            777: { // ClusterElectricalMeasurementServer.Attribute.Measured5thHarmonicCurrent
                "name": "Measured5thHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            778: { // ClusterElectricalMeasurementServer.Attribute.Measured7thHarmonicCurrent
                "name": "Measured7thHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            779: { // ClusterElectricalMeasurementServer.Attribute.Measured9thHarmonicCurrent
                "name": "Measured9thHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            780: { // ClusterElectricalMeasurementServer.Attribute.Measured11thHarmonicCurrent
                "name": "Measured11thHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            781: { // ClusterElectricalMeasurementServer.Attribute.MeasuredPhase1stHarmonicCurrent
                "name": "MeasuredPhase1stHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            782: { // ClusterElectricalMeasurementServer.Attribute.MeasuredPhase3rdHarmonicCurrent
                "name": "MeasuredPhase3rdHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            783: { // ClusterElectricalMeasurementServer.Attribute.MeasuredPhase5thHarmonicCurrent
                "name": "MeasuredPhase5thHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            784: { // ClusterElectricalMeasurementServer.Attribute.MeasuredPhase7thHarmonicCurrent
                "name": "MeasuredPhase7thHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            785: { // ClusterElectricalMeasurementServer.Attribute.MeasuredPhase9thHarmonicCurrent
                "name": "MeasuredPhase9thHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            786: { // ClusterElectricalMeasurementServer.Attribute.MeasuredPhase11thHarmonicCurrent
                "name": "MeasuredPhase11thHarmonicCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1024: { // ClusterElectricalMeasurementServer.Attribute.AcFrequencyMultiplier
                "name": "AcFrequencyMultiplier",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1025: { // ClusterElectricalMeasurementServer.Attribute.AcFrequencyDivisor
                "name": "AcFrequencyDivisor",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1026: { // ClusterElectricalMeasurementServer.Attribute.PowerMultiplier
                "name": "PowerMultiplier",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1027: { // ClusterElectricalMeasurementServer.Attribute.PowerDivisor
                "name": "PowerDivisor",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1028: { // ClusterElectricalMeasurementServer.Attribute.HarmonicCurrentMultiplier
                "name": "HarmonicCurrentMultiplier",
                "type": "int8s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1029: { // ClusterElectricalMeasurementServer.Attribute.PhaseHarmonicCurrentMultiplier
                "name": "PhaseHarmonicCurrentMultiplier",
                "type": "int8s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1280: { // ClusterElectricalMeasurementServer.Attribute.InstantaneousVoltage
                "name": "InstantaneousVoltage",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1281: { // ClusterElectricalMeasurementServer.Attribute.InstantaneousLineCurrent
                "name": "InstantaneousLineCurrent",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1282: { // ClusterElectricalMeasurementServer.Attribute.InstantaneousActiveCurrent
                "name": "InstantaneousActiveCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1283: { // ClusterElectricalMeasurementServer.Attribute.InstantaneousReactiveCurrent
                "name": "InstantaneousReactiveCurrent",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1284: { // ClusterElectricalMeasurementServer.Attribute.InstantaneousPower
                "name": "InstantaneousPower",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1285: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltage
                "name": "RmsVoltage",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1286: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageMin
                "name": "RmsVoltageMin",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1287: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageMax
                "name": "RmsVoltageMax",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1288: { // ClusterElectricalMeasurementServer.Attribute.RmsCurrent
                "name": "RmsCurrent",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1289: { // ClusterElectricalMeasurementServer.Attribute.RmsCurrentMin
                "name": "RmsCurrentMin",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1290: { // ClusterElectricalMeasurementServer.Attribute.RmsCurrentMax
                "name": "RmsCurrentMax",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1291: { // ClusterElectricalMeasurementServer.Attribute.ActivePower
                "name": "ActivePower",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1292: { // ClusterElectricalMeasurementServer.Attribute.ActivePowerMin
                "name": "ActivePowerMin",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1293: { // ClusterElectricalMeasurementServer.Attribute.ActivePowerMax
                "name": "ActivePowerMax",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1294: { // ClusterElectricalMeasurementServer.Attribute.ReactivePower
                "name": "ReactivePower",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1295: { // ClusterElectricalMeasurementServer.Attribute.ApparentPower
                "name": "ApparentPower",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1296: { // ClusterElectricalMeasurementServer.Attribute.PowerFactor
                "name": "PowerFactor",
                "type": "int8s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1297: { // ClusterElectricalMeasurementServer.Attribute.AverageRmsVoltageMeasurementPeriod
                "name": "AverageRmsVoltageMeasurementPeriod",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1299: { // ClusterElectricalMeasurementServer.Attribute.AverageRmsUnderVoltageCounter
                "name": "AverageRmsUnderVoltageCounter",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1300: { // ClusterElectricalMeasurementServer.Attribute.RmsExtremeOverVoltagePeriod
                "name": "RmsExtremeOverVoltagePeriod",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1301: { // ClusterElectricalMeasurementServer.Attribute.RmsExtremeUnderVoltagePeriod
                "name": "RmsExtremeUnderVoltagePeriod",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1302: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageSagPeriod
                "name": "RmsVoltageSagPeriod",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1303: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageSwellPeriod
                "name": "RmsVoltageSwellPeriod",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1536: { // ClusterElectricalMeasurementServer.Attribute.AcVoltageMultiplier
                "name": "AcVoltageMultiplier",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1537: { // ClusterElectricalMeasurementServer.Attribute.AcVoltageDivisor
                "name": "AcVoltageDivisor",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1538: { // ClusterElectricalMeasurementServer.Attribute.AcCurrentMultiplier
                "name": "AcCurrentMultiplier",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1539: { // ClusterElectricalMeasurementServer.Attribute.AcCurrentDivisor
                "name": "AcCurrentDivisor",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1540: { // ClusterElectricalMeasurementServer.Attribute.AcPowerMultiplier
                "name": "AcPowerMultiplier",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1541: { // ClusterElectricalMeasurementServer.Attribute.AcPowerDivisor
                "name": "AcPowerDivisor",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1792: { // ClusterElectricalMeasurementServer.Attribute.OverloadAlarmsMask
                "name": "OverloadAlarmsMask",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1793: { // ClusterElectricalMeasurementServer.Attribute.VoltageOverload
                "name": "VoltageOverload",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1794: { // ClusterElectricalMeasurementServer.Attribute.CurrentOverload
                "name": "CurrentOverload",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2048: { // ClusterElectricalMeasurementServer.Attribute.AcOverloadAlarmsMask
                "name": "AcOverloadAlarmsMask",
                "type": "bitmap16",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2049: { // ClusterElectricalMeasurementServer.Attribute.AcVoltageOverload
                "name": "AcVoltageOverload",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2050: { // ClusterElectricalMeasurementServer.Attribute.AcCurrentOverload
                "name": "AcCurrentOverload",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2051: { // ClusterElectricalMeasurementServer.Attribute.AcActivePowerOverload
                "name": "AcActivePowerOverload",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2052: { // ClusterElectricalMeasurementServer.Attribute.AcReactivePowerOverload
                "name": "AcReactivePowerOverload",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2053: { // ClusterElectricalMeasurementServer.Attribute.AverageRmsOverVoltage
                "name": "AverageRmsOverVoltage",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2054: { // ClusterElectricalMeasurementServer.Attribute.AverageRmsUnderVoltage
                "name": "AverageRmsUnderVoltage",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2055: { // ClusterElectricalMeasurementServer.Attribute.RmsExtremeOverVoltage
                "name": "RmsExtremeOverVoltage",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2056: { // ClusterElectricalMeasurementServer.Attribute.RmsExtremeUnderVoltage
                "name": "RmsExtremeUnderVoltage",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2057: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageSag
                "name": "RmsVoltageSag",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2058: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageSwell
                "name": "RmsVoltageSwell",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2305: { // ClusterElectricalMeasurementServer.Attribute.LineCurrentPhaseB
                "name": "LineCurrentPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2306: { // ClusterElectricalMeasurementServer.Attribute.ActiveCurrentPhaseB
                "name": "ActiveCurrentPhaseB",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2307: { // ClusterElectricalMeasurementServer.Attribute.ReactiveCurrentPhaseB
                "name": "ReactiveCurrentPhaseB",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2309: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltagePhaseB
                "name": "RmsVoltagePhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2310: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageMinPhaseB
                "name": "RmsVoltageMinPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2311: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageMaxPhaseB
                "name": "RmsVoltageMaxPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2312: { // ClusterElectricalMeasurementServer.Attribute.RmsCurrentPhaseB
                "name": "RmsCurrentPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2313: { // ClusterElectricalMeasurementServer.Attribute.RmsCurrentMinPhaseB
                "name": "RmsCurrentMinPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2314: { // ClusterElectricalMeasurementServer.Attribute.RmsCurrentMaxPhaseB
                "name": "RmsCurrentMaxPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2315: { // ClusterElectricalMeasurementServer.Attribute.ActivePowerPhaseB
                "name": "ActivePowerPhaseB",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2316: { // ClusterElectricalMeasurementServer.Attribute.ActivePowerMinPhaseB
                "name": "ActivePowerMinPhaseB",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2317: { // ClusterElectricalMeasurementServer.Attribute.ActivePowerMaxPhaseB
                "name": "ActivePowerMaxPhaseB",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2318: { // ClusterElectricalMeasurementServer.Attribute.ReactivePowerPhaseB
                "name": "ReactivePowerPhaseB",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2319: { // ClusterElectricalMeasurementServer.Attribute.ApparentPowerPhaseB
                "name": "ApparentPowerPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2320: { // ClusterElectricalMeasurementServer.Attribute.PowerFactorPhaseB
                "name": "PowerFactorPhaseB",
                "type": "int8s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2321: { // ClusterElectricalMeasurementServer.Attribute.AverageRmsVoltageMeasurementPeriodPhaseB
                "name": "AverageRmsVoltageMeasurementPeriodPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2322: { // ClusterElectricalMeasurementServer.Attribute.AverageRmsOverVoltageCounterPhaseB
                "name": "AverageRmsOverVoltageCounterPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2323: { // ClusterElectricalMeasurementServer.Attribute.AverageRmsUnderVoltageCounterPhaseB
                "name": "AverageRmsUnderVoltageCounterPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2324: { // ClusterElectricalMeasurementServer.Attribute.RmsExtremeOverVoltagePeriodPhaseB
                "name": "RmsExtremeOverVoltagePeriodPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2325: { // ClusterElectricalMeasurementServer.Attribute.RmsExtremeUnderVoltagePeriodPhaseB
                "name": "RmsExtremeUnderVoltagePeriodPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2326: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageSagPeriodPhaseB
                "name": "RmsVoltageSagPeriodPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2327: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageSwellPeriodPhaseB
                "name": "RmsVoltageSwellPeriodPhaseB",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2561: { // ClusterElectricalMeasurementServer.Attribute.LineCurrentPhaseC
                "name": "LineCurrentPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2562: { // ClusterElectricalMeasurementServer.Attribute.ActiveCurrentPhaseC
                "name": "ActiveCurrentPhaseC",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2563: { // ClusterElectricalMeasurementServer.Attribute.ReactiveCurrentPhaseC
                "name": "ReactiveCurrentPhaseC",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2565: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltagePhaseC
                "name": "RmsVoltagePhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2566: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageMinPhaseC
                "name": "RmsVoltageMinPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2567: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageMaxPhaseC
                "name": "RmsVoltageMaxPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2568: { // ClusterElectricalMeasurementServer.Attribute.RmsCurrentPhaseC
                "name": "RmsCurrentPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2569: { // ClusterElectricalMeasurementServer.Attribute.RmsCurrentMinPhaseC
                "name": "RmsCurrentMinPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2570: { // ClusterElectricalMeasurementServer.Attribute.RmsCurrentMaxPhaseC
                "name": "RmsCurrentMaxPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2571: { // ClusterElectricalMeasurementServer.Attribute.ActivePowerPhaseC
                "name": "ActivePowerPhaseC",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2572: { // ClusterElectricalMeasurementServer.Attribute.ActivePowerMinPhaseC
                "name": "ActivePowerMinPhaseC",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2573: { // ClusterElectricalMeasurementServer.Attribute.ActivePowerMaxPhaseC
                "name": "ActivePowerMaxPhaseC",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2574: { // ClusterElectricalMeasurementServer.Attribute.ReactivePowerPhaseC
                "name": "ReactivePowerPhaseC",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2575: { // ClusterElectricalMeasurementServer.Attribute.ApparentPowerPhaseC
                "name": "ApparentPowerPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2576: { // ClusterElectricalMeasurementServer.Attribute.PowerFactorPhaseC
                "name": "PowerFactorPhaseC",
                "type": "int8s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2577: { // ClusterElectricalMeasurementServer.Attribute.AverageRmsVoltageMeasurementPeriodPhaseC
                "name": "AverageRmsVoltageMeasurementPeriodPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2578: { // ClusterElectricalMeasurementServer.Attribute.AverageRmsOverVoltageCounterPhaseC
                "name": "AverageRmsOverVoltageCounterPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2579: { // ClusterElectricalMeasurementServer.Attribute.AverageRmsUnderVoltageCounterPhaseC
                "name": "AverageRmsUnderVoltageCounterPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2580: { // ClusterElectricalMeasurementServer.Attribute.RmsExtremeOverVoltagePeriodPhaseC
                "name": "RmsExtremeOverVoltagePeriodPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2581: { // ClusterElectricalMeasurementServer.Attribute.RmsExtremeUnderVoltagePeriodPhaseC
                "name": "RmsExtremeUnderVoltagePeriodPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2582: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageSagPeriodPhaseC
                "name": "RmsVoltageSagPeriodPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2583: { // ClusterElectricalMeasurementServer.Attribute.RmsVoltageSwellPeriodPhaseC
                "name": "RmsVoltageSwellPeriodPhaseC",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterElectricalMeasurementServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterElectricalMeasurementServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterElectricalMeasurementServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterElectricalMeasurementServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterElectricalMeasurementServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterElectricalMeasurementServer.Command.GetProfileInfoResponseCommand: this.onGetProfileInfoResponseCommand(msg, path); break;
            case ClusterElectricalMeasurementServer.Command.GetProfileInfoCommand: this.onGetProfileInfoCommand(msg, path); break;
            case ClusterElectricalMeasurementServer.Command.GetMeasurementProfileResponseCommand: this.onGetMeasurementProfileResponseCommand(msg, path); break;
            case ClusterElectricalMeasurementServer.Command.GetMeasurementProfileCommand: this.onGetMeasurementProfileCommand(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onGetProfileInfoResponseCommand(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetProfileInfoResponseCommand")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetProfileInfoCommand(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetProfileInfoCommand")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetMeasurementProfileResponseCommand(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetMeasurementProfileResponseCommand")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetMeasurementProfileCommand(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetMeasurementProfileCommand")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterEthernetNetworkDiagnosticsServer
 */
class ClusterEthernetNetworkDiagnosticsServer
{
    static CLUSTER_NAME = 'ETHERNET_NETWORK_DIAGNOSTICS_CLUSTER'
    static CLUSTER_ID = 0x0037

    static Command = {
        ResetCounts: 0,
    }

    static Attribute = {
        PHYRate: 0,
        FullDuplex: 1,
        PacketRxCount: 2,
        PacketTxCount: 3,
        TxErrCount: 4,
        CollisionCount: 5,
        OverrunCount: 6,
        CarrierDetect: 7,
        TimeSinceReset: 8,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandResetCounts = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.PHYRate
                "name": "PHYRate",
                "type": "PHYRateType",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.FullDuplex
                "name": "FullDuplex",
                "type": "boolean",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.PacketRxCount
                "name": "PacketRxCount",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.PacketTxCount
                "name": "PacketTxCount",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.TxErrCount
                "name": "TxErrCount",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.CollisionCount
                "name": "CollisionCount",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.OverrunCount
                "name": "OverrunCount",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.CarrierDetect
                "name": "CarrierDetect",
                "type": "boolean",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.TimeSinceReset
                "name": "TimeSinceReset",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterEthernetNetworkDiagnosticsServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterEthernetNetworkDiagnosticsServer.Command.ResetCounts: this.onResetCounts(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onResetCounts(msg, commandPath)
    {
        console.log(this.constructor.name+".onResetCounts")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterFanControlServer
 */
class ClusterFanControlServer
{
    static CLUSTER_NAME = 'FAN_CONTROL_CLUSTER'
    static CLUSTER_ID = 0x0202

    static Command = {
    }

    static Attribute = {
        FanMode: 0,
        FanModeSequence: 1,
        PercentSetting: 2,
        PercentCurrent: 3,
        SpeedMax: 4,
        SpeedSetting: 5,
        SpeedCurrent: 6,
        RockSupport: 7,
        RockSetting: 8,
        WindSupport: 9,
        WindSetting: 10,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterFanControlServer.Attribute.FanMode
                "name": "FanMode",
                "type": "FanModeType",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterFanControlServer.Attribute.FanModeSequence
                "name": "FanModeSequence",
                "type": "FanModeSequenceType",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterFanControlServer.Attribute.PercentSetting
                "name": "PercentSetting",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterFanControlServer.Attribute.PercentCurrent
                "name": "PercentCurrent",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterFanControlServer.Attribute.SpeedMax
                "name": "SpeedMax",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterFanControlServer.Attribute.SpeedSetting
                "name": "SpeedSetting",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterFanControlServer.Attribute.SpeedCurrent
                "name": "SpeedCurrent",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterFanControlServer.Attribute.RockSupport
                "name": "RockSupport",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterFanControlServer.Attribute.RockSetting
                "name": "RockSetting",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            9: { // ClusterFanControlServer.Attribute.WindSupport
                "name": "WindSupport",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            10: { // ClusterFanControlServer.Attribute.WindSetting
                "name": "WindSetting",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterFanControlServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterFanControlServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterFanControlServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterFanControlServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterFanControlServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterFixedLabelServer
 */
class ClusterFixedLabelServer
{
    static CLUSTER_NAME = 'FIXED_LABEL_CLUSTER'
    static CLUSTER_ID = 0x0040

    static Command = {
    }

    static Attribute = {
        LabelList: 0,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterFixedLabelServer.Attribute.LabelList
                "name": "LabelList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterFixedLabelServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterFixedLabelServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterFixedLabelServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterFixedLabelServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterFixedLabelServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterFlowMeasurementServer
 */
class ClusterFlowMeasurementServer
{
    static CLUSTER_NAME = 'FLOW_MEASUREMENT_CLUSTER'
    static CLUSTER_ID = 0x0404

    static Command = {
    }

    static Attribute = {
        MeasuredValue: 0,
        MinMeasuredValue: 1,
        MaxMeasuredValue: 2,
        Tolerance: 3,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterFlowMeasurementServer.Attribute.MeasuredValue
                "name": "MeasuredValue",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterFlowMeasurementServer.Attribute.MinMeasuredValue
                "name": "MinMeasuredValue",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterFlowMeasurementServer.Attribute.MaxMeasuredValue
                "name": "MaxMeasuredValue",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterFlowMeasurementServer.Attribute.Tolerance
                "name": "Tolerance",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterFlowMeasurementServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterFlowMeasurementServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterFlowMeasurementServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterFlowMeasurementServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterFlowMeasurementServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterGeneralCommissioningServer
 */
class ClusterGeneralCommissioningServer
{
    static CLUSTER_NAME = 'GENERAL_COMMISSIONING_CLUSTER'
    static CLUSTER_ID = 0x0030

    static Command = {
        ArmFailSafe: 0,
        ArmFailSafeResponse: 1,
        SetRegulatoryConfig: 2,
        SetRegulatoryConfigResponse: 3,
        CommissioningComplete: 4,
        CommissioningCompleteResponse: 5,
    }

    static Attribute = {
        Breadcrumb: 0,
        BasicCommissioningInfo: 1,
        RegulatoryConfig: 2,
        LocationCapability: 3,
        SupportsConcurrentConnection: 4,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandArmFailSafe = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ExpiryLengthSeconds },
          { 'tag': 1, 'type': 'uint64_t', 'value': params.Breadcrumb },
        ]
    }
    static TemplateCommandArmFailSafeResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.ErrorCode },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.DebugText },
        ]
    }
    static TemplateCommandSetRegulatoryConfig = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.NewRegulatoryConfig },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.CountryCode },
          { 'tag': 2, 'type': 'uint64_t', 'value': params.Breadcrumb },
        ]
    }
    static TemplateCommandSetRegulatoryConfigResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.ErrorCode },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.DebugText },
        ]
    }
    static TemplateCommandCommissioningComplete = function(params) {
        return [
        ]
    }
    static TemplateCommandCommissioningCompleteResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.ErrorCode },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.DebugText },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterGeneralCommissioningServer.Attribute.Breadcrumb
                "name": "Breadcrumb",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterGeneralCommissioningServer.Attribute.BasicCommissioningInfo
                "name": "BasicCommissioningInfo",
                "type": "BasicCommissioningInfo",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterGeneralCommissioningServer.Attribute.RegulatoryConfig
                "name": "RegulatoryConfig",
                "type": "RegulatoryLocationType",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterGeneralCommissioningServer.Attribute.LocationCapability
                "name": "LocationCapability",
                "type": "RegulatoryLocationType",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterGeneralCommissioningServer.Attribute.SupportsConcurrentConnection
                "name": "SupportsConcurrentConnection",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterGeneralCommissioningServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterGeneralCommissioningServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterGeneralCommissioningServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterGeneralCommissioningServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterGeneralCommissioningServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterGeneralCommissioningServer.Command.ArmFailSafe: this.onArmFailSafe(msg, path); break;
            case ClusterGeneralCommissioningServer.Command.ArmFailSafeResponse: this.onArmFailSafeResponse(msg, path); break;
            case ClusterGeneralCommissioningServer.Command.SetRegulatoryConfig: this.onSetRegulatoryConfig(msg, path); break;
            case ClusterGeneralCommissioningServer.Command.SetRegulatoryConfigResponse: this.onSetRegulatoryConfigResponse(msg, path); break;
            case ClusterGeneralCommissioningServer.Command.CommissioningComplete: this.onCommissioningComplete(msg, path); break;
            case ClusterGeneralCommissioningServer.Command.CommissioningCompleteResponse: this.onCommissioningCompleteResponse(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onArmFailSafe(msg, commandPath)
    {
        console.log(this.constructor.name+".onArmFailSafe")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onArmFailSafeResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onArmFailSafeResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetRegulatoryConfig(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetRegulatoryConfig")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetRegulatoryConfigResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetRegulatoryConfigResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onCommissioningComplete(msg, commandPath)
    {
        console.log(this.constructor.name+".onCommissioningComplete")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onCommissioningCompleteResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onCommissioningCompleteResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterGeneralDiagnosticsServer
 */
class ClusterGeneralDiagnosticsServer
{
    static CLUSTER_NAME = 'GENERAL_DIAGNOSTICS_CLUSTER'
    static CLUSTER_ID = 0x0033

    static Command = {
    }

    static Attribute = {
        NetworkInterfaces: 0,
        RebootCount: 1,
        UpTime: 2,
        TotalOperationalHours: 3,
        BootReasons: 4,
        ActiveHardwareFaults: 5,
        ActiveRadioFaults: 6,
        ActiveNetworkFaults: 7,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterGeneralDiagnosticsServer.Attribute.NetworkInterfaces
                "name": "NetworkInterfaces",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterGeneralDiagnosticsServer.Attribute.RebootCount
                "name": "RebootCount",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterGeneralDiagnosticsServer.Attribute.UpTime
                "name": "UpTime",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterGeneralDiagnosticsServer.Attribute.TotalOperationalHours
                "name": "TotalOperationalHours",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterGeneralDiagnosticsServer.Attribute.BootReasons
                "name": "BootReasons",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterGeneralDiagnosticsServer.Attribute.ActiveHardwareFaults
                "name": "ActiveHardwareFaults",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterGeneralDiagnosticsServer.Attribute.ActiveRadioFaults
                "name": "ActiveRadioFaults",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterGeneralDiagnosticsServer.Attribute.ActiveNetworkFaults
                "name": "ActiveNetworkFaults",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterGeneralDiagnosticsServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterGeneralDiagnosticsServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterGeneralDiagnosticsServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterGeneralDiagnosticsServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterGeneralDiagnosticsServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterGroupKeyManagementServer
 */
class ClusterGroupKeyManagementServer
{
    static CLUSTER_NAME = 'GROUP_KEY_MANAGEMENT_CLUSTER'
    static CLUSTER_ID = 0x003F

    static Command = {
        KeySetWrite: 0,
        KeySetRead: 1,
        KeySetReadResponse: 2,
        KeySetRemove: 3,
        KeySetReadAllIndices: 4,
        KeySetReadAllIndicesResponse: 5,
    }

    static Attribute = {
        GroupKeyMap: 0,
        GroupTable: 1,
        MaxGroupsPerFabric: 2,
        MaxGroupKeysPerFabric: 3,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandKeySetWrite = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.GroupKeySet
        ]
    }
    static TemplateCommandKeySetRead = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.GroupKeySetID },
        ]
    }
    static TemplateCommandKeySetReadResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.GroupKeySet
        ]
    }
    static TemplateCommandKeySetRemove = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.GroupKeySetID },
        ]
    }
    static TemplateCommandKeySetReadAllIndices = function(params) {
        return [
          { 'tag': 0, 'type': 'array', 'value': [] }, // params.GroupKeySetIDs
        ]
    }
    static TemplateCommandKeySetReadAllIndicesResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'array', 'value': [] }, // params.GroupKeySetIDs
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterGroupKeyManagementServer.Attribute.GroupKeyMap
                "name": "GroupKeyMap",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterGroupKeyManagementServer.Attribute.GroupTable
                "name": "GroupTable",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterGroupKeyManagementServer.Attribute.MaxGroupsPerFabric
                "name": "MaxGroupsPerFabric",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterGroupKeyManagementServer.Attribute.MaxGroupKeysPerFabric
                "name": "MaxGroupKeysPerFabric",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterGroupKeyManagementServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterGroupKeyManagementServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterGroupKeyManagementServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterGroupKeyManagementServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterGroupKeyManagementServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterGroupKeyManagementServer.Command.KeySetWrite: this.onKeySetWrite(msg, path); break;
            case ClusterGroupKeyManagementServer.Command.KeySetRead: this.onKeySetRead(msg, path); break;
            case ClusterGroupKeyManagementServer.Command.KeySetReadResponse: this.onKeySetReadResponse(msg, path); break;
            case ClusterGroupKeyManagementServer.Command.KeySetRemove: this.onKeySetRemove(msg, path); break;
            case ClusterGroupKeyManagementServer.Command.KeySetReadAllIndices: this.onKeySetReadAllIndices(msg, path); break;
            case ClusterGroupKeyManagementServer.Command.KeySetReadAllIndicesResponse: this.onKeySetReadAllIndicesResponse(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onKeySetWrite(msg, commandPath)
    {
        console.log(this.constructor.name+".onKeySetWrite")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onKeySetRead(msg, commandPath)
    {
        console.log(this.constructor.name+".onKeySetRead")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onKeySetReadResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onKeySetReadResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onKeySetRemove(msg, commandPath)
    {
        console.log(this.constructor.name+".onKeySetRemove")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onKeySetReadAllIndices(msg, commandPath)
    {
        console.log(this.constructor.name+".onKeySetReadAllIndices")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onKeySetReadAllIndicesResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onKeySetReadAllIndicesResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterGroupsServer
 */
class ClusterGroupsServer
{
    static CLUSTER_NAME = 'GROUPS_CLUSTER'
    static CLUSTER_ID = 0x0004

    static Command = {
        AddGroup: 0,
        AddGroupResponse: 0,
        ViewGroup: 1,
        ViewGroupResponse: 1,
        GetGroupMembership: 2,
        GetGroupMembershipResponse: 2,
        RemoveGroup: 3,
        RemoveGroupResponse: 3,
        RemoveAllGroups: 4,
        AddGroupIfIdentifying: 5,
    }

    static Attribute = {
        NameSupport: 0,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandAddGroup = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::GroupId', 'value': params.GroupId },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.GroupName },
        ]
    }
    static TemplateCommandAddGroupResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'chip::GroupId', 'value': params.GroupId },
        ]
    }
    static TemplateCommandViewGroup = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::GroupId', 'value': params.GroupId },
        ]
    }
    static TemplateCommandViewGroupResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'chip::GroupId', 'value': params.GroupId },
          { 'tag': 2, 'type': 'chip::CharSpan', 'value': params.GroupName },
        ]
    }
    static TemplateCommandGetGroupMembership = function(params) {
        return [
          { 'tag': 0, 'type': 'array', 'value': [] }, // params.GroupList
        ]
    }
    static TemplateCommandGetGroupMembershipResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Capacity },
          { 'tag': 1, 'type': 'array', 'value': [] }, // params.GroupList
        ]
    }
    static TemplateCommandRemoveGroup = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::GroupId', 'value': params.GroupId },
        ]
    }
    static TemplateCommandRemoveGroupResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'chip::GroupId', 'value': params.GroupId },
        ]
    }
    static TemplateCommandRemoveAllGroups = function(params) {
        return [
        ]
    }
    static TemplateCommandAddGroupIfIdentifying = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::GroupId', 'value': params.GroupId },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.GroupName },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterGroupsServer.Attribute.NameSupport
                "name": "NameSupport",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterGroupsServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterGroupsServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterGroupsServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterGroupsServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterGroupsServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterGroupsServer.Command.AddGroup: this.onAddGroup(msg, path); break;
            case ClusterGroupsServer.Command.AddGroupResponse: this.onAddGroupResponse(msg, path); break;
            case ClusterGroupsServer.Command.ViewGroup: this.onViewGroup(msg, path); break;
            case ClusterGroupsServer.Command.ViewGroupResponse: this.onViewGroupResponse(msg, path); break;
            case ClusterGroupsServer.Command.GetGroupMembership: this.onGetGroupMembership(msg, path); break;
            case ClusterGroupsServer.Command.GetGroupMembershipResponse: this.onGetGroupMembershipResponse(msg, path); break;
            case ClusterGroupsServer.Command.RemoveGroup: this.onRemoveGroup(msg, path); break;
            case ClusterGroupsServer.Command.RemoveGroupResponse: this.onRemoveGroupResponse(msg, path); break;
            case ClusterGroupsServer.Command.RemoveAllGroups: this.onRemoveAllGroups(msg, path); break;
            case ClusterGroupsServer.Command.AddGroupIfIdentifying: this.onAddGroupIfIdentifying(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onAddGroup(msg, commandPath)
    {
        console.log(this.constructor.name+".onAddGroup")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onAddGroupResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onAddGroupResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onViewGroup(msg, commandPath)
    {
        console.log(this.constructor.name+".onViewGroup")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onViewGroupResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onViewGroupResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetGroupMembership(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetGroupMembership")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetGroupMembershipResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetGroupMembershipResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRemoveGroup(msg, commandPath)
    {
        console.log(this.constructor.name+".onRemoveGroup")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRemoveGroupResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onRemoveGroupResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRemoveAllGroups(msg, commandPath)
    {
        console.log(this.constructor.name+".onRemoveAllGroups")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onAddGroupIfIdentifying(msg, commandPath)
    {
        console.log(this.constructor.name+".onAddGroupIfIdentifying")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterIasZoneServer
 */
class ClusterIasZoneServer
{
    static CLUSTER_NAME = 'IAS_ZONE_CLUSTER'
    static CLUSTER_ID = 0x0500

    static Command = {
        ZoneEnrollResponse: 0,
        ZoneStatusChangeNotification: 0,
        InitiateNormalOperationMode: 1,
        ZoneEnrollRequest: 1,
        InitiateTestMode: 2,
        InitiateNormalOperationModeResponse: 2,
        InitiateTestModeResponse: 3,
    }

    static Attribute = {
        ZoneState: 0,
        ZoneType: 1,
        ZoneStatus: 2,
        IasCieAddress: 16,
        ZoneId: 17,
        NumberOfZoneSensitivityLevelsSupported: 18,
        CurrentZoneSensitivityLevel: 19,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandZoneEnrollResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.EnrollResponseCode },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.ZoneId },
        ]
    }
    static TemplateCommandZoneStatusChangeNotification = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ZoneStatus },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.ExtendedStatus },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.ZoneId },
          { 'tag': 3, 'type': 'uint16_t', 'value': params.Delay },
        ]
    }
    static TemplateCommandInitiateNormalOperationMode = function(params) {
        return [
        ]
    }
    static TemplateCommandZoneEnrollRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.ZoneType },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.ManufacturerCode },
        ]
    }
    static TemplateCommandInitiateTestMode = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.TestModeDuration },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.CurrentZoneSensitivityLevel },
        ]
    }
    static TemplateCommandInitiateNormalOperationModeResponse = function(params) {
        return [
        ]
    }
    static TemplateCommandInitiateTestModeResponse = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterIasZoneServer.Attribute.ZoneState
                "name": "ZoneState",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterIasZoneServer.Attribute.ZoneType
                "name": "ZoneType",
                "type": "enum16",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterIasZoneServer.Attribute.ZoneStatus
                "name": "ZoneStatus",
                "type": "bitmap16",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterIasZoneServer.Attribute.IasCieAddress
                "name": "IasCieAddress",
                "type": "node_id",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterIasZoneServer.Attribute.ZoneId
                "name": "ZoneId",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterIasZoneServer.Attribute.NumberOfZoneSensitivityLevelsSupported
                "name": "NumberOfZoneSensitivityLevelsSupported",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterIasZoneServer.Attribute.CurrentZoneSensitivityLevel
                "name": "CurrentZoneSensitivityLevel",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterIasZoneServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterIasZoneServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterIasZoneServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterIasZoneServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterIasZoneServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterIasZoneServer.Command.ZoneEnrollResponse: this.onZoneEnrollResponse(msg, path); break;
            case ClusterIasZoneServer.Command.ZoneStatusChangeNotification: this.onZoneStatusChangeNotification(msg, path); break;
            case ClusterIasZoneServer.Command.InitiateNormalOperationMode: this.onInitiateNormalOperationMode(msg, path); break;
            case ClusterIasZoneServer.Command.ZoneEnrollRequest: this.onZoneEnrollRequest(msg, path); break;
            case ClusterIasZoneServer.Command.InitiateTestMode: this.onInitiateTestMode(msg, path); break;
            case ClusterIasZoneServer.Command.InitiateNormalOperationModeResponse: this.onInitiateNormalOperationModeResponse(msg, path); break;
            case ClusterIasZoneServer.Command.InitiateTestModeResponse: this.onInitiateTestModeResponse(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onZoneEnrollResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onZoneEnrollResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onZoneStatusChangeNotification(msg, commandPath)
    {
        console.log(this.constructor.name+".onZoneStatusChangeNotification")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onInitiateNormalOperationMode(msg, commandPath)
    {
        console.log(this.constructor.name+".onInitiateNormalOperationMode")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onZoneEnrollRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onZoneEnrollRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onInitiateTestMode(msg, commandPath)
    {
        console.log(this.constructor.name+".onInitiateTestMode")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onInitiateNormalOperationModeResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onInitiateNormalOperationModeResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onInitiateTestModeResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onInitiateTestModeResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterIdentifyServer
 */
class ClusterIdentifyServer
{
    static CLUSTER_NAME = 'IDENTIFY_CLUSTER'
    static CLUSTER_ID = 0x0003

    static Command = {
        Identify: 0,
        IdentifyQueryResponse: 0,
        IdentifyQuery: 1,
        TriggerEffect: 64,
    }

    static Attribute = {
        IdentifyTime: 0,
        IdentifyType: 1,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandIdentify = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.IdentifyTime },
        ]
    }
    static TemplateCommandIdentifyQueryResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.Timeout },
        ]
    }
    static TemplateCommandIdentifyQuery = function(params) {
        return [
        ]
    }
    static TemplateCommandTriggerEffect = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.EffectIdentifier },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.EffectVariant },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterIdentifyServer.Attribute.IdentifyTime
                "name": "IdentifyTime",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterIdentifyServer.Attribute.IdentifyType
                "name": "IdentifyType",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterIdentifyServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterIdentifyServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterIdentifyServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterIdentifyServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterIdentifyServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterIdentifyServer.Command.Identify: this.onIdentify(msg, path); break;
            case ClusterIdentifyServer.Command.IdentifyQueryResponse: this.onIdentifyQueryResponse(msg, path); break;
            case ClusterIdentifyServer.Command.IdentifyQuery: this.onIdentifyQuery(msg, path); break;
            case ClusterIdentifyServer.Command.TriggerEffect: this.onTriggerEffect(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onIdentify(msg, commandPath)
    {
        console.log(this.constructor.name+".onIdentify")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onIdentifyQueryResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onIdentifyQueryResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onIdentifyQuery(msg, commandPath)
    {
        console.log(this.constructor.name+".onIdentifyQuery")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTriggerEffect(msg, commandPath)
    {
        console.log(this.constructor.name+".onTriggerEffect")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterIlluminanceMeasurementServer
 */
class ClusterIlluminanceMeasurementServer
{
    static CLUSTER_NAME = 'ILLUMINANCE_MEASUREMENT_CLUSTER'
    static CLUSTER_ID = 0x0400

    static Command = {
    }

    static Attribute = {
        MeasuredValue: 0,
        MinMeasuredValue: 1,
        MaxMeasuredValue: 2,
        Tolerance: 3,
        LightSensorType: 4,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterIlluminanceMeasurementServer.Attribute.MeasuredValue
                "name": "MeasuredValue",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterIlluminanceMeasurementServer.Attribute.MinMeasuredValue
                "name": "MinMeasuredValue",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterIlluminanceMeasurementServer.Attribute.MaxMeasuredValue
                "name": "MaxMeasuredValue",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterIlluminanceMeasurementServer.Attribute.Tolerance
                "name": "Tolerance",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterIlluminanceMeasurementServer.Attribute.LightSensorType
                "name": "LightSensorType",
                "type": "enum8",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterIlluminanceMeasurementServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterIlluminanceMeasurementServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterIlluminanceMeasurementServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterIlluminanceMeasurementServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterIlluminanceMeasurementServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterKeypadInputServer
 */
class ClusterKeypadInputServer
{
    static CLUSTER_NAME = 'KEYPAD_INPUT_CLUSTER'
    static CLUSTER_ID = 0x0509

    static Command = {
        SendKey: 0,
        SendKeyResponse: 1,
    }

    static Attribute = {
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandSendKey = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.KeyCode },
        ]
    }
    static TemplateCommandSendKeyResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            65528: { // ClusterKeypadInputServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterKeypadInputServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterKeypadInputServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterKeypadInputServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterKeypadInputServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterKeypadInputServer.Command.SendKey: this.onSendKey(msg, path); break;
            case ClusterKeypadInputServer.Command.SendKeyResponse: this.onSendKeyResponse(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onSendKey(msg, commandPath)
    {
        console.log(this.constructor.name+".onSendKey")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSendKeyResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onSendKeyResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterLevelControlServer
 */
class ClusterLevelControlServer
{
    static CLUSTER_NAME = 'LEVEL_CONTROL_CLUSTER'
    static CLUSTER_ID = 0x0008

    static Command = {
        MoveToLevel: 0,
        Move: 1,
        Step: 2,
        Stop: 3,
        MoveToLevelWithOnOff: 4,
        MoveWithOnOff: 5,
        StepWithOnOff: 6,
        StopWithOnOff: 7,
    }

    static Attribute = {
        CurrentLevel: 0,
        RemainingTime: 1,
        MinLevel: 2,
        MaxLevel: 3,
        CurrentFrequency: 4,
        MinFrequency: 5,
        MaxFrequency: 6,
        Options: 15,
        OnOffTransitionTime: 16,
        OnLevel: 17,
        OnTransitionTime: 18,
        OffTransitionTime: 19,
        DefaultMoveRate: 20,
        StartUpCurrentLevel: 16384,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandMoveToLevel = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Level },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.OptionMask },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionOverride },
        ]
    }
    static TemplateCommandMove = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.MoveMode },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Rate },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.OptionMask },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionOverride },
        ]
    }
    static TemplateCommandStep = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.StepMode },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.StepSize },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OptionMask },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.OptionOverride },
        ]
    }
    static TemplateCommandStop = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.OptionMask },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.OptionOverride },
        ]
    }
    static TemplateCommandMoveToLevelWithOnOff = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Level },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.TransitionTime },
        ]
    }
    static TemplateCommandMoveWithOnOff = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.MoveMode },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Rate },
        ]
    }
    static TemplateCommandStepWithOnOff = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.StepMode },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.StepSize },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
        ]
    }
    static TemplateCommandStopWithOnOff = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterLevelControlServer.Attribute.CurrentLevel
                "name": "CurrentLevel",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterLevelControlServer.Attribute.RemainingTime
                "name": "RemainingTime",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterLevelControlServer.Attribute.MinLevel
                "name": "MinLevel",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterLevelControlServer.Attribute.MaxLevel
                "name": "MaxLevel",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterLevelControlServer.Attribute.CurrentFrequency
                "name": "CurrentFrequency",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterLevelControlServer.Attribute.MinFrequency
                "name": "MinFrequency",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterLevelControlServer.Attribute.MaxFrequency
                "name": "MaxFrequency",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            15: { // ClusterLevelControlServer.Attribute.Options
                "name": "Options",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterLevelControlServer.Attribute.OnOffTransitionTime
                "name": "OnOffTransitionTime",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterLevelControlServer.Attribute.OnLevel
                "name": "OnLevel",
                "type": "int8u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterLevelControlServer.Attribute.OnTransitionTime
                "name": "OnTransitionTime",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterLevelControlServer.Attribute.OffTransitionTime
                "name": "OffTransitionTime",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            20: { // ClusterLevelControlServer.Attribute.DefaultMoveRate
                "name": "DefaultMoveRate",
                "type": "int8u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16384: { // ClusterLevelControlServer.Attribute.StartUpCurrentLevel
                "name": "StartUpCurrentLevel",
                "type": "int8u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterLevelControlServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterLevelControlServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterLevelControlServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterLevelControlServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterLevelControlServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterLevelControlServer.Command.MoveToLevel: this.onMoveToLevel(msg, path); break;
            case ClusterLevelControlServer.Command.Move: this.onMove(msg, path); break;
            case ClusterLevelControlServer.Command.Step: this.onStep(msg, path); break;
            case ClusterLevelControlServer.Command.Stop: this.onStop(msg, path); break;
            case ClusterLevelControlServer.Command.MoveToLevelWithOnOff: this.onMoveToLevelWithOnOff(msg, path); break;
            case ClusterLevelControlServer.Command.MoveWithOnOff: this.onMoveWithOnOff(msg, path); break;
            case ClusterLevelControlServer.Command.StepWithOnOff: this.onStepWithOnOff(msg, path); break;
            case ClusterLevelControlServer.Command.StopWithOnOff: this.onStopWithOnOff(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onMoveToLevel(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveToLevel")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onMove(msg, commandPath)
    {
        console.log(this.constructor.name+".onMove")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStep(msg, commandPath)
    {
        console.log(this.constructor.name+".onStep")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStop(msg, commandPath)
    {
        console.log(this.constructor.name+".onStop")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onMoveToLevelWithOnOff(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveToLevelWithOnOff")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onMoveWithOnOff(msg, commandPath)
    {
        console.log(this.constructor.name+".onMoveWithOnOff")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStepWithOnOff(msg, commandPath)
    {
        console.log(this.constructor.name+".onStepWithOnOff")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStopWithOnOff(msg, commandPath)
    {
        console.log(this.constructor.name+".onStopWithOnOff")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterLocalizationConfigurationServer
 */
class ClusterLocalizationConfigurationServer
{
    static CLUSTER_NAME = 'LOCALIZATION_CONFIGURATION_CLUSTER'
    static CLUSTER_ID = 0x002B

    static Command = {
    }

    static Attribute = {
        ActiveLocale: 1,
        SupportedLocales: 2,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            1: { // ClusterLocalizationConfigurationServer.Attribute.ActiveLocale
                "name": "ActiveLocale",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterLocalizationConfigurationServer.Attribute.SupportedLocales
                "name": "SupportedLocales",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterLocalizationConfigurationServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterLocalizationConfigurationServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterLocalizationConfigurationServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterLocalizationConfigurationServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterLocalizationConfigurationServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterLowPowerServer
 */
class ClusterLowPowerServer
{
    static CLUSTER_NAME = 'LOW_POWER_CLUSTER'
    static CLUSTER_ID = 0x0508

    static Command = {
        Sleep: 0,
    }

    static Attribute = {
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandSleep = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            65528: { // ClusterLowPowerServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterLowPowerServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterLowPowerServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterLowPowerServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterLowPowerServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterLowPowerServer.Command.Sleep: this.onSleep(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onSleep(msg, commandPath)
    {
        console.log(this.constructor.name+".onSleep")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterMediaInputServer
 */
class ClusterMediaInputServer
{
    static CLUSTER_NAME = 'MEDIA_INPUT_CLUSTER'
    static CLUSTER_ID = 0x0507

    static Command = {
        SelectInput: 0,
        ShowInputStatus: 1,
        HideInputStatus: 2,
        RenameInput: 3,
    }

    static Attribute = {
        InputList: 0,
        CurrentInput: 1,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandSelectInput = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Index },
        ]
    }
    static TemplateCommandShowInputStatus = function(params) {
        return [
        ]
    }
    static TemplateCommandHideInputStatus = function(params) {
        return [
        ]
    }
    static TemplateCommandRenameInput = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Index },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.Name },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterMediaInputServer.Attribute.InputList
                "name": "InputList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterMediaInputServer.Attribute.CurrentInput
                "name": "CurrentInput",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterMediaInputServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterMediaInputServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterMediaInputServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterMediaInputServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterMediaInputServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterMediaInputServer.Command.SelectInput: this.onSelectInput(msg, path); break;
            case ClusterMediaInputServer.Command.ShowInputStatus: this.onShowInputStatus(msg, path); break;
            case ClusterMediaInputServer.Command.HideInputStatus: this.onHideInputStatus(msg, path); break;
            case ClusterMediaInputServer.Command.RenameInput: this.onRenameInput(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onSelectInput(msg, commandPath)
    {
        console.log(this.constructor.name+".onSelectInput")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onShowInputStatus(msg, commandPath)
    {
        console.log(this.constructor.name+".onShowInputStatus")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onHideInputStatus(msg, commandPath)
    {
        console.log(this.constructor.name+".onHideInputStatus")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRenameInput(msg, commandPath)
    {
        console.log(this.constructor.name+".onRenameInput")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterMediaPlaybackServer
 */
class ClusterMediaPlaybackServer
{
    static CLUSTER_NAME = 'MEDIA_PLAYBACK_CLUSTER'
    static CLUSTER_ID = 0x0506

    static Command = {
        Play: 0,
        Pause: 1,
        StopPlayback: 2,
        StartOver: 3,
        Previous: 4,
        Next: 5,
        Rewind: 6,
        FastForward: 7,
        SkipForward: 8,
        SkipBackward: 9,
        PlaybackResponse: 10,
        Seek: 11,
    }

    static Attribute = {
        CurrentState: 0,
        StartTime: 1,
        Duration: 2,
        SampledPosition: 3,
        PlaybackSpeed: 4,
        SeekRangeEnd: 5,
        SeekRangeStart: 6,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandPlay = function(params) {
        return [
        ]
    }
    static TemplateCommandPause = function(params) {
        return [
        ]
    }
    static TemplateCommandStopPlayback = function(params) {
        return [
        ]
    }
    static TemplateCommandStartOver = function(params) {
        return [
        ]
    }
    static TemplateCommandPrevious = function(params) {
        return [
        ]
    }
    static TemplateCommandNext = function(params) {
        return [
        ]
    }
    static TemplateCommandRewind = function(params) {
        return [
        ]
    }
    static TemplateCommandFastForward = function(params) {
        return [
        ]
    }
    static TemplateCommandSkipForward = function(params) {
        return [
          { 'tag': 0, 'type': 'uint64_t', 'value': params.DeltaPositionMilliseconds },
        ]
    }
    static TemplateCommandSkipBackward = function(params) {
        return [
          { 'tag': 0, 'type': 'uint64_t', 'value': params.DeltaPositionMilliseconds },
        ]
    }
    static TemplateCommandPlaybackResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.Data },
        ]
    }
    static TemplateCommandSeek = function(params) {
        return [
          { 'tag': 0, 'type': 'uint64_t', 'value': params.Position },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterMediaPlaybackServer.Attribute.CurrentState
                "name": "CurrentState",
                "type": "PlaybackStateEnum",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterMediaPlaybackServer.Attribute.StartTime
                "name": "StartTime",
                "type": "epoch_us",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterMediaPlaybackServer.Attribute.Duration
                "name": "Duration",
                "type": "int64u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterMediaPlaybackServer.Attribute.SampledPosition
                "name": "SampledPosition",
                "type": "PlaybackPosition",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterMediaPlaybackServer.Attribute.PlaybackSpeed
                "name": "PlaybackSpeed",
                "type": "single",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterMediaPlaybackServer.Attribute.SeekRangeEnd
                "name": "SeekRangeEnd",
                "type": "int64u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterMediaPlaybackServer.Attribute.SeekRangeStart
                "name": "SeekRangeStart",
                "type": "int64u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterMediaPlaybackServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterMediaPlaybackServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterMediaPlaybackServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterMediaPlaybackServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterMediaPlaybackServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterMediaPlaybackServer.Command.Play: this.onPlay(msg, path); break;
            case ClusterMediaPlaybackServer.Command.Pause: this.onPause(msg, path); break;
            case ClusterMediaPlaybackServer.Command.StopPlayback: this.onStopPlayback(msg, path); break;
            case ClusterMediaPlaybackServer.Command.StartOver: this.onStartOver(msg, path); break;
            case ClusterMediaPlaybackServer.Command.Previous: this.onPrevious(msg, path); break;
            case ClusterMediaPlaybackServer.Command.Next: this.onNext(msg, path); break;
            case ClusterMediaPlaybackServer.Command.Rewind: this.onRewind(msg, path); break;
            case ClusterMediaPlaybackServer.Command.FastForward: this.onFastForward(msg, path); break;
            case ClusterMediaPlaybackServer.Command.SkipForward: this.onSkipForward(msg, path); break;
            case ClusterMediaPlaybackServer.Command.SkipBackward: this.onSkipBackward(msg, path); break;
            case ClusterMediaPlaybackServer.Command.PlaybackResponse: this.onPlaybackResponse(msg, path); break;
            case ClusterMediaPlaybackServer.Command.Seek: this.onSeek(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onPlay(msg, commandPath)
    {
        console.log(this.constructor.name+".onPlay")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onPause(msg, commandPath)
    {
        console.log(this.constructor.name+".onPause")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStopPlayback(msg, commandPath)
    {
        console.log(this.constructor.name+".onStopPlayback")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStartOver(msg, commandPath)
    {
        console.log(this.constructor.name+".onStartOver")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onPrevious(msg, commandPath)
    {
        console.log(this.constructor.name+".onPrevious")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onNext(msg, commandPath)
    {
        console.log(this.constructor.name+".onNext")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRewind(msg, commandPath)
    {
        console.log(this.constructor.name+".onRewind")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onFastForward(msg, commandPath)
    {
        console.log(this.constructor.name+".onFastForward")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSkipForward(msg, commandPath)
    {
        console.log(this.constructor.name+".onSkipForward")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSkipBackward(msg, commandPath)
    {
        console.log(this.constructor.name+".onSkipBackward")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onPlaybackResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onPlaybackResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSeek(msg, commandPath)
    {
        console.log(this.constructor.name+".onSeek")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterModeSelectServer
 */
class ClusterModeSelectServer
{
    static CLUSTER_NAME = 'MODE_SELECT_CLUSTER'
    static CLUSTER_ID = 0x0050

    static Command = {
        ChangeToMode: 0,
    }

    static Attribute = {
        Description: 0,
        StandardNamespace: 1,
        SupportedModes: 2,
        CurrentMode: 3,
        StartUpMode: 4,
        OnMode: 5,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandChangeToMode = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.NewMode },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterModeSelectServer.Attribute.Description
                "name": "Description",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterModeSelectServer.Attribute.StandardNamespace
                "name": "StandardNamespace",
                "type": "enum16",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterModeSelectServer.Attribute.SupportedModes
                "name": "SupportedModes",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterModeSelectServer.Attribute.CurrentMode
                "name": "CurrentMode",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterModeSelectServer.Attribute.StartUpMode
                "name": "StartUpMode",
                "type": "int8u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterModeSelectServer.Attribute.OnMode
                "name": "OnMode",
                "type": "int8u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterModeSelectServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterModeSelectServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterModeSelectServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterModeSelectServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterModeSelectServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterModeSelectServer.Command.ChangeToMode: this.onChangeToMode(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onChangeToMode(msg, commandPath)
    {
        console.log(this.constructor.name+".onChangeToMode")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterNetworkCommissioningServer
 */
class ClusterNetworkCommissioningServer
{
    static CLUSTER_NAME = 'NETWORK_COMMISSIONING_CLUSTER'
    static CLUSTER_ID = 0x0031

    static Command = {
        ScanNetworks: 0,
        ScanNetworksResponse: 1,
        AddOrUpdateWiFiNetwork: 2,
        AddOrUpdateThreadNetwork: 3,
        RemoveNetwork: 4,
        NetworkConfigResponse: 5,
        ConnectNetwork: 6,
        ConnectNetworkResponse: 7,
        ReorderNetwork: 8,
    }

    static Attribute = {
        MaxNetworks: 0,
        Networks: 1,
        ScanMaxTimeSeconds: 2,
        ConnectMaxTimeSeconds: 3,
        InterfaceEnabled: 4,
        LastNetworkingStatus: 5,
        LastNetworkID: 6,
        LastConnectErrorValue: 7,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandScanNetworks = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.Ssid },
          { 'tag': 1, 'type': 'uint64_t', 'value': params.Breadcrumb },
        ]
    }
    static TemplateCommandScanNetworksResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.NetworkingStatus },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.DebugText },
          { 'tag': 2, 'type': 'array', 'value': [] }, // params.WiFiScanResults
          { 'tag': 3, 'type': 'array', 'value': [] }, // params.ThreadScanResults
        ]
    }
    static TemplateCommandAddOrUpdateWiFiNetwork = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.Ssid },
          { 'tag': 1, 'type': 'chip::ByteSpan', 'value': params.Credentials },
          { 'tag': 2, 'type': 'uint64_t', 'value': params.Breadcrumb },
        ]
    }
    static TemplateCommandAddOrUpdateThreadNetwork = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.OperationalDataset },
          { 'tag': 1, 'type': 'uint64_t', 'value': params.Breadcrumb },
        ]
    }
    static TemplateCommandRemoveNetwork = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.NetworkID },
          { 'tag': 1, 'type': 'uint64_t', 'value': params.Breadcrumb },
        ]
    }
    static TemplateCommandNetworkConfigResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.NetworkingStatus },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.DebugText },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.NetworkIndex },
        ]
    }
    static TemplateCommandConnectNetwork = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.NetworkID },
          { 'tag': 1, 'type': 'uint64_t', 'value': params.Breadcrumb },
        ]
    }
    static TemplateCommandConnectNetworkResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.NetworkingStatus },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.DebugText },
          { 'tag': 2, 'type': 'int32_t', 'value': params.ErrorValue },
        ]
    }
    static TemplateCommandReorderNetwork = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.NetworkID },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.NetworkIndex },
          { 'tag': 2, 'type': 'uint64_t', 'value': params.Breadcrumb },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterNetworkCommissioningServer.Attribute.MaxNetworks
                "name": "MaxNetworks",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterNetworkCommissioningServer.Attribute.Networks
                "name": "Networks",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterNetworkCommissioningServer.Attribute.ScanMaxTimeSeconds
                "name": "ScanMaxTimeSeconds",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterNetworkCommissioningServer.Attribute.ConnectMaxTimeSeconds
                "name": "ConnectMaxTimeSeconds",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterNetworkCommissioningServer.Attribute.InterfaceEnabled
                "name": "InterfaceEnabled",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterNetworkCommissioningServer.Attribute.LastNetworkingStatus
                "name": "LastNetworkingStatus",
                "type": "NetworkCommissioningStatus",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterNetworkCommissioningServer.Attribute.LastNetworkID
                "name": "LastNetworkID",
                "type": "octet_string",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterNetworkCommissioningServer.Attribute.LastConnectErrorValue
                "name": "LastConnectErrorValue",
                "type": "int32s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterNetworkCommissioningServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterNetworkCommissioningServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterNetworkCommissioningServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterNetworkCommissioningServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterNetworkCommissioningServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterNetworkCommissioningServer.Command.ScanNetworks: this.onScanNetworks(msg, path); break;
            case ClusterNetworkCommissioningServer.Command.ScanNetworksResponse: this.onScanNetworksResponse(msg, path); break;
            case ClusterNetworkCommissioningServer.Command.AddOrUpdateWiFiNetwork: this.onAddOrUpdateWiFiNetwork(msg, path); break;
            case ClusterNetworkCommissioningServer.Command.AddOrUpdateThreadNetwork: this.onAddOrUpdateThreadNetwork(msg, path); break;
            case ClusterNetworkCommissioningServer.Command.RemoveNetwork: this.onRemoveNetwork(msg, path); break;
            case ClusterNetworkCommissioningServer.Command.NetworkConfigResponse: this.onNetworkConfigResponse(msg, path); break;
            case ClusterNetworkCommissioningServer.Command.ConnectNetwork: this.onConnectNetwork(msg, path); break;
            case ClusterNetworkCommissioningServer.Command.ConnectNetworkResponse: this.onConnectNetworkResponse(msg, path); break;
            case ClusterNetworkCommissioningServer.Command.ReorderNetwork: this.onReorderNetwork(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onScanNetworks(msg, commandPath)
    {
        console.log(this.constructor.name+".onScanNetworks")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onScanNetworksResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onScanNetworksResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onAddOrUpdateWiFiNetwork(msg, commandPath)
    {
        console.log(this.constructor.name+".onAddOrUpdateWiFiNetwork")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onAddOrUpdateThreadNetwork(msg, commandPath)
    {
        console.log(this.constructor.name+".onAddOrUpdateThreadNetwork")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRemoveNetwork(msg, commandPath)
    {
        console.log(this.constructor.name+".onRemoveNetwork")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onNetworkConfigResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onNetworkConfigResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onConnectNetwork(msg, commandPath)
    {
        console.log(this.constructor.name+".onConnectNetwork")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onConnectNetworkResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onConnectNetworkResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onReorderNetwork(msg, commandPath)
    {
        console.log(this.constructor.name+".onReorderNetwork")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterOtaSoftwareUpdateProviderClient
 */
class ClusterOtaSoftwareUpdateProviderClient
{
    static CLUSTER_NAME = 'OTA_PROVIDER_CLUSTER'
    static CLUSTER_ID = 0x0029

    static Command = {
        QueryImage: 0,
        QueryImageResponse: 1,
        ApplyUpdateRequest: 2,
        ApplyUpdateResponse: 3,
        NotifyUpdateApplied: 4,
    }

    static Attribute = {
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandQueryImage = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::VendorId', 'value': params.VendorId },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.ProductId },
          { 'tag': 2, 'type': 'uint32_t', 'value': params.SoftwareVersion },
          { 'tag': 3, 'type': 'array', 'value': [] }, // params.ProtocolsSupported
          { 'tag': 4, 'type': 'uint16_t', 'value': params.HardwareVersion },
          { 'tag': 5, 'type': 'chip::CharSpan', 'value': params.Location },
          { 'tag': 6, 'type': 'bool', 'value': params.RequestorCanConsent },
          { 'tag': 7, 'type': 'chip::ByteSpan', 'value': params.MetadataForProvider },
        ]
    }
    static TemplateCommandQueryImageResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.DelayedActionTime },
          { 'tag': 2, 'type': 'chip::CharSpan', 'value': params.ImageURI },
          { 'tag': 3, 'type': 'uint32_t', 'value': params.SoftwareVersion },
          { 'tag': 4, 'type': 'chip::CharSpan', 'value': params.SoftwareVersionString },
          { 'tag': 5, 'type': 'chip::ByteSpan', 'value': params.UpdateToken },
          { 'tag': 6, 'type': 'bool', 'value': params.UserConsentNeeded },
          { 'tag': 7, 'type': 'chip::ByteSpan', 'value': params.MetadataForRequestor },
        ]
    }
    static TemplateCommandApplyUpdateRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.UpdateToken },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.NewVersion },
        ]
    }
    static TemplateCommandApplyUpdateResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Action },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.DelayedActionTime },
        ]
    }
    static TemplateCommandNotifyUpdateApplied = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.UpdateToken },
          { 'tag': 1, 'type': 'uint32_t', 'value': params.SoftwareVersion },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            65528: { // ClusterOtaSoftwareUpdateProviderClient.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterOtaSoftwareUpdateProviderClient.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterOtaSoftwareUpdateProviderClient.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterOtaSoftwareUpdateProviderClient.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterOtaSoftwareUpdateProviderClient.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterOtaSoftwareUpdateProviderClient.Command.QueryImage: this.onQueryImage(msg, path); break;
            case ClusterOtaSoftwareUpdateProviderClient.Command.QueryImageResponse: this.onQueryImageResponse(msg, path); break;
            case ClusterOtaSoftwareUpdateProviderClient.Command.ApplyUpdateRequest: this.onApplyUpdateRequest(msg, path); break;
            case ClusterOtaSoftwareUpdateProviderClient.Command.ApplyUpdateResponse: this.onApplyUpdateResponse(msg, path); break;
            case ClusterOtaSoftwareUpdateProviderClient.Command.NotifyUpdateApplied: this.onNotifyUpdateApplied(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onQueryImage(msg, commandPath)
    {
        console.log(this.constructor.name+".onQueryImage")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onQueryImageResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onQueryImageResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onApplyUpdateRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onApplyUpdateRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onApplyUpdateResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onApplyUpdateResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onNotifyUpdateApplied(msg, commandPath)
    {
        console.log(this.constructor.name+".onNotifyUpdateApplied")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterOtaSoftwareUpdateRequestorServer
 */
class ClusterOtaSoftwareUpdateRequestorServer
{
    static CLUSTER_NAME = 'OTA_REQUESTOR_CLUSTER'
    static CLUSTER_ID = 0x002A

    static Command = {
        AnnounceOtaProvider: 0,
    }

    static Attribute = {
        DefaultOtaProviders: 0,
        UpdatePossible: 1,
        UpdateState: 2,
        UpdateStateProgress: 3,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandAnnounceOtaProvider = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::NodeId', 'value': params.ProviderNodeId },
          { 'tag': 1, 'type': 'chip::VendorId', 'value': params.VendorId },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.AnnouncementReason },
          { 'tag': 3, 'type': 'chip::ByteSpan', 'value': params.MetadataForNode },
          { 'tag': 4, 'type': 'chip::EndpointId', 'value': params.Endpoint },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterOtaSoftwareUpdateRequestorServer.Attribute.DefaultOtaProviders
                "name": "DefaultOtaProviders",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterOtaSoftwareUpdateRequestorServer.Attribute.UpdatePossible
                "name": "UpdatePossible",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterOtaSoftwareUpdateRequestorServer.Attribute.UpdateState
                "name": "UpdateState",
                "type": "OTAUpdateStateEnum",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterOtaSoftwareUpdateRequestorServer.Attribute.UpdateStateProgress
                "name": "UpdateStateProgress",
                "type": "int8u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterOtaSoftwareUpdateRequestorServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterOtaSoftwareUpdateRequestorServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterOtaSoftwareUpdateRequestorServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterOtaSoftwareUpdateRequestorServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterOtaSoftwareUpdateRequestorServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterOtaSoftwareUpdateRequestorServer.Command.AnnounceOtaProvider: this.onAnnounceOtaProvider(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onAnnounceOtaProvider(msg, commandPath)
    {
        console.log(this.constructor.name+".onAnnounceOtaProvider")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterOccupancySensingServer
 */
class ClusterOccupancySensingServer
{
    static CLUSTER_NAME = 'OCCUPANCY_SENSING_CLUSTER'
    static CLUSTER_ID = 0x0406

    static Command = {
    }

    static Attribute = {
        Occupancy: 0,
        OccupancySensorType: 1,
        OccupancySensorTypeBitmap: 2,
        PirOccupiedToUnoccupiedDelay: 16,
        PirUnoccupiedToOccupiedDelay: 17,
        PirUnoccupiedToOccupiedThreshold: 18,
        UltrasonicOccupiedToUnoccupiedDelay: 32,
        UltrasonicUnoccupiedToOccupiedDelay: 33,
        UltrasonicUnoccupiedToOccupiedThreshold: 34,
        PhysicalContactOccupiedToUnoccupiedDelay: 48,
        PhysicalContactUnoccupiedToOccupiedDelay: 49,
        PhysicalContactUnoccupiedToOccupiedThreshold: 50,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterOccupancySensingServer.Attribute.Occupancy
                "name": "Occupancy",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterOccupancySensingServer.Attribute.OccupancySensorType
                "name": "OccupancySensorType",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterOccupancySensingServer.Attribute.OccupancySensorTypeBitmap
                "name": "OccupancySensorTypeBitmap",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterOccupancySensingServer.Attribute.PirOccupiedToUnoccupiedDelay
                "name": "PirOccupiedToUnoccupiedDelay",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterOccupancySensingServer.Attribute.PirUnoccupiedToOccupiedDelay
                "name": "PirUnoccupiedToOccupiedDelay",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterOccupancySensingServer.Attribute.PirUnoccupiedToOccupiedThreshold
                "name": "PirUnoccupiedToOccupiedThreshold",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            32: { // ClusterOccupancySensingServer.Attribute.UltrasonicOccupiedToUnoccupiedDelay
                "name": "UltrasonicOccupiedToUnoccupiedDelay",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            33: { // ClusterOccupancySensingServer.Attribute.UltrasonicUnoccupiedToOccupiedDelay
                "name": "UltrasonicUnoccupiedToOccupiedDelay",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            34: { // ClusterOccupancySensingServer.Attribute.UltrasonicUnoccupiedToOccupiedThreshold
                "name": "UltrasonicUnoccupiedToOccupiedThreshold",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            48: { // ClusterOccupancySensingServer.Attribute.PhysicalContactOccupiedToUnoccupiedDelay
                "name": "PhysicalContactOccupiedToUnoccupiedDelay",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            49: { // ClusterOccupancySensingServer.Attribute.PhysicalContactUnoccupiedToOccupiedDelay
                "name": "PhysicalContactUnoccupiedToOccupiedDelay",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            50: { // ClusterOccupancySensingServer.Attribute.PhysicalContactUnoccupiedToOccupiedThreshold
                "name": "PhysicalContactUnoccupiedToOccupiedThreshold",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterOccupancySensingServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterOccupancySensingServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterOccupancySensingServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterOccupancySensingServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterOccupancySensingServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterOnOffServer
 */
class ClusterOnOffServer
{
    static CLUSTER_NAME = 'ON_OFF_CLUSTER'
    static CLUSTER_ID = 0x0006

    static Command = {
        Off: 0,
        On: 1,
        Toggle: 2,
        OffWithEffect: 64,
        OnWithRecallGlobalScene: 65,
        OnWithTimedOff: 66,
    }

    static Attribute = {
        OnOff: 0,
        GlobalSceneControl: 16384,
        OnTime: 16385,
        OffWaitTime: 16386,
        StartUpOnOff: 16387,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandOff = function(params) {
        return [
        ]
    }
    static TemplateCommandOn = function(params) {
        return [
        ]
    }
    static TemplateCommandToggle = function(params) {
        return [
        ]
    }
    static TemplateCommandOffWithEffect = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.EffectId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.EffectVariant },
        ]
    }
    static TemplateCommandOnWithRecallGlobalScene = function(params) {
        return [
        ]
    }
    static TemplateCommandOnWithTimedOff = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.OnOffControl },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.OnTime },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.OffWaitTime },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterOnOffServer.Attribute.OnOff
                "name": "OnOff",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16384: { // ClusterOnOffServer.Attribute.GlobalSceneControl
                "name": "GlobalSceneControl",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16385: { // ClusterOnOffServer.Attribute.OnTime
                "name": "OnTime",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16386: { // ClusterOnOffServer.Attribute.OffWaitTime
                "name": "OffWaitTime",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16387: { // ClusterOnOffServer.Attribute.StartUpOnOff
                "name": "StartUpOnOff",
                "type": "OnOffStartUpOnOff",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterOnOffServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterOnOffServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterOnOffServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterOnOffServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterOnOffServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterOnOffServer.Command.Off: this.onOff(msg, path); break;
            case ClusterOnOffServer.Command.On: this.onOn(msg, path); break;
            case ClusterOnOffServer.Command.Toggle: this.onToggle(msg, path); break;
            case ClusterOnOffServer.Command.OffWithEffect: this.onOffWithEffect(msg, path); break;
            case ClusterOnOffServer.Command.OnWithRecallGlobalScene: this.onOnWithRecallGlobalScene(msg, path); break;
            case ClusterOnOffServer.Command.OnWithTimedOff: this.onOnWithTimedOff(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onOff(msg, commandPath)
    {
        console.log(this.constructor.name+".onOff")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onOn(msg, commandPath)
    {
        console.log(this.constructor.name+".onOn")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onToggle(msg, commandPath)
    {
        console.log(this.constructor.name+".onToggle")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onOffWithEffect(msg, commandPath)
    {
        console.log(this.constructor.name+".onOffWithEffect")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onOnWithRecallGlobalScene(msg, commandPath)
    {
        console.log(this.constructor.name+".onOnWithRecallGlobalScene")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onOnWithTimedOff(msg, commandPath)
    {
        console.log(this.constructor.name+".onOnWithTimedOff")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterOnOffSwitchConfigurationServer
 */
class ClusterOnOffSwitchConfigurationServer
{
    static CLUSTER_NAME = 'ON_OFF_SWITCH_CONFIG_CLUSTER'
    static CLUSTER_ID = 0x0007

    static Command = {
    }

    static Attribute = {
        SwitchType: 0,
        SwitchActions: 16,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterOnOffSwitchConfigurationServer.Attribute.SwitchType
                "name": "SwitchType",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterOnOffSwitchConfigurationServer.Attribute.SwitchActions
                "name": "SwitchActions",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterOnOffSwitchConfigurationServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterOnOffSwitchConfigurationServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterOnOffSwitchConfigurationServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterOnOffSwitchConfigurationServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterOnOffSwitchConfigurationServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterOperationalCredentialsServer
 */
class ClusterOperationalCredentialsServer
{
    static CLUSTER_NAME = 'OPERATIONAL_CREDENTIALS_CLUSTER'
    static CLUSTER_ID = 0x003E

    static Command = {
        AttestationRequest: 0,
        AttestationResponse: 1,
        CertificateChainRequest: 2,
        CertificateChainResponse: 3,
        CSRRequest: 4,
        CSRResponse: 5,
        AddNOC: 6,
        UpdateNOC: 7,
        NOCResponse: 8,
        UpdateFabricLabel: 9,
        RemoveFabric: 10,
        AddTrustedRootCertificate: 11,
        RemoveTrustedRootCertificate: 12,
    }

    static Attribute = {
        NOCs: 0,
        Fabrics: 1,
        SupportedFabrics: 2,
        CommissionedFabrics: 3,
        TrustedRootCertificates: 4,
        CurrentFabricIndex: 5,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandAttestationRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.AttestationNonce },
        ]
    }
    static TemplateCommandAttestationResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.AttestationElements },
          { 'tag': 1, 'type': 'chip::ByteSpan', 'value': params.Signature },
        ]
    }
    static TemplateCommandCertificateChainRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.CertificateType },
        ]
    }
    static TemplateCommandCertificateChainResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.Certificate },
        ]
    }
    static TemplateCommandCSRRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.CSRNonce },
        ]
    }
    static TemplateCommandCSRResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.NOCSRElements },
          { 'tag': 1, 'type': 'chip::ByteSpan', 'value': params.AttestationSignature },
        ]
    }
    static TemplateCommandAddNOC = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.NOCValue },
          { 'tag': 1, 'type': 'chip::ByteSpan', 'value': params.ICACValue },
          { 'tag': 2, 'type': 'chip::ByteSpan', 'value': params.IPKValue },
          { 'tag': 3, 'type': 'chip::NodeId', 'value': params.CaseAdminNode },
          { 'tag': 4, 'type': 'chip::VendorId', 'value': params.AdminVendorId },
        ]
    }
    static TemplateCommandUpdateNOC = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.NOCValue },
          { 'tag': 1, 'type': 'chip::ByteSpan', 'value': params.ICACValue },
        ]
    }
    static TemplateCommandNOCResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.StatusCode },
          { 'tag': 1, 'type': 'chip::FabricIndex', 'value': params.FabricIndex },
          { 'tag': 2, 'type': 'chip::CharSpan', 'value': params.DebugText },
        ]
    }
    static TemplateCommandUpdateFabricLabel = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::CharSpan', 'value': params.Label },
        ]
    }
    static TemplateCommandRemoveFabric = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::FabricIndex', 'value': params.FabricIndex },
        ]
    }
    static TemplateCommandAddTrustedRootCertificate = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.RootCertificate },
        ]
    }
    static TemplateCommandRemoveTrustedRootCertificate = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::ByteSpan', 'value': params.TrustedRootIdentifier },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterOperationalCredentialsServer.Attribute.NOCs
                "name": "NOCs",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterOperationalCredentialsServer.Attribute.Fabrics
                "name": "Fabrics",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterOperationalCredentialsServer.Attribute.SupportedFabrics
                "name": "SupportedFabrics",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterOperationalCredentialsServer.Attribute.CommissionedFabrics
                "name": "CommissionedFabrics",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterOperationalCredentialsServer.Attribute.TrustedRootCertificates
                "name": "TrustedRootCertificates",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterOperationalCredentialsServer.Attribute.CurrentFabricIndex
                "name": "CurrentFabricIndex",
                "type": "fabric_idx",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterOperationalCredentialsServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterOperationalCredentialsServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterOperationalCredentialsServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterOperationalCredentialsServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterOperationalCredentialsServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterOperationalCredentialsServer.Command.AttestationRequest: this.onAttestationRequest(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.AttestationResponse: this.onAttestationResponse(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.CertificateChainRequest: this.onCertificateChainRequest(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.CertificateChainResponse: this.onCertificateChainResponse(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.CSRRequest: this.onCSRRequest(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.CSRResponse: this.onCSRResponse(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.AddNOC: this.onAddNOC(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.UpdateNOC: this.onUpdateNOC(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.NOCResponse: this.onNOCResponse(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.UpdateFabricLabel: this.onUpdateFabricLabel(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.RemoveFabric: this.onRemoveFabric(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.AddTrustedRootCertificate: this.onAddTrustedRootCertificate(msg, path); break;
            case ClusterOperationalCredentialsServer.Command.RemoveTrustedRootCertificate: this.onRemoveTrustedRootCertificate(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onAttestationRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onAttestationRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onAttestationResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onAttestationResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onCertificateChainRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onCertificateChainRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onCertificateChainResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onCertificateChainResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onCSRRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onCSRRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onCSRResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onCSRResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onAddNOC(msg, commandPath)
    {
        console.log(this.constructor.name+".onAddNOC")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onUpdateNOC(msg, commandPath)
    {
        console.log(this.constructor.name+".onUpdateNOC")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onNOCResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onNOCResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onUpdateFabricLabel(msg, commandPath)
    {
        console.log(this.constructor.name+".onUpdateFabricLabel")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRemoveFabric(msg, commandPath)
    {
        console.log(this.constructor.name+".onRemoveFabric")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onAddTrustedRootCertificate(msg, commandPath)
    {
        console.log(this.constructor.name+".onAddTrustedRootCertificate")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRemoveTrustedRootCertificate(msg, commandPath)
    {
        console.log(this.constructor.name+".onRemoveTrustedRootCertificate")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterPowerSourceServer
 */
class ClusterPowerSourceServer
{
    static CLUSTER_NAME = 'POWER_SOURCE_CLUSTER'
    static CLUSTER_ID = 0x002F

    static Command = {
    }

    static Attribute = {
        Status: 0,
        Order: 1,
        Description: 2,
        WiredAssessedInputVoltage: 3,
        WiredAssessedInputFrequency: 4,
        WiredCurrentType: 5,
        WiredAssessedCurrent: 6,
        WiredNominalVoltage: 7,
        WiredMaximumCurrent: 8,
        WiredPresent: 9,
        ActiveWiredFaults: 10,
        BatteryVoltage: 11,
        BatteryPercentRemaining: 12,
        BatteryTimeRemaining: 13,
        BatteryChargeLevel: 14,
        BatteryReplacementNeeded: 15,
        BatteryReplaceability: 16,
        BatteryPresent: 17,
        ActiveBatteryFaults: 18,
        BatteryReplacementDescription: 19,
        BatteryCommonDesignation: 20,
        BatteryANSIDesignation: 21,
        BatteryIECDesignation: 22,
        BatteryApprovedChemistry: 23,
        BatteryCapacity: 24,
        BatteryQuantity: 25,
        BatteryChargeState: 26,
        BatteryTimeToFullCharge: 27,
        BatteryFunctionalWhileCharging: 28,
        BatteryChargingCurrent: 29,
        ActiveBatteryChargeFaults: 30,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterPowerSourceServer.Attribute.Status
                "name": "Status",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterPowerSourceServer.Attribute.Order
                "name": "Order",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterPowerSourceServer.Attribute.Description
                "name": "Description",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterPowerSourceServer.Attribute.WiredAssessedInputVoltage
                "name": "WiredAssessedInputVoltage",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterPowerSourceServer.Attribute.WiredAssessedInputFrequency
                "name": "WiredAssessedInputFrequency",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterPowerSourceServer.Attribute.WiredCurrentType
                "name": "WiredCurrentType",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterPowerSourceServer.Attribute.WiredAssessedCurrent
                "name": "WiredAssessedCurrent",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterPowerSourceServer.Attribute.WiredNominalVoltage
                "name": "WiredNominalVoltage",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterPowerSourceServer.Attribute.WiredMaximumCurrent
                "name": "WiredMaximumCurrent",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            9: { // ClusterPowerSourceServer.Attribute.WiredPresent
                "name": "WiredPresent",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            10: { // ClusterPowerSourceServer.Attribute.ActiveWiredFaults
                "name": "ActiveWiredFaults",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            11: { // ClusterPowerSourceServer.Attribute.BatteryVoltage
                "name": "BatteryVoltage",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            12: { // ClusterPowerSourceServer.Attribute.BatteryPercentRemaining
                "name": "BatteryPercentRemaining",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            13: { // ClusterPowerSourceServer.Attribute.BatteryTimeRemaining
                "name": "BatteryTimeRemaining",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            14: { // ClusterPowerSourceServer.Attribute.BatteryChargeLevel
                "name": "BatteryChargeLevel",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            15: { // ClusterPowerSourceServer.Attribute.BatteryReplacementNeeded
                "name": "BatteryReplacementNeeded",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterPowerSourceServer.Attribute.BatteryReplaceability
                "name": "BatteryReplaceability",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterPowerSourceServer.Attribute.BatteryPresent
                "name": "BatteryPresent",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterPowerSourceServer.Attribute.ActiveBatteryFaults
                "name": "ActiveBatteryFaults",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterPowerSourceServer.Attribute.BatteryReplacementDescription
                "name": "BatteryReplacementDescription",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            20: { // ClusterPowerSourceServer.Attribute.BatteryCommonDesignation
                "name": "BatteryCommonDesignation",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            21: { // ClusterPowerSourceServer.Attribute.BatteryANSIDesignation
                "name": "BatteryANSIDesignation",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            22: { // ClusterPowerSourceServer.Attribute.BatteryIECDesignation
                "name": "BatteryIECDesignation",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            23: { // ClusterPowerSourceServer.Attribute.BatteryApprovedChemistry
                "name": "BatteryApprovedChemistry",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            24: { // ClusterPowerSourceServer.Attribute.BatteryCapacity
                "name": "BatteryCapacity",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            25: { // ClusterPowerSourceServer.Attribute.BatteryQuantity
                "name": "BatteryQuantity",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            26: { // ClusterPowerSourceServer.Attribute.BatteryChargeState
                "name": "BatteryChargeState",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            27: { // ClusterPowerSourceServer.Attribute.BatteryTimeToFullCharge
                "name": "BatteryTimeToFullCharge",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            28: { // ClusterPowerSourceServer.Attribute.BatteryFunctionalWhileCharging
                "name": "BatteryFunctionalWhileCharging",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            29: { // ClusterPowerSourceServer.Attribute.BatteryChargingCurrent
                "name": "BatteryChargingCurrent",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            30: { // ClusterPowerSourceServer.Attribute.ActiveBatteryChargeFaults
                "name": "ActiveBatteryChargeFaults",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterPowerSourceServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterPowerSourceServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterPowerSourceServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterPowerSourceServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterPowerSourceServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterPowerSourceConfigurationServer
 */
class ClusterPowerSourceConfigurationServer
{
    static CLUSTER_NAME = 'POWER_SOURCE_CONFIGURATION_CLUSTER'
    static CLUSTER_ID = 0x002E

    static Command = {
    }

    static Attribute = {
        Sources: 0,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterPowerSourceConfigurationServer.Attribute.Sources
                "name": "Sources",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterPowerSourceConfigurationServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterPowerSourceConfigurationServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterPowerSourceConfigurationServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterPowerSourceConfigurationServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterPowerSourceConfigurationServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterPressureMeasurementServer
 */
class ClusterPressureMeasurementServer
{
    static CLUSTER_NAME = 'PRESSURE_MEASUREMENT_CLUSTER'
    static CLUSTER_ID = 0x0403

    static Command = {
    }

    static Attribute = {
        MeasuredValue: 0,
        MinMeasuredValue: 1,
        MaxMeasuredValue: 2,
        Tolerance: 3,
        ScaledValue: 16,
        MinScaledValue: 17,
        MaxScaledValue: 18,
        ScaledTolerance: 19,
        Scale: 20,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterPressureMeasurementServer.Attribute.MeasuredValue
                "name": "MeasuredValue",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterPressureMeasurementServer.Attribute.MinMeasuredValue
                "name": "MinMeasuredValue",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterPressureMeasurementServer.Attribute.MaxMeasuredValue
                "name": "MaxMeasuredValue",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterPressureMeasurementServer.Attribute.Tolerance
                "name": "Tolerance",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterPressureMeasurementServer.Attribute.ScaledValue
                "name": "ScaledValue",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterPressureMeasurementServer.Attribute.MinScaledValue
                "name": "MinScaledValue",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterPressureMeasurementServer.Attribute.MaxScaledValue
                "name": "MaxScaledValue",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterPressureMeasurementServer.Attribute.ScaledTolerance
                "name": "ScaledTolerance",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            20: { // ClusterPressureMeasurementServer.Attribute.Scale
                "name": "Scale",
                "type": "int8s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterPressureMeasurementServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterPressureMeasurementServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterPressureMeasurementServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterPressureMeasurementServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterPressureMeasurementServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterPumpConfigurationAndControlServer
 */
class ClusterPumpConfigurationAndControlServer
{
    static CLUSTER_NAME = 'PUMP_CONFIG_CONTROL_CLUSTER'
    static CLUSTER_ID = 0x0200

    static Command = {
    }

    static Attribute = {
        MaxPressure: 0,
        MaxSpeed: 1,
        MaxFlow: 2,
        MinConstPressure: 3,
        MaxConstPressure: 4,
        MinCompPressure: 5,
        MaxCompPressure: 6,
        MinConstSpeed: 7,
        MaxConstSpeed: 8,
        MinConstFlow: 9,
        MaxConstFlow: 10,
        MinConstTemp: 11,
        MaxConstTemp: 12,
        PumpStatus: 16,
        EffectiveOperationMode: 17,
        EffectiveControlMode: 18,
        Capacity: 19,
        Speed: 20,
        LifetimeRunningHours: 21,
        Power: 22,
        LifetimeEnergyConsumed: 23,
        OperationMode: 32,
        ControlMode: 33,
        AlarmMask: 34,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterPumpConfigurationAndControlServer.Attribute.MaxPressure
                "name": "MaxPressure",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterPumpConfigurationAndControlServer.Attribute.MaxSpeed
                "name": "MaxSpeed",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterPumpConfigurationAndControlServer.Attribute.MaxFlow
                "name": "MaxFlow",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterPumpConfigurationAndControlServer.Attribute.MinConstPressure
                "name": "MinConstPressure",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterPumpConfigurationAndControlServer.Attribute.MaxConstPressure
                "name": "MaxConstPressure",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterPumpConfigurationAndControlServer.Attribute.MinCompPressure
                "name": "MinCompPressure",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterPumpConfigurationAndControlServer.Attribute.MaxCompPressure
                "name": "MaxCompPressure",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterPumpConfigurationAndControlServer.Attribute.MinConstSpeed
                "name": "MinConstSpeed",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterPumpConfigurationAndControlServer.Attribute.MaxConstSpeed
                "name": "MaxConstSpeed",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            9: { // ClusterPumpConfigurationAndControlServer.Attribute.MinConstFlow
                "name": "MinConstFlow",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            10: { // ClusterPumpConfigurationAndControlServer.Attribute.MaxConstFlow
                "name": "MaxConstFlow",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            11: { // ClusterPumpConfigurationAndControlServer.Attribute.MinConstTemp
                "name": "MinConstTemp",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            12: { // ClusterPumpConfigurationAndControlServer.Attribute.MaxConstTemp
                "name": "MaxConstTemp",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterPumpConfigurationAndControlServer.Attribute.PumpStatus
                "name": "PumpStatus",
                "type": "bitmap16",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterPumpConfigurationAndControlServer.Attribute.EffectiveOperationMode
                "name": "EffectiveOperationMode",
                "type": "PumpOperationMode",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterPumpConfigurationAndControlServer.Attribute.EffectiveControlMode
                "name": "EffectiveControlMode",
                "type": "PumpControlMode",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterPumpConfigurationAndControlServer.Attribute.Capacity
                "name": "Capacity",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            20: { // ClusterPumpConfigurationAndControlServer.Attribute.Speed
                "name": "Speed",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            21: { // ClusterPumpConfigurationAndControlServer.Attribute.LifetimeRunningHours
                "name": "LifetimeRunningHours",
                "type": "int24u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            22: { // ClusterPumpConfigurationAndControlServer.Attribute.Power
                "name": "Power",
                "type": "int24u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            23: { // ClusterPumpConfigurationAndControlServer.Attribute.LifetimeEnergyConsumed
                "name": "LifetimeEnergyConsumed",
                "type": "int32u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            32: { // ClusterPumpConfigurationAndControlServer.Attribute.OperationMode
                "name": "OperationMode",
                "type": "PumpOperationMode",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            33: { // ClusterPumpConfigurationAndControlServer.Attribute.ControlMode
                "name": "ControlMode",
                "type": "PumpControlMode",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            34: { // ClusterPumpConfigurationAndControlServer.Attribute.AlarmMask
                "name": "AlarmMask",
                "type": "bitmap16",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterPumpConfigurationAndControlServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterPumpConfigurationAndControlServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterPumpConfigurationAndControlServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterPumpConfigurationAndControlServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterPumpConfigurationAndControlServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterRelativeHumidityMeasurementServer
 */
class ClusterRelativeHumidityMeasurementServer
{
    static CLUSTER_NAME = 'RELATIVE_HUMIDITY_MEASUREMENT_CLUSTER'
    static CLUSTER_ID = 0x0405

    static Command = {
    }

    static Attribute = {
        MeasuredValue: 0,
        MinMeasuredValue: 1,
        MaxMeasuredValue: 2,
        Tolerance: 3,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterRelativeHumidityMeasurementServer.Attribute.MeasuredValue
                "name": "MeasuredValue",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterRelativeHumidityMeasurementServer.Attribute.MinMeasuredValue
                "name": "MinMeasuredValue",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterRelativeHumidityMeasurementServer.Attribute.MaxMeasuredValue
                "name": "MaxMeasuredValue",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterRelativeHumidityMeasurementServer.Attribute.Tolerance
                "name": "Tolerance",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterRelativeHumidityMeasurementServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterRelativeHumidityMeasurementServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterRelativeHumidityMeasurementServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterRelativeHumidityMeasurementServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterRelativeHumidityMeasurementServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterScenesServer
 */
class ClusterScenesServer
{
    static CLUSTER_NAME = 'SCENES_CLUSTER'
    static CLUSTER_ID = 0x0005

    static Command = {
        AddScene: 0,
        AddSceneResponse: 0,
        ViewScene: 1,
        ViewSceneResponse: 1,
        RemoveScene: 2,
        RemoveSceneResponse: 2,
        RemoveAllScenes: 3,
        RemoveAllScenesResponse: 3,
        StoreScene: 4,
        StoreSceneResponse: 4,
        RecallScene: 5,
        GetSceneMembership: 6,
        GetSceneMembershipResponse: 6,
        EnhancedAddScene: 64,
        EnhancedAddSceneResponse: 64,
        EnhancedViewScene: 65,
        EnhancedViewSceneResponse: 65,
        CopyScene: 66,
        CopySceneResponse: 66,
    }

    static Attribute = {
        SceneCount: 0,
        CurrentScene: 1,
        CurrentGroup: 2,
        SceneValid: 3,
        NameSupport: 4,
        LastConfiguredBy: 5,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandAddScene = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.SceneId },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'chip::CharSpan', 'value': params.SceneName },
          { 'tag': 4, 'type': 'array', 'value': [] }, // params.ExtensionFieldSets
        ]
    }
    static TemplateCommandAddSceneResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.SceneId },
        ]
    }
    static TemplateCommandViewScene = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.SceneId },
        ]
    }
    static TemplateCommandViewSceneResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.SceneId },
          { 'tag': 3, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 4, 'type': 'chip::CharSpan', 'value': params.SceneName },
          { 'tag': 5, 'type': 'array', 'value': [] }, // params.ExtensionFieldSets
        ]
    }
    static TemplateCommandRemoveScene = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.SceneId },
        ]
    }
    static TemplateCommandRemoveSceneResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.SceneId },
        ]
    }
    static TemplateCommandRemoveAllScenes = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.GroupId },
        ]
    }
    static TemplateCommandRemoveAllScenesResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.GroupId },
        ]
    }
    static TemplateCommandStoreScene = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.SceneId },
        ]
    }
    static TemplateCommandStoreSceneResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.SceneId },
        ]
    }
    static TemplateCommandRecallScene = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.SceneId },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
        ]
    }
    static TemplateCommandGetSceneMembership = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.GroupId },
        ]
    }
    static TemplateCommandGetSceneMembershipResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Capacity },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.SceneCount },
          { 'tag': 4, 'type': 'array', 'value': [] }, // params.SceneList
        ]
    }
    static TemplateCommandEnhancedAddScene = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.SceneId },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 3, 'type': 'chip::CharSpan', 'value': params.SceneName },
          { 'tag': 4, 'type': 'array', 'value': [] }, // params.ExtensionFieldSets
        ]
    }
    static TemplateCommandEnhancedAddSceneResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.SceneId },
        ]
    }
    static TemplateCommandEnhancedViewScene = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.SceneId },
        ]
    }
    static TemplateCommandEnhancedViewSceneResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.GroupId },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.SceneId },
          { 'tag': 3, 'type': 'uint16_t', 'value': params.TransitionTime },
          { 'tag': 4, 'type': 'chip::CharSpan', 'value': params.SceneName },
          { 'tag': 5, 'type': 'array', 'value': [] }, // params.ExtensionFieldSets
        ]
    }
    static TemplateCommandCopyScene = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Mode },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.GroupIdFrom },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.SceneIdFrom },
          { 'tag': 3, 'type': 'uint16_t', 'value': params.GroupIdTo },
          { 'tag': 4, 'type': 'uint8_t', 'value': params.SceneIdTo },
        ]
    }
    static TemplateCommandCopySceneResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.GroupIdFrom },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.SceneIdFrom },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterScenesServer.Attribute.SceneCount
                "name": "SceneCount",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterScenesServer.Attribute.CurrentScene
                "name": "CurrentScene",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterScenesServer.Attribute.CurrentGroup
                "name": "CurrentGroup",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterScenesServer.Attribute.SceneValid
                "name": "SceneValid",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterScenesServer.Attribute.NameSupport
                "name": "NameSupport",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterScenesServer.Attribute.LastConfiguredBy
                "name": "LastConfiguredBy",
                "type": "node_id",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterScenesServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterScenesServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterScenesServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterScenesServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterScenesServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterScenesServer.Command.AddScene: this.onAddScene(msg, path); break;
            case ClusterScenesServer.Command.AddSceneResponse: this.onAddSceneResponse(msg, path); break;
            case ClusterScenesServer.Command.ViewScene: this.onViewScene(msg, path); break;
            case ClusterScenesServer.Command.ViewSceneResponse: this.onViewSceneResponse(msg, path); break;
            case ClusterScenesServer.Command.RemoveScene: this.onRemoveScene(msg, path); break;
            case ClusterScenesServer.Command.RemoveSceneResponse: this.onRemoveSceneResponse(msg, path); break;
            case ClusterScenesServer.Command.RemoveAllScenes: this.onRemoveAllScenes(msg, path); break;
            case ClusterScenesServer.Command.RemoveAllScenesResponse: this.onRemoveAllScenesResponse(msg, path); break;
            case ClusterScenesServer.Command.StoreScene: this.onStoreScene(msg, path); break;
            case ClusterScenesServer.Command.StoreSceneResponse: this.onStoreSceneResponse(msg, path); break;
            case ClusterScenesServer.Command.RecallScene: this.onRecallScene(msg, path); break;
            case ClusterScenesServer.Command.GetSceneMembership: this.onGetSceneMembership(msg, path); break;
            case ClusterScenesServer.Command.GetSceneMembershipResponse: this.onGetSceneMembershipResponse(msg, path); break;
            case ClusterScenesServer.Command.EnhancedAddScene: this.onEnhancedAddScene(msg, path); break;
            case ClusterScenesServer.Command.EnhancedAddSceneResponse: this.onEnhancedAddSceneResponse(msg, path); break;
            case ClusterScenesServer.Command.EnhancedViewScene: this.onEnhancedViewScene(msg, path); break;
            case ClusterScenesServer.Command.EnhancedViewSceneResponse: this.onEnhancedViewSceneResponse(msg, path); break;
            case ClusterScenesServer.Command.CopyScene: this.onCopyScene(msg, path); break;
            case ClusterScenesServer.Command.CopySceneResponse: this.onCopySceneResponse(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onAddScene(msg, commandPath)
    {
        console.log(this.constructor.name+".onAddScene")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onAddSceneResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onAddSceneResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onViewScene(msg, commandPath)
    {
        console.log(this.constructor.name+".onViewScene")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onViewSceneResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onViewSceneResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRemoveScene(msg, commandPath)
    {
        console.log(this.constructor.name+".onRemoveScene")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRemoveSceneResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onRemoveSceneResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRemoveAllScenes(msg, commandPath)
    {
        console.log(this.constructor.name+".onRemoveAllScenes")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRemoveAllScenesResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onRemoveAllScenesResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStoreScene(msg, commandPath)
    {
        console.log(this.constructor.name+".onStoreScene")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStoreSceneResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onStoreSceneResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onRecallScene(msg, commandPath)
    {
        console.log(this.constructor.name+".onRecallScene")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetSceneMembership(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetSceneMembership")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetSceneMembershipResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetSceneMembershipResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onEnhancedAddScene(msg, commandPath)
    {
        console.log(this.constructor.name+".onEnhancedAddScene")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onEnhancedAddSceneResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onEnhancedAddSceneResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onEnhancedViewScene(msg, commandPath)
    {
        console.log(this.constructor.name+".onEnhancedViewScene")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onEnhancedViewSceneResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onEnhancedViewSceneResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onCopyScene(msg, commandPath)
    {
        console.log(this.constructor.name+".onCopyScene")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onCopySceneResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onCopySceneResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterSoftwareDiagnosticsServer
 */
class ClusterSoftwareDiagnosticsServer
{
    static CLUSTER_NAME = 'SOFTWARE_DIAGNOSTICS_CLUSTER'
    static CLUSTER_ID = 0x0034

    static Command = {
        ResetWatermarks: 0,
    }

    static Attribute = {
        ThreadMetrics: 0,
        CurrentHeapFree: 1,
        CurrentHeapUsed: 2,
        CurrentHeapHighWatermark: 3,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandResetWatermarks = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterSoftwareDiagnosticsServer.Attribute.ThreadMetrics
                "name": "ThreadMetrics",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterSoftwareDiagnosticsServer.Attribute.CurrentHeapFree
                "name": "CurrentHeapFree",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterSoftwareDiagnosticsServer.Attribute.CurrentHeapUsed
                "name": "CurrentHeapUsed",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterSoftwareDiagnosticsServer.Attribute.CurrentHeapHighWatermark
                "name": "CurrentHeapHighWatermark",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterSoftwareDiagnosticsServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterSoftwareDiagnosticsServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterSoftwareDiagnosticsServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterSoftwareDiagnosticsServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterSoftwareDiagnosticsServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterSoftwareDiagnosticsServer.Command.ResetWatermarks: this.onResetWatermarks(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onResetWatermarks(msg, commandPath)
    {
        console.log(this.constructor.name+".onResetWatermarks")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterSwitchServer
 */
class ClusterSwitchServer
{
    static CLUSTER_NAME = 'SWITCH_CLUSTER'
    static CLUSTER_ID = 0x003B

    static Command = {
    }

    static Attribute = {
        NumberOfPositions: 0,
        CurrentPosition: 1,
        MultiPressMax: 2,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterSwitchServer.Attribute.NumberOfPositions
                "name": "NumberOfPositions",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterSwitchServer.Attribute.CurrentPosition
                "name": "CurrentPosition",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterSwitchServer.Attribute.MultiPressMax
                "name": "MultiPressMax",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterSwitchServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterSwitchServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterSwitchServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterSwitchServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterSwitchServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterTargetNavigatorServer
 */
class ClusterTargetNavigatorServer
{
    static CLUSTER_NAME = 'TARGET_NAVIGATOR_CLUSTER'
    static CLUSTER_ID = 0x0505

    static Command = {
        NavigateTarget: 0,
        NavigateTargetResponse: 1,
    }

    static Attribute = {
        TargetList: 0,
        CurrentTarget: 1,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandNavigateTarget = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Target },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.Data },
        ]
    }
    static TemplateCommandNavigateTargetResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Status },
          { 'tag': 1, 'type': 'chip::CharSpan', 'value': params.Data },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterTargetNavigatorServer.Attribute.TargetList
                "name": "TargetList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterTargetNavigatorServer.Attribute.CurrentTarget
                "name": "CurrentTarget",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterTargetNavigatorServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterTargetNavigatorServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterTargetNavigatorServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterTargetNavigatorServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterTargetNavigatorServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterTargetNavigatorServer.Command.NavigateTarget: this.onNavigateTarget(msg, path); break;
            case ClusterTargetNavigatorServer.Command.NavigateTargetResponse: this.onNavigateTargetResponse(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onNavigateTarget(msg, commandPath)
    {
        console.log(this.constructor.name+".onNavigateTarget")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onNavigateTargetResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onNavigateTargetResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterTemperatureMeasurementServer
 */
class ClusterTemperatureMeasurementServer
{
    static CLUSTER_NAME = 'TEMP_MEASUREMENT_CLUSTER'
    static CLUSTER_ID = 0x0402

    static Command = {
    }

    static Attribute = {
        MeasuredValue: 0,
        MinMeasuredValue: 1,
        MaxMeasuredValue: 2,
        Tolerance: 3,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterTemperatureMeasurementServer.Attribute.MeasuredValue
                "name": "MeasuredValue",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterTemperatureMeasurementServer.Attribute.MinMeasuredValue
                "name": "MinMeasuredValue",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterTemperatureMeasurementServer.Attribute.MaxMeasuredValue
                "name": "MaxMeasuredValue",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterTemperatureMeasurementServer.Attribute.Tolerance
                "name": "Tolerance",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterTemperatureMeasurementServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterTemperatureMeasurementServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterTemperatureMeasurementServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterTemperatureMeasurementServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterTemperatureMeasurementServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterTestClusterServer
 */
class ClusterTestClusterServer
{
    static CLUSTER_NAME = 'TEST_CLUSTER'
    static CLUSTER_ID = 0x050F

    static Command = {
        Test: 0,
        TestSpecificResponse: 0,
        TestNotHandled: 1,
        TestAddArgumentsResponse: 1,
        TestSpecific: 2,
        TestSimpleArgumentResponse: 2,
        TestUnknownCommand: 3,
        TestStructArrayArgumentResponse: 3,
        TestAddArguments: 4,
        TestListInt8UReverseResponse: 4,
        TestSimpleArgumentRequest: 5,
        TestEnumsResponse: 5,
        TestStructArrayArgumentRequest: 6,
        TestNullableOptionalResponse: 6,
        TestStructArgumentRequest: 7,
        TestComplexNullableOptionalResponse: 7,
        TestNestedStructArgumentRequest: 8,
        BooleanResponse: 8,
        TestListStructArgumentRequest: 9,
        SimpleStructResponse: 9,
        TestListInt8UArgumentRequest: 10,
        TestEmitTestEventResponse: 10,
        TestNestedStructListArgumentRequest: 11,
        TestEmitTestFabricScopedEventResponse: 11,
        TestListNestedStructListArgumentRequest: 12,
        TestListInt8UReverseRequest: 13,
        TestEnumsRequest: 14,
        TestNullableOptionalRequest: 15,
        TestComplexNullableOptionalRequest: 16,
        SimpleStructEchoRequest: 17,
        TimedInvokeRequest: 18,
        TestSimpleOptionalArgumentRequest: 19,
        TestEmitTestEventRequest: 20,
        TestEmitTestFabricScopedEventRequest: 21,
    }

    static Attribute = {
        Boolean: 0,
        Bitmap8: 1,
        Bitmap16: 2,
        Bitmap32: 3,
        Bitmap64: 4,
        Int8u: 5,
        Int16u: 6,
        Int24u: 7,
        Int32u: 8,
        Int40u: 9,
        Int48u: 10,
        Int56u: 11,
        Int64u: 12,
        Int8s: 13,
        Int16s: 14,
        Int24s: 15,
        Int32s: 16,
        Int40s: 17,
        Int48s: 18,
        Int56s: 19,
        Int64s: 20,
        Enum8: 21,
        Enum16: 22,
        FloatSingle: 23,
        FloatDouble: 24,
        OctetString: 25,
        ListInt8u: 26,
        ListOctetString: 27,
        ListStructOctetString: 28,
        LongOctetString: 29,
        CharString: 30,
        LongCharString: 31,
        EpochUs: 32,
        EpochS: 33,
        VendorId: 34,
        ListNullablesAndOptionalsStruct: 35,
        EnumAttr: 36,
        StructAttr: 37,
        RangeRestrictedInt8u: 38,
        RangeRestrictedInt8s: 39,
        RangeRestrictedInt16u: 40,
        RangeRestrictedInt16s: 41,
        ListLongOctetString: 42,
        ListFabricScoped: 43,
        TimedWriteBoolean: 48,
        GeneralErrorBoolean: 49,
        ClusterErrorBoolean: 50,
        Unsupported: 255,
        NullableBoolean: 16384,
        NullableBitmap8: 16385,
        NullableBitmap16: 16386,
        NullableBitmap32: 16387,
        NullableBitmap64: 16388,
        NullableInt8u: 16389,
        NullableInt16u: 16390,
        NullableInt24u: 16391,
        NullableInt32u: 16392,
        NullableInt40u: 16393,
        NullableInt48u: 16394,
        NullableInt56u: 16395,
        NullableInt64u: 16396,
        NullableInt8s: 16397,
        NullableInt16s: 16398,
        NullableInt24s: 16399,
        NullableInt32s: 16400,
        NullableInt40s: 16401,
        NullableInt48s: 16402,
        NullableInt56s: 16403,
        NullableInt64s: 16404,
        NullableEnum8: 16405,
        NullableEnum16: 16406,
        NullableFloatSingle: 16407,
        NullableFloatDouble: 16408,
        NullableOctetString: 16409,
        NullableCharString: 16414,
        NullableEnumAttr: 16420,
        NullableStruct: 16421,
        NullableRangeRestrictedInt8u: 16422,
        NullableRangeRestrictedInt8s: 16423,
        NullableRangeRestrictedInt16u: 16424,
        NullableRangeRestrictedInt16s: 16425,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandTest = function(params) {
        return [
        ]
    }
    static TemplateCommandTestSpecificResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.ReturnValue },
        ]
    }
    static TemplateCommandTestNotHandled = function(params) {
        return [
        ]
    }
    static TemplateCommandTestAddArgumentsResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.ReturnValue },
        ]
    }
    static TemplateCommandTestSpecific = function(params) {
        return [
        ]
    }
    static TemplateCommandTestSimpleArgumentResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'bool', 'value': params.ReturnValue },
        ]
    }
    static TemplateCommandTestUnknownCommand = function(params) {
        return [
        ]
    }
    static TemplateCommandTestStructArrayArgumentResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'array', 'value': [] }, // params.Arg1
          { 'tag': 1, 'type': 'array', 'value': [] }, // params.Arg2
          { 'tag': 2, 'type': 'array', 'value': [] }, // params.Arg3
          { 'tag': 3, 'type': 'array', 'value': [] }, // params.Arg4
          { 'tag': 4, 'type': 'uint8_t', 'value': params.Arg5 },
          { 'tag': 5, 'type': 'bool', 'value': params.Arg6 },
        ]
    }
    static TemplateCommandTestAddArguments = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Arg1 },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Arg2 },
        ]
    }
    static TemplateCommandTestListInt8UReverseResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'array', 'value': [] }, // params.Arg1
        ]
    }
    static TemplateCommandTestSimpleArgumentRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'bool', 'value': params.Arg1 },
        ]
    }
    static TemplateCommandTestEnumsResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::VendorId', 'value': params.Arg1 },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Arg2 },
        ]
    }
    static TemplateCommandTestStructArrayArgumentRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'array', 'value': [] }, // params.Arg1
          { 'tag': 1, 'type': 'array', 'value': [] }, // params.Arg2
          { 'tag': 2, 'type': 'array', 'value': [] }, // params.Arg3
          { 'tag': 3, 'type': 'array', 'value': [] }, // params.Arg4
          { 'tag': 4, 'type': 'uint8_t', 'value': params.Arg5 },
          { 'tag': 5, 'type': 'bool', 'value': params.Arg6 },
        ]
    }
    static TemplateCommandTestNullableOptionalResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'bool', 'value': params.WasPresent },
          { 'tag': 1, 'type': 'bool', 'value': params.WasNull },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.Value },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.OriginalValue },
        ]
    }
    static TemplateCommandTestStructArgumentRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.Arg1
        ]
    }
    static TemplateCommandTestComplexNullableOptionalResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'bool', 'value': params.NullableIntWasNull },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.NullableIntValue },
          { 'tag': 2, 'type': 'bool', 'value': params.OptionalIntWasPresent },
          { 'tag': 3, 'type': 'uint16_t', 'value': params.OptionalIntValue },
          { 'tag': 4, 'type': 'bool', 'value': params.NullableOptionalIntWasPresent },
          { 'tag': 5, 'type': 'bool', 'value': params.NullableOptionalIntWasNull },
          { 'tag': 6, 'type': 'uint16_t', 'value': params.NullableOptionalIntValue },
          { 'tag': 7, 'type': 'bool', 'value': params.NullableStringWasNull },
          { 'tag': 8, 'type': 'chip::CharSpan', 'value': params.NullableStringValue },
          { 'tag': 9, 'type': 'bool', 'value': params.OptionalStringWasPresent },
          { 'tag': 10, 'type': 'chip::CharSpan', 'value': params.OptionalStringValue },
          { 'tag': 11, 'type': 'bool', 'value': params.NullableOptionalStringWasPresent },
          { 'tag': 12, 'type': 'bool', 'value': params.NullableOptionalStringWasNull },
          { 'tag': 13, 'type': 'chip::CharSpan', 'value': params.NullableOptionalStringValue },
          { 'tag': 14, 'type': 'bool', 'value': params.NullableStructWasNull },
          { 'tag': 15, 'type': 'struct', 'value': [] }, // params.NullableStructValue
          { 'tag': 16, 'type': 'bool', 'value': params.OptionalStructWasPresent },
          { 'tag': 17, 'type': 'struct', 'value': [] }, // params.OptionalStructValue
          { 'tag': 18, 'type': 'bool', 'value': params.NullableOptionalStructWasPresent },
          { 'tag': 19, 'type': 'bool', 'value': params.NullableOptionalStructWasNull },
          { 'tag': 20, 'type': 'struct', 'value': [] }, // params.NullableOptionalStructValue
          { 'tag': 21, 'type': 'bool', 'value': params.NullableListWasNull },
          { 'tag': 22, 'type': 'array', 'value': [] }, // params.NullableListValue
          { 'tag': 23, 'type': 'bool', 'value': params.OptionalListWasPresent },
          { 'tag': 24, 'type': 'array', 'value': [] }, // params.OptionalListValue
          { 'tag': 25, 'type': 'bool', 'value': params.NullableOptionalListWasPresent },
          { 'tag': 26, 'type': 'bool', 'value': params.NullableOptionalListWasNull },
          { 'tag': 27, 'type': 'array', 'value': [] }, // params.NullableOptionalListValue
        ]
    }
    static TemplateCommandTestNestedStructArgumentRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.Arg1
        ]
    }
    static TemplateCommandBooleanResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'bool', 'value': params.Value },
        ]
    }
    static TemplateCommandTestListStructArgumentRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'array', 'value': [] }, // params.Arg1
        ]
    }
    static TemplateCommandSimpleStructResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.Arg1
        ]
    }
    static TemplateCommandTestListInt8UArgumentRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'array', 'value': [] }, // params.Arg1
        ]
    }
    static TemplateCommandTestEmitTestEventResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint64_t', 'value': params.Value },
        ]
    }
    static TemplateCommandTestNestedStructListArgumentRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.Arg1
        ]
    }
    static TemplateCommandTestEmitTestFabricScopedEventResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint64_t', 'value': params.Value },
        ]
    }
    static TemplateCommandTestListNestedStructListArgumentRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'array', 'value': [] }, // params.Arg1
        ]
    }
    static TemplateCommandTestListInt8UReverseRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'array', 'value': [] }, // params.Arg1
        ]
    }
    static TemplateCommandTestEnumsRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::VendorId', 'value': params.Arg1 },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Arg2 },
        ]
    }
    static TemplateCommandTestNullableOptionalRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Arg1 },
        ]
    }
    static TemplateCommandTestComplexNullableOptionalRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.NullableInt },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.OptionalInt },
          { 'tag': 2, 'type': 'uint16_t', 'value': params.NullableOptionalInt },
          { 'tag': 3, 'type': 'chip::CharSpan', 'value': params.NullableString },
          { 'tag': 4, 'type': 'chip::CharSpan', 'value': params.OptionalString },
          { 'tag': 5, 'type': 'chip::CharSpan', 'value': params.NullableOptionalString },
          { 'tag': 6, 'type': 'struct', 'value': [] }, // params.NullableStruct
          { 'tag': 7, 'type': 'struct', 'value': [] }, // params.OptionalStruct
          { 'tag': 8, 'type': 'struct', 'value': [] }, // params.NullableOptionalStruct
          { 'tag': 9, 'type': 'array', 'value': [] }, // params.NullableList
          { 'tag': 10, 'type': 'array', 'value': [] }, // params.OptionalList
          { 'tag': 11, 'type': 'array', 'value': [] }, // params.NullableOptionalList
        ]
    }
    static TemplateCommandSimpleStructEchoRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'struct', 'value': [] }, // params.Arg1
        ]
    }
    static TemplateCommandTimedInvokeRequest = function(params) {
        return [
        ]
    }
    static TemplateCommandTestSimpleOptionalArgumentRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'bool', 'value': params.Arg1 },
        ]
    }
    static TemplateCommandTestEmitTestEventRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Arg1 },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.Arg2 },
          { 'tag': 2, 'type': 'bool', 'value': params.Arg3 },
        ]
    }
    static TemplateCommandTestEmitTestFabricScopedEventRequest = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Arg1 },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterTestClusterServer.Attribute.Boolean
                "name": "Boolean",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterTestClusterServer.Attribute.Bitmap8
                "name": "Bitmap8",
                "type": "Bitmap8MaskMap",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterTestClusterServer.Attribute.Bitmap16
                "name": "Bitmap16",
                "type": "Bitmap16MaskMap",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterTestClusterServer.Attribute.Bitmap32
                "name": "Bitmap32",
                "type": "Bitmap32MaskMap",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterTestClusterServer.Attribute.Bitmap64
                "name": "Bitmap64",
                "type": "Bitmap64MaskMap",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterTestClusterServer.Attribute.Int8u
                "name": "Int8u",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterTestClusterServer.Attribute.Int16u
                "name": "Int16u",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterTestClusterServer.Attribute.Int24u
                "name": "Int24u",
                "type": "int24u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterTestClusterServer.Attribute.Int32u
                "name": "Int32u",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            9: { // ClusterTestClusterServer.Attribute.Int40u
                "name": "Int40u",
                "type": "int40u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            10: { // ClusterTestClusterServer.Attribute.Int48u
                "name": "Int48u",
                "type": "int48u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            11: { // ClusterTestClusterServer.Attribute.Int56u
                "name": "Int56u",
                "type": "int56u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            12: { // ClusterTestClusterServer.Attribute.Int64u
                "name": "Int64u",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            13: { // ClusterTestClusterServer.Attribute.Int8s
                "name": "Int8s",
                "type": "int8s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            14: { // ClusterTestClusterServer.Attribute.Int16s
                "name": "Int16s",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            15: { // ClusterTestClusterServer.Attribute.Int24s
                "name": "Int24s",
                "type": "int24s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterTestClusterServer.Attribute.Int32s
                "name": "Int32s",
                "type": "int32s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterTestClusterServer.Attribute.Int40s
                "name": "Int40s",
                "type": "int40s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterTestClusterServer.Attribute.Int48s
                "name": "Int48s",
                "type": "int48s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterTestClusterServer.Attribute.Int56s
                "name": "Int56s",
                "type": "int56s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            20: { // ClusterTestClusterServer.Attribute.Int64s
                "name": "Int64s",
                "type": "int64s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            21: { // ClusterTestClusterServer.Attribute.Enum8
                "name": "Enum8",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            22: { // ClusterTestClusterServer.Attribute.Enum16
                "name": "Enum16",
                "type": "enum16",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            23: { // ClusterTestClusterServer.Attribute.FloatSingle
                "name": "FloatSingle",
                "type": "single",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            24: { // ClusterTestClusterServer.Attribute.FloatDouble
                "name": "FloatDouble",
                "type": "double",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            25: { // ClusterTestClusterServer.Attribute.OctetString
                "name": "OctetString",
                "type": "octet_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            26: { // ClusterTestClusterServer.Attribute.ListInt8u
                "name": "ListInt8u",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            27: { // ClusterTestClusterServer.Attribute.ListOctetString
                "name": "ListOctetString",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            28: { // ClusterTestClusterServer.Attribute.ListStructOctetString
                "name": "ListStructOctetString",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            29: { // ClusterTestClusterServer.Attribute.LongOctetString
                "name": "LongOctetString",
                "type": "long_octet_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            30: { // ClusterTestClusterServer.Attribute.CharString
                "name": "CharString",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            31: { // ClusterTestClusterServer.Attribute.LongCharString
                "name": "LongCharString",
                "type": "long_char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            32: { // ClusterTestClusterServer.Attribute.EpochUs
                "name": "EpochUs",
                "type": "epoch_us",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            33: { // ClusterTestClusterServer.Attribute.EpochS
                "name": "EpochS",
                "type": "epoch_s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            34: { // ClusterTestClusterServer.Attribute.VendorId
                "name": "VendorId",
                "type": "vendor_id",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            35: { // ClusterTestClusterServer.Attribute.ListNullablesAndOptionalsStruct
                "name": "ListNullablesAndOptionalsStruct",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            36: { // ClusterTestClusterServer.Attribute.EnumAttr
                "name": "EnumAttr",
                "type": "SimpleEnum",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            37: { // ClusterTestClusterServer.Attribute.StructAttr
                "name": "StructAttr",
                "type": "SimpleStruct",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            38: { // ClusterTestClusterServer.Attribute.RangeRestrictedInt8u
                "name": "RangeRestrictedInt8u",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            39: { // ClusterTestClusterServer.Attribute.RangeRestrictedInt8s
                "name": "RangeRestrictedInt8s",
                "type": "int8s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            40: { // ClusterTestClusterServer.Attribute.RangeRestrictedInt16u
                "name": "RangeRestrictedInt16u",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            41: { // ClusterTestClusterServer.Attribute.RangeRestrictedInt16s
                "name": "RangeRestrictedInt16s",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            42: { // ClusterTestClusterServer.Attribute.ListLongOctetString
                "name": "ListLongOctetString",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            43: { // ClusterTestClusterServer.Attribute.ListFabricScoped
                "name": "ListFabricScoped",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            48: { // ClusterTestClusterServer.Attribute.TimedWriteBoolean
                "name": "TimedWriteBoolean",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            49: { // ClusterTestClusterServer.Attribute.GeneralErrorBoolean
                "name": "GeneralErrorBoolean",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            50: { // ClusterTestClusterServer.Attribute.ClusterErrorBoolean
                "name": "ClusterErrorBoolean",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            255: { // ClusterTestClusterServer.Attribute.Unsupported
                "name": "Unsupported",
                "type": "boolean",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16384: { // ClusterTestClusterServer.Attribute.NullableBoolean
                "name": "NullableBoolean",
                "type": "boolean",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16385: { // ClusterTestClusterServer.Attribute.NullableBitmap8
                "name": "NullableBitmap8",
                "type": "Bitmap8MaskMap",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16386: { // ClusterTestClusterServer.Attribute.NullableBitmap16
                "name": "NullableBitmap16",
                "type": "Bitmap16MaskMap",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16387: { // ClusterTestClusterServer.Attribute.NullableBitmap32
                "name": "NullableBitmap32",
                "type": "Bitmap32MaskMap",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16388: { // ClusterTestClusterServer.Attribute.NullableBitmap64
                "name": "NullableBitmap64",
                "type": "Bitmap64MaskMap",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16389: { // ClusterTestClusterServer.Attribute.NullableInt8u
                "name": "NullableInt8u",
                "type": "int8u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16390: { // ClusterTestClusterServer.Attribute.NullableInt16u
                "name": "NullableInt16u",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16391: { // ClusterTestClusterServer.Attribute.NullableInt24u
                "name": "NullableInt24u",
                "type": "int24u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16392: { // ClusterTestClusterServer.Attribute.NullableInt32u
                "name": "NullableInt32u",
                "type": "int32u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16393: { // ClusterTestClusterServer.Attribute.NullableInt40u
                "name": "NullableInt40u",
                "type": "int40u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16394: { // ClusterTestClusterServer.Attribute.NullableInt48u
                "name": "NullableInt48u",
                "type": "int48u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16395: { // ClusterTestClusterServer.Attribute.NullableInt56u
                "name": "NullableInt56u",
                "type": "int56u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16396: { // ClusterTestClusterServer.Attribute.NullableInt64u
                "name": "NullableInt64u",
                "type": "int64u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16397: { // ClusterTestClusterServer.Attribute.NullableInt8s
                "name": "NullableInt8s",
                "type": "int8s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16398: { // ClusterTestClusterServer.Attribute.NullableInt16s
                "name": "NullableInt16s",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16399: { // ClusterTestClusterServer.Attribute.NullableInt24s
                "name": "NullableInt24s",
                "type": "int24s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16400: { // ClusterTestClusterServer.Attribute.NullableInt32s
                "name": "NullableInt32s",
                "type": "int32s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16401: { // ClusterTestClusterServer.Attribute.NullableInt40s
                "name": "NullableInt40s",
                "type": "int40s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16402: { // ClusterTestClusterServer.Attribute.NullableInt48s
                "name": "NullableInt48s",
                "type": "int48s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16403: { // ClusterTestClusterServer.Attribute.NullableInt56s
                "name": "NullableInt56s",
                "type": "int56s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16404: { // ClusterTestClusterServer.Attribute.NullableInt64s
                "name": "NullableInt64s",
                "type": "int64s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16405: { // ClusterTestClusterServer.Attribute.NullableEnum8
                "name": "NullableEnum8",
                "type": "enum8",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16406: { // ClusterTestClusterServer.Attribute.NullableEnum16
                "name": "NullableEnum16",
                "type": "enum16",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16407: { // ClusterTestClusterServer.Attribute.NullableFloatSingle
                "name": "NullableFloatSingle",
                "type": "single",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16408: { // ClusterTestClusterServer.Attribute.NullableFloatDouble
                "name": "NullableFloatDouble",
                "type": "double",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16409: { // ClusterTestClusterServer.Attribute.NullableOctetString
                "name": "NullableOctetString",
                "type": "octet_string",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16414: { // ClusterTestClusterServer.Attribute.NullableCharString
                "name": "NullableCharString",
                "type": "char_string",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16420: { // ClusterTestClusterServer.Attribute.NullableEnumAttr
                "name": "NullableEnumAttr",
                "type": "SimpleEnum",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16421: { // ClusterTestClusterServer.Attribute.NullableStruct
                "name": "NullableStruct",
                "type": "SimpleStruct",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16422: { // ClusterTestClusterServer.Attribute.NullableRangeRestrictedInt8u
                "name": "NullableRangeRestrictedInt8u",
                "type": "int8u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16423: { // ClusterTestClusterServer.Attribute.NullableRangeRestrictedInt8s
                "name": "NullableRangeRestrictedInt8s",
                "type": "int8s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16424: { // ClusterTestClusterServer.Attribute.NullableRangeRestrictedInt16u
                "name": "NullableRangeRestrictedInt16u",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16425: { // ClusterTestClusterServer.Attribute.NullableRangeRestrictedInt16s
                "name": "NullableRangeRestrictedInt16s",
                "type": "int16s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterTestClusterServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterTestClusterServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterTestClusterServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterTestClusterServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterTestClusterServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterTestClusterServer.Command.Test: this.onTest(msg, path); break;
            case ClusterTestClusterServer.Command.TestSpecificResponse: this.onTestSpecificResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestNotHandled: this.onTestNotHandled(msg, path); break;
            case ClusterTestClusterServer.Command.TestAddArgumentsResponse: this.onTestAddArgumentsResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestSpecific: this.onTestSpecific(msg, path); break;
            case ClusterTestClusterServer.Command.TestSimpleArgumentResponse: this.onTestSimpleArgumentResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestUnknownCommand: this.onTestUnknownCommand(msg, path); break;
            case ClusterTestClusterServer.Command.TestStructArrayArgumentResponse: this.onTestStructArrayArgumentResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestAddArguments: this.onTestAddArguments(msg, path); break;
            case ClusterTestClusterServer.Command.TestListInt8UReverseResponse: this.onTestListInt8UReverseResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestSimpleArgumentRequest: this.onTestSimpleArgumentRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestEnumsResponse: this.onTestEnumsResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestStructArrayArgumentRequest: this.onTestStructArrayArgumentRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestNullableOptionalResponse: this.onTestNullableOptionalResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestStructArgumentRequest: this.onTestStructArgumentRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestComplexNullableOptionalResponse: this.onTestComplexNullableOptionalResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestNestedStructArgumentRequest: this.onTestNestedStructArgumentRequest(msg, path); break;
            case ClusterTestClusterServer.Command.BooleanResponse: this.onBooleanResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestListStructArgumentRequest: this.onTestListStructArgumentRequest(msg, path); break;
            case ClusterTestClusterServer.Command.SimpleStructResponse: this.onSimpleStructResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestListInt8UArgumentRequest: this.onTestListInt8UArgumentRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestEmitTestEventResponse: this.onTestEmitTestEventResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestNestedStructListArgumentRequest: this.onTestNestedStructListArgumentRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestEmitTestFabricScopedEventResponse: this.onTestEmitTestFabricScopedEventResponse(msg, path); break;
            case ClusterTestClusterServer.Command.TestListNestedStructListArgumentRequest: this.onTestListNestedStructListArgumentRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestListInt8UReverseRequest: this.onTestListInt8UReverseRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestEnumsRequest: this.onTestEnumsRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestNullableOptionalRequest: this.onTestNullableOptionalRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestComplexNullableOptionalRequest: this.onTestComplexNullableOptionalRequest(msg, path); break;
            case ClusterTestClusterServer.Command.SimpleStructEchoRequest: this.onSimpleStructEchoRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TimedInvokeRequest: this.onTimedInvokeRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestSimpleOptionalArgumentRequest: this.onTestSimpleOptionalArgumentRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestEmitTestEventRequest: this.onTestEmitTestEventRequest(msg, path); break;
            case ClusterTestClusterServer.Command.TestEmitTestFabricScopedEventRequest: this.onTestEmitTestFabricScopedEventRequest(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onTest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestSpecificResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestSpecificResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestNotHandled(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestNotHandled")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestAddArgumentsResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestAddArgumentsResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestSpecific(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestSpecific")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestSimpleArgumentResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestSimpleArgumentResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestUnknownCommand(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestUnknownCommand")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestStructArrayArgumentResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestStructArrayArgumentResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestAddArguments(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestAddArguments")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestListInt8UReverseResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestListInt8UReverseResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestSimpleArgumentRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestSimpleArgumentRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestEnumsResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestEnumsResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestStructArrayArgumentRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestStructArrayArgumentRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestNullableOptionalResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestNullableOptionalResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestStructArgumentRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestStructArgumentRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestComplexNullableOptionalResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestComplexNullableOptionalResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestNestedStructArgumentRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestNestedStructArgumentRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onBooleanResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onBooleanResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestListStructArgumentRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestListStructArgumentRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSimpleStructResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onSimpleStructResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestListInt8UArgumentRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestListInt8UArgumentRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestEmitTestEventResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestEmitTestEventResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestNestedStructListArgumentRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestNestedStructListArgumentRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestEmitTestFabricScopedEventResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestEmitTestFabricScopedEventResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestListNestedStructListArgumentRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestListNestedStructListArgumentRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestListInt8UReverseRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestListInt8UReverseRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestEnumsRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestEnumsRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestNullableOptionalRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestNullableOptionalRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestComplexNullableOptionalRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestComplexNullableOptionalRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSimpleStructEchoRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onSimpleStructEchoRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTimedInvokeRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTimedInvokeRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestSimpleOptionalArgumentRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestSimpleOptionalArgumentRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestEmitTestEventRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestEmitTestEventRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onTestEmitTestFabricScopedEventRequest(msg, commandPath)
    {
        console.log(this.constructor.name+".onTestEmitTestFabricScopedEventRequest")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterThermostatServer
 */
class ClusterThermostatServer
{
    static CLUSTER_NAME = 'THERMOSTAT_CLUSTER'
    static CLUSTER_ID = 0x0201

    static Command = {
        SetpointRaiseLower: 0,
        GetWeeklyScheduleResponse: 0,
        SetWeeklySchedule: 1,
        GetRelayStatusLogResponse: 1,
        GetWeeklySchedule: 2,
        ClearWeeklySchedule: 3,
        GetRelayStatusLog: 4,
    }

    static Attribute = {
        LocalTemperature: 0,
        OutdoorTemperature: 1,
        Occupancy: 2,
        AbsMinHeatSetpointLimit: 3,
        AbsMaxHeatSetpointLimit: 4,
        AbsMinCoolSetpointLimit: 5,
        AbsMaxCoolSetpointLimit: 6,
        PiCoolingDemand: 7,
        PiHeatingDemand: 8,
        HvacSystemTypeConfiguration: 9,
        LocalTemperatureCalibration: 16,
        OccupiedCoolingSetpoint: 17,
        OccupiedHeatingSetpoint: 18,
        UnoccupiedCoolingSetpoint: 19,
        UnoccupiedHeatingSetpoint: 20,
        MinHeatSetpointLimit: 21,
        MaxHeatSetpointLimit: 22,
        MinCoolSetpointLimit: 23,
        MaxCoolSetpointLimit: 24,
        MinSetpointDeadBand: 25,
        RemoteSensing: 26,
        ControlSequenceOfOperation: 27,
        SystemMode: 28,
        AlarmMask: 29,
        ThermostatRunningMode: 30,
        StartOfWeek: 32,
        NumberOfWeeklyTransitions: 33,
        NumberOfDailyTransitions: 34,
        TemperatureSetpointHold: 35,
        TemperatureSetpointHoldDuration: 36,
        ThermostatProgrammingOperationMode: 37,
        ThermostatRunningState: 41,
        SetpointChangeSource: 48,
        SetpointChangeAmount: 49,
        SetpointChangeSourceTimestamp: 50,
        AcType: 64,
        AcCapacity: 65,
        AcRefrigerantType: 66,
        AcCompressorType: 67,
        AcErrorCode: 68,
        AcLouverPosition: 69,
        AcCoilTemperature: 70,
        AcCapacityFormat: 71,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandSetpointRaiseLower = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.Mode },
          { 'tag': 1, 'type': 'int8_t', 'value': params.Amount },
        ]
    }
    static TemplateCommandGetWeeklyScheduleResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.NumberOfTransitionsForSequence },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.DayOfWeekForSequence },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.ModeForSequence },
          { 'tag': 3, 'type': 'array', 'value': [] }, // params.Payload
        ]
    }
    static TemplateCommandSetWeeklySchedule = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.NumberOfTransitionsForSequence },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.DayOfWeekForSequence },
          { 'tag': 2, 'type': 'uint8_t', 'value': params.ModeForSequence },
          { 'tag': 3, 'type': 'array', 'value': [] }, // params.Payload
        ]
    }
    static TemplateCommandGetRelayStatusLogResponse = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.TimeOfDay },
          { 'tag': 1, 'type': 'uint16_t', 'value': params.RelayStatus },
          { 'tag': 2, 'type': 'int16_t', 'value': params.LocalTemperature },
          { 'tag': 3, 'type': 'uint8_t', 'value': params.HumidityInPercentage },
          { 'tag': 4, 'type': 'int16_t', 'value': params.Setpoint },
          { 'tag': 5, 'type': 'uint16_t', 'value': params.UnreadEntries },
        ]
    }
    static TemplateCommandGetWeeklySchedule = function(params) {
        return [
          { 'tag': 0, 'type': 'uint8_t', 'value': params.DaysToReturn },
          { 'tag': 1, 'type': 'uint8_t', 'value': params.ModeToReturn },
        ]
    }
    static TemplateCommandClearWeeklySchedule = function(params) {
        return [
        ]
    }
    static TemplateCommandGetRelayStatusLog = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterThermostatServer.Attribute.LocalTemperature
                "name": "LocalTemperature",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterThermostatServer.Attribute.OutdoorTemperature
                "name": "OutdoorTemperature",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterThermostatServer.Attribute.Occupancy
                "name": "Occupancy",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterThermostatServer.Attribute.AbsMinHeatSetpointLimit
                "name": "AbsMinHeatSetpointLimit",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterThermostatServer.Attribute.AbsMaxHeatSetpointLimit
                "name": "AbsMaxHeatSetpointLimit",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterThermostatServer.Attribute.AbsMinCoolSetpointLimit
                "name": "AbsMinCoolSetpointLimit",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterThermostatServer.Attribute.AbsMaxCoolSetpointLimit
                "name": "AbsMaxCoolSetpointLimit",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterThermostatServer.Attribute.PiCoolingDemand
                "name": "PiCoolingDemand",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterThermostatServer.Attribute.PiHeatingDemand
                "name": "PiHeatingDemand",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            9: { // ClusterThermostatServer.Attribute.HvacSystemTypeConfiguration
                "name": "HvacSystemTypeConfiguration",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterThermostatServer.Attribute.LocalTemperatureCalibration
                "name": "LocalTemperatureCalibration",
                "type": "int8s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterThermostatServer.Attribute.OccupiedCoolingSetpoint
                "name": "OccupiedCoolingSetpoint",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterThermostatServer.Attribute.OccupiedHeatingSetpoint
                "name": "OccupiedHeatingSetpoint",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterThermostatServer.Attribute.UnoccupiedCoolingSetpoint
                "name": "UnoccupiedCoolingSetpoint",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            20: { // ClusterThermostatServer.Attribute.UnoccupiedHeatingSetpoint
                "name": "UnoccupiedHeatingSetpoint",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            21: { // ClusterThermostatServer.Attribute.MinHeatSetpointLimit
                "name": "MinHeatSetpointLimit",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            22: { // ClusterThermostatServer.Attribute.MaxHeatSetpointLimit
                "name": "MaxHeatSetpointLimit",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            23: { // ClusterThermostatServer.Attribute.MinCoolSetpointLimit
                "name": "MinCoolSetpointLimit",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            24: { // ClusterThermostatServer.Attribute.MaxCoolSetpointLimit
                "name": "MaxCoolSetpointLimit",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            25: { // ClusterThermostatServer.Attribute.MinSetpointDeadBand
                "name": "MinSetpointDeadBand",
                "type": "int8s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            26: { // ClusterThermostatServer.Attribute.RemoteSensing
                "name": "RemoteSensing",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            27: { // ClusterThermostatServer.Attribute.ControlSequenceOfOperation
                "name": "ControlSequenceOfOperation",
                "type": "ThermostatControlSequence",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            28: { // ClusterThermostatServer.Attribute.SystemMode
                "name": "SystemMode",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            29: { // ClusterThermostatServer.Attribute.AlarmMask
                "name": "AlarmMask",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            30: { // ClusterThermostatServer.Attribute.ThermostatRunningMode
                "name": "ThermostatRunningMode",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            32: { // ClusterThermostatServer.Attribute.StartOfWeek
                "name": "StartOfWeek",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            33: { // ClusterThermostatServer.Attribute.NumberOfWeeklyTransitions
                "name": "NumberOfWeeklyTransitions",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            34: { // ClusterThermostatServer.Attribute.NumberOfDailyTransitions
                "name": "NumberOfDailyTransitions",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            35: { // ClusterThermostatServer.Attribute.TemperatureSetpointHold
                "name": "TemperatureSetpointHold",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            36: { // ClusterThermostatServer.Attribute.TemperatureSetpointHoldDuration
                "name": "TemperatureSetpointHoldDuration",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            37: { // ClusterThermostatServer.Attribute.ThermostatProgrammingOperationMode
                "name": "ThermostatProgrammingOperationMode",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            41: { // ClusterThermostatServer.Attribute.ThermostatRunningState
                "name": "ThermostatRunningState",
                "type": "bitmap16",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            48: { // ClusterThermostatServer.Attribute.SetpointChangeSource
                "name": "SetpointChangeSource",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            49: { // ClusterThermostatServer.Attribute.SetpointChangeAmount
                "name": "SetpointChangeAmount",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            50: { // ClusterThermostatServer.Attribute.SetpointChangeSourceTimestamp
                "name": "SetpointChangeSourceTimestamp",
                "type": "epoch_s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            64: { // ClusterThermostatServer.Attribute.AcType
                "name": "AcType",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65: { // ClusterThermostatServer.Attribute.AcCapacity
                "name": "AcCapacity",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            66: { // ClusterThermostatServer.Attribute.AcRefrigerantType
                "name": "AcRefrigerantType",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            67: { // ClusterThermostatServer.Attribute.AcCompressorType
                "name": "AcCompressorType",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            68: { // ClusterThermostatServer.Attribute.AcErrorCode
                "name": "AcErrorCode",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            69: { // ClusterThermostatServer.Attribute.AcLouverPosition
                "name": "AcLouverPosition",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            70: { // ClusterThermostatServer.Attribute.AcCoilTemperature
                "name": "AcCoilTemperature",
                "type": "int16s",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            71: { // ClusterThermostatServer.Attribute.AcCapacityFormat
                "name": "AcCapacityFormat",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterThermostatServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterThermostatServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterThermostatServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterThermostatServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterThermostatServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterThermostatServer.Command.SetpointRaiseLower: this.onSetpointRaiseLower(msg, path); break;
            case ClusterThermostatServer.Command.GetWeeklyScheduleResponse: this.onGetWeeklyScheduleResponse(msg, path); break;
            case ClusterThermostatServer.Command.SetWeeklySchedule: this.onSetWeeklySchedule(msg, path); break;
            case ClusterThermostatServer.Command.GetRelayStatusLogResponse: this.onGetRelayStatusLogResponse(msg, path); break;
            case ClusterThermostatServer.Command.GetWeeklySchedule: this.onGetWeeklySchedule(msg, path); break;
            case ClusterThermostatServer.Command.ClearWeeklySchedule: this.onClearWeeklySchedule(msg, path); break;
            case ClusterThermostatServer.Command.GetRelayStatusLog: this.onGetRelayStatusLog(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onSetpointRaiseLower(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetpointRaiseLower")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetWeeklyScheduleResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetWeeklyScheduleResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onSetWeeklySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onSetWeeklySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetRelayStatusLogResponse(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetRelayStatusLogResponse")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetWeeklySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetWeeklySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onClearWeeklySchedule(msg, commandPath)
    {
        console.log(this.constructor.name+".onClearWeeklySchedule")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGetRelayStatusLog(msg, commandPath)
    {
        console.log(this.constructor.name+".onGetRelayStatusLog")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterThermostatUserInterfaceConfigurationServer
 */
class ClusterThermostatUserInterfaceConfigurationServer
{
    static CLUSTER_NAME = 'THERMOSTAT_UI_CONFIG_CLUSTER'
    static CLUSTER_ID = 0x0204

    static Command = {
    }

    static Attribute = {
        TemperatureDisplayMode: 0,
        KeypadLockout: 1,
        ScheduleProgrammingVisibility: 2,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterThermostatUserInterfaceConfigurationServer.Attribute.TemperatureDisplayMode
                "name": "TemperatureDisplayMode",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterThermostatUserInterfaceConfigurationServer.Attribute.KeypadLockout
                "name": "KeypadLockout",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterThermostatUserInterfaceConfigurationServer.Attribute.ScheduleProgrammingVisibility
                "name": "ScheduleProgrammingVisibility",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterThermostatUserInterfaceConfigurationServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterThermostatUserInterfaceConfigurationServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterThermostatUserInterfaceConfigurationServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterThermostatUserInterfaceConfigurationServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterThermostatUserInterfaceConfigurationServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterThreadNetworkDiagnosticsServer
 */
class ClusterThreadNetworkDiagnosticsServer
{
    static CLUSTER_NAME = 'THREAD_NETWORK_DIAGNOSTICS_CLUSTER'
    static CLUSTER_ID = 0x0035

    static Command = {
        ResetCounts: 0,
    }

    static Attribute = {
        Channel: 0,
        RoutingRole: 1,
        NetworkName: 2,
        PanId: 3,
        ExtendedPanId: 4,
        MeshLocalPrefix: 5,
        OverrunCount: 6,
        NeighborTableList: 7,
        RouteTableList: 8,
        PartitionId: 9,
        Weighting: 10,
        DataVersion: 11,
        StableDataVersion: 12,
        LeaderRouterId: 13,
        DetachedRoleCount: 14,
        ChildRoleCount: 15,
        RouterRoleCount: 16,
        LeaderRoleCount: 17,
        AttachAttemptCount: 18,
        PartitionIdChangeCount: 19,
        BetterPartitionAttachAttemptCount: 20,
        ParentChangeCount: 21,
        TxTotalCount: 22,
        TxUnicastCount: 23,
        TxBroadcastCount: 24,
        TxAckRequestedCount: 25,
        TxAckedCount: 26,
        TxNoAckRequestedCount: 27,
        TxDataCount: 28,
        TxDataPollCount: 29,
        TxBeaconCount: 30,
        TxBeaconRequestCount: 31,
        TxOtherCount: 32,
        TxRetryCount: 33,
        TxDirectMaxRetryExpiryCount: 34,
        TxIndirectMaxRetryExpiryCount: 35,
        TxErrCcaCount: 36,
        TxErrAbortCount: 37,
        TxErrBusyChannelCount: 38,
        RxTotalCount: 39,
        RxUnicastCount: 40,
        RxBroadcastCount: 41,
        RxDataCount: 42,
        RxDataPollCount: 43,
        RxBeaconCount: 44,
        RxBeaconRequestCount: 45,
        RxOtherCount: 46,
        RxAddressFilteredCount: 47,
        RxDestAddrFilteredCount: 48,
        RxDuplicatedCount: 49,
        RxErrNoFrameCount: 50,
        RxErrUnknownNeighborCount: 51,
        RxErrInvalidSrcAddrCount: 52,
        RxErrSecCount: 53,
        RxErrFcsCount: 54,
        RxErrOtherCount: 55,
        ActiveTimestamp: 56,
        PendingTimestamp: 57,
        Delay: 58,
        SecurityPolicy: 59,
        ChannelMask: 60,
        OperationalDatasetComponents: 61,
        ActiveNetworkFaultsList: 62,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandResetCounts = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterThreadNetworkDiagnosticsServer.Attribute.Channel
                "name": "Channel",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RoutingRole
                "name": "RoutingRole",
                "type": "enum8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterThreadNetworkDiagnosticsServer.Attribute.NetworkName
                "name": "NetworkName",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterThreadNetworkDiagnosticsServer.Attribute.PanId
                "name": "PanId",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterThreadNetworkDiagnosticsServer.Attribute.ExtendedPanId
                "name": "ExtendedPanId",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterThreadNetworkDiagnosticsServer.Attribute.MeshLocalPrefix
                "name": "MeshLocalPrefix",
                "type": "octet_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterThreadNetworkDiagnosticsServer.Attribute.OverrunCount
                "name": "OverrunCount",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterThreadNetworkDiagnosticsServer.Attribute.NeighborTableList
                "name": "NeighborTableList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RouteTableList
                "name": "RouteTableList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            9: { // ClusterThreadNetworkDiagnosticsServer.Attribute.PartitionId
                "name": "PartitionId",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            10: { // ClusterThreadNetworkDiagnosticsServer.Attribute.Weighting
                "name": "Weighting",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            11: { // ClusterThreadNetworkDiagnosticsServer.Attribute.DataVersion
                "name": "DataVersion",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            12: { // ClusterThreadNetworkDiagnosticsServer.Attribute.StableDataVersion
                "name": "StableDataVersion",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            13: { // ClusterThreadNetworkDiagnosticsServer.Attribute.LeaderRouterId
                "name": "LeaderRouterId",
                "type": "int8u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            14: { // ClusterThreadNetworkDiagnosticsServer.Attribute.DetachedRoleCount
                "name": "DetachedRoleCount",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            15: { // ClusterThreadNetworkDiagnosticsServer.Attribute.ChildRoleCount
                "name": "ChildRoleCount",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RouterRoleCount
                "name": "RouterRoleCount",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterThreadNetworkDiagnosticsServer.Attribute.LeaderRoleCount
                "name": "LeaderRoleCount",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterThreadNetworkDiagnosticsServer.Attribute.AttachAttemptCount
                "name": "AttachAttemptCount",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterThreadNetworkDiagnosticsServer.Attribute.PartitionIdChangeCount
                "name": "PartitionIdChangeCount",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            20: { // ClusterThreadNetworkDiagnosticsServer.Attribute.BetterPartitionAttachAttemptCount
                "name": "BetterPartitionAttachAttemptCount",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            21: { // ClusterThreadNetworkDiagnosticsServer.Attribute.ParentChangeCount
                "name": "ParentChangeCount",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            22: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxTotalCount
                "name": "TxTotalCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            23: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxUnicastCount
                "name": "TxUnicastCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            24: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxBroadcastCount
                "name": "TxBroadcastCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            25: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxAckRequestedCount
                "name": "TxAckRequestedCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            26: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxAckedCount
                "name": "TxAckedCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            27: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxNoAckRequestedCount
                "name": "TxNoAckRequestedCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            28: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxDataCount
                "name": "TxDataCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            29: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxDataPollCount
                "name": "TxDataPollCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            30: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxBeaconCount
                "name": "TxBeaconCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            31: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxBeaconRequestCount
                "name": "TxBeaconRequestCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            32: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxOtherCount
                "name": "TxOtherCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            33: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxRetryCount
                "name": "TxRetryCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            34: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxDirectMaxRetryExpiryCount
                "name": "TxDirectMaxRetryExpiryCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            35: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxIndirectMaxRetryExpiryCount
                "name": "TxIndirectMaxRetryExpiryCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            36: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxErrCcaCount
                "name": "TxErrCcaCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            37: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxErrAbortCount
                "name": "TxErrAbortCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            38: { // ClusterThreadNetworkDiagnosticsServer.Attribute.TxErrBusyChannelCount
                "name": "TxErrBusyChannelCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            39: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxTotalCount
                "name": "RxTotalCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            40: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxUnicastCount
                "name": "RxUnicastCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            41: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxBroadcastCount
                "name": "RxBroadcastCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            42: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxDataCount
                "name": "RxDataCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            43: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxDataPollCount
                "name": "RxDataPollCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            44: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxBeaconCount
                "name": "RxBeaconCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            45: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxBeaconRequestCount
                "name": "RxBeaconRequestCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            46: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxOtherCount
                "name": "RxOtherCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            47: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxAddressFilteredCount
                "name": "RxAddressFilteredCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            48: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxDestAddrFilteredCount
                "name": "RxDestAddrFilteredCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            49: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxDuplicatedCount
                "name": "RxDuplicatedCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            50: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxErrNoFrameCount
                "name": "RxErrNoFrameCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            51: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxErrUnknownNeighborCount
                "name": "RxErrUnknownNeighborCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            52: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxErrInvalidSrcAddrCount
                "name": "RxErrInvalidSrcAddrCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            53: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxErrSecCount
                "name": "RxErrSecCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            54: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxErrFcsCount
                "name": "RxErrFcsCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            55: { // ClusterThreadNetworkDiagnosticsServer.Attribute.RxErrOtherCount
                "name": "RxErrOtherCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            56: { // ClusterThreadNetworkDiagnosticsServer.Attribute.ActiveTimestamp
                "name": "ActiveTimestamp",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            57: { // ClusterThreadNetworkDiagnosticsServer.Attribute.PendingTimestamp
                "name": "PendingTimestamp",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            58: { // ClusterThreadNetworkDiagnosticsServer.Attribute.Delay
                "name": "Delay",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            59: { // ClusterThreadNetworkDiagnosticsServer.Attribute.SecurityPolicy
                "name": "SecurityPolicy",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            60: { // ClusterThreadNetworkDiagnosticsServer.Attribute.ChannelMask
                "name": "ChannelMask",
                "type": "octet_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            61: { // ClusterThreadNetworkDiagnosticsServer.Attribute.OperationalDatasetComponents
                "name": "OperationalDatasetComponents",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            62: { // ClusterThreadNetworkDiagnosticsServer.Attribute.ActiveNetworkFaultsList
                "name": "ActiveNetworkFaultsList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterThreadNetworkDiagnosticsServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterThreadNetworkDiagnosticsServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterThreadNetworkDiagnosticsServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterThreadNetworkDiagnosticsServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterThreadNetworkDiagnosticsServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterThreadNetworkDiagnosticsServer.Command.ResetCounts: this.onResetCounts(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onResetCounts(msg, commandPath)
    {
        console.log(this.constructor.name+".onResetCounts")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterTimeFormatLocalizationServer
 */
class ClusterTimeFormatLocalizationServer
{
    static CLUSTER_NAME = 'TIME_FORMAT_LOCALIZATION_CLUSTER'
    static CLUSTER_ID = 0x002C

    static Command = {
    }

    static Attribute = {
        HourFormat: 0,
        ActiveCalendarType: 1,
        SupportedCalendarTypes: 2,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterTimeFormatLocalizationServer.Attribute.HourFormat
                "name": "HourFormat",
                "type": "HourFormat",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterTimeFormatLocalizationServer.Attribute.ActiveCalendarType
                "name": "ActiveCalendarType",
                "type": "CalendarType",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterTimeFormatLocalizationServer.Attribute.SupportedCalendarTypes
                "name": "SupportedCalendarTypes",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterTimeFormatLocalizationServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterTimeFormatLocalizationServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterTimeFormatLocalizationServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterTimeFormatLocalizationServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterTimeFormatLocalizationServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterUnitLocalizationServer
 */
class ClusterUnitLocalizationServer
{
    static CLUSTER_NAME = 'UNIT_LOCALIZATION_CLUSTER'
    static CLUSTER_ID = 0x002D

    static Command = {
    }

    static Attribute = {
        TemperatureUnit: 0,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterUnitLocalizationServer.Attribute.TemperatureUnit
                "name": "TemperatureUnit",
                "type": "TempUnit",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterUnitLocalizationServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterUnitLocalizationServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterUnitLocalizationServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterUnitLocalizationServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterUnitLocalizationServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterUserLabelServer
 */
class ClusterUserLabelServer
{
    static CLUSTER_NAME = 'USER_LABEL_CLUSTER'
    static CLUSTER_ID = 0x0041

    static Command = {
    }

    static Attribute = {
        LabelList: 0,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterUserLabelServer.Attribute.LabelList
                "name": "LabelList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterUserLabelServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterUserLabelServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterUserLabelServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterUserLabelServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterUserLabelServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterWakeOnLanServer
 */
class ClusterWakeOnLanServer
{
    static CLUSTER_NAME = 'WAKE_ON_LAN_CLUSTER'
    static CLUSTER_ID = 0x0503

    static Command = {
    }

    static Attribute = {
        MACAddress: 0,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterWakeOnLanServer.Attribute.MACAddress
                "name": "MACAddress",
                "type": "char_string",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterWakeOnLanServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterWakeOnLanServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterWakeOnLanServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterWakeOnLanServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterWakeOnLanServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
}

/**
 * ClusterWiFiNetworkDiagnosticsServer
 */
class ClusterWiFiNetworkDiagnosticsServer
{
    static CLUSTER_NAME = 'WIFI_NETWORK_DIAGNOSTICS_CLUSTER'
    static CLUSTER_ID = 0x0036

    static Command = {
        ResetCounts: 0,
    }

    static Attribute = {
        Bssid: 0,
        SecurityType: 1,
        WiFiVersion: 2,
        ChannelNumber: 3,
        Rssi: 4,
        BeaconLostCount: 5,
        BeaconRxCount: 6,
        PacketMulticastRxCount: 7,
        PacketMulticastTxCount: 8,
        PacketUnicastRxCount: 9,
        PacketUnicastTxCount: 10,
        CurrentMaxRate: 11,
        OverrunCount: 12,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandResetCounts = function(params) {
        return [
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.Bssid
                "name": "Bssid",
                "type": "octet_string",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.SecurityType
                "name": "SecurityType",
                "type": "SecurityType",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.WiFiVersion
                "name": "WiFiVersion",
                "type": "WiFiVersionType",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.ChannelNumber
                "name": "ChannelNumber",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.Rssi
                "name": "Rssi",
                "type": "int8s",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.BeaconLostCount
                "name": "BeaconLostCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.BeaconRxCount
                "name": "BeaconRxCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.PacketMulticastRxCount
                "name": "PacketMulticastRxCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.PacketMulticastTxCount
                "name": "PacketMulticastTxCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            9: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.PacketUnicastRxCount
                "name": "PacketUnicastRxCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            10: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.PacketUnicastTxCount
                "name": "PacketUnicastTxCount",
                "type": "int32u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            11: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.CurrentMaxRate
                "name": "CurrentMaxRate",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            12: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.OverrunCount
                "name": "OverrunCount",
                "type": "int64u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterWiFiNetworkDiagnosticsServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterWiFiNetworkDiagnosticsServer.Command.ResetCounts: this.onResetCounts(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onResetCounts(msg, commandPath)
    {
        console.log(this.constructor.name+".onResetCounts")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}

/**
 * ClusterWindowCoveringServer
 */
class ClusterWindowCoveringServer
{
    static CLUSTER_NAME = 'WINDOW_COVERING_CLUSTER'
    static CLUSTER_ID = 0x0102

    static Command = {
        UpOrOpen: 0,
        DownOrClose: 1,
        StopMotion: 2,
        GoToLiftValue: 4,
        GoToLiftPercentage: 5,
        GoToTiltValue: 7,
        GoToTiltPercentage: 8,
    }

    static Attribute = {
        Type: 0,
        PhysicalClosedLimitLift: 1,
        PhysicalClosedLimitTilt: 2,
        CurrentPositionLift: 3,
        CurrentPositionTilt: 4,
        NumberOfActuationsLift: 5,
        NumberOfActuationsTilt: 6,
        ConfigStatus: 7,
        CurrentPositionLiftPercentage: 8,
        CurrentPositionTiltPercentage: 9,
        OperationalStatus: 10,
        TargetPositionLiftPercent100ths: 11,
        TargetPositionTiltPercent100ths: 12,
        EndProductType: 13,
        CurrentPositionLiftPercent100ths: 14,
        CurrentPositionTiltPercent100ths: 15,
        InstalledOpenLimitLift: 16,
        InstalledClosedLimitLift: 17,
        InstalledOpenLimitTilt: 18,
        InstalledClosedLimitTilt: 19,
        Mode: 23,
        SafetyStatus: 26,
        GeneratedCommandList: 65528,
        AcceptedCommandList: 65529,
        AttributeList: 65531,
        FeatureMap: 65532,
        ClusterRevision: 65533,
    }


    // ============================================
    //              COMMAND TEMPLATES
    // ============================================
    static TemplateCommandUpOrOpen = function(params) {
        return [
        ]
    }
    static TemplateCommandDownOrClose = function(params) {
        return [
        ]
    }
    static TemplateCommandStopMotion = function(params) {
        return [
        ]
    }
    static TemplateCommandGoToLiftValue = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.LiftValue },
        ]
    }
    static TemplateCommandGoToLiftPercentage = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::Percent100ths', 'value': params.LiftPercent100thsValue },
        ]
    }
    static TemplateCommandGoToTiltValue = function(params) {
        return [
          { 'tag': 0, 'type': 'uint16_t', 'value': params.TiltValue },
        ]
    }
    static TemplateCommandGoToTiltPercentage = function(params) {
        return [
          { 'tag': 0, 'type': 'chip::Percent100ths', 'value': params.TiltPercent100thsValue },
        ]
    }

    // ============================================
    //             ATTRIBUTE TEMPLATES
    // ============================================

    constructor(imManager) {
        this._imManager = imManager
        this._dataVersion = Random.getRandomUint32()

        this._attributes = {
            0: { // ClusterWindowCoveringServer.Attribute.Type
                "name": "Type",
                "type": "Type",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            1: { // ClusterWindowCoveringServer.Attribute.PhysicalClosedLimitLift
                "name": "PhysicalClosedLimitLift",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            2: { // ClusterWindowCoveringServer.Attribute.PhysicalClosedLimitTilt
                "name": "PhysicalClosedLimitTilt",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            3: { // ClusterWindowCoveringServer.Attribute.CurrentPositionLift
                "name": "CurrentPositionLift",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            4: { // ClusterWindowCoveringServer.Attribute.CurrentPositionTilt
                "name": "CurrentPositionTilt",
                "type": "int16u",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            5: { // ClusterWindowCoveringServer.Attribute.NumberOfActuationsLift
                "name": "NumberOfActuationsLift",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            6: { // ClusterWindowCoveringServer.Attribute.NumberOfActuationsTilt
                "name": "NumberOfActuationsTilt",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            7: { // ClusterWindowCoveringServer.Attribute.ConfigStatus
                "name": "ConfigStatus",
                "type": "ConfigStatus",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            8: { // ClusterWindowCoveringServer.Attribute.CurrentPositionLiftPercentage
                "name": "CurrentPositionLiftPercentage",
                "type": "Percent",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            9: { // ClusterWindowCoveringServer.Attribute.CurrentPositionTiltPercentage
                "name": "CurrentPositionTiltPercentage",
                "type": "Percent",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            10: { // ClusterWindowCoveringServer.Attribute.OperationalStatus
                "name": "OperationalStatus",
                "type": "bitmap8",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            11: { // ClusterWindowCoveringServer.Attribute.TargetPositionLiftPercent100ths
                "name": "TargetPositionLiftPercent100ths",
                "type": "Percent100ths",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            12: { // ClusterWindowCoveringServer.Attribute.TargetPositionTiltPercent100ths
                "name": "TargetPositionTiltPercent100ths",
                "type": "Percent100ths",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            13: { // ClusterWindowCoveringServer.Attribute.EndProductType
                "name": "EndProductType",
                "type": "EndProductType",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            14: { // ClusterWindowCoveringServer.Attribute.CurrentPositionLiftPercent100ths
                "name": "CurrentPositionLiftPercent100ths",
                "type": "Percent100ths",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            15: { // ClusterWindowCoveringServer.Attribute.CurrentPositionTiltPercent100ths
                "name": "CurrentPositionTiltPercent100ths",
                "type": "Percent100ths",
                "nullable": true,
                "nosubscribe": true,
                "readonly": true,
            },
            16: { // ClusterWindowCoveringServer.Attribute.InstalledOpenLimitLift
                "name": "InstalledOpenLimitLift",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            17: { // ClusterWindowCoveringServer.Attribute.InstalledClosedLimitLift
                "name": "InstalledClosedLimitLift",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            18: { // ClusterWindowCoveringServer.Attribute.InstalledOpenLimitTilt
                "name": "InstalledOpenLimitTilt",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            19: { // ClusterWindowCoveringServer.Attribute.InstalledClosedLimitTilt
                "name": "InstalledClosedLimitTilt",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            23: { // ClusterWindowCoveringServer.Attribute.Mode
                "name": "Mode",
                "type": "Mode",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            26: { // ClusterWindowCoveringServer.Attribute.SafetyStatus
                "name": "SafetyStatus",
                "type": "bitmap16",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65528: { // ClusterWindowCoveringServer.Attribute.GeneratedCommandList
                "name": "GeneratedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65529: { // ClusterWindowCoveringServer.Attribute.AcceptedCommandList
                "name": "AcceptedCommandList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65531: { // ClusterWindowCoveringServer.Attribute.AttributeList
                "name": "AttributeList",
                "type": "array",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65532: { // ClusterWindowCoveringServer.Attribute.FeatureMap
                "name": "FeatureMap",
                "type": "bitmap32",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
            65533: { // ClusterWindowCoveringServer.Attribute.ClusterRevision
                "name": "ClusterRevision",
                "type": "int16u",
                "nullable": false,
                "nosubscribe": true,
                "readonly": true,
            },
        }
    }

    /**
     * Dispatches incoming commands for this cluster to the correct handler.
     */
    onCommand(msg, path)
    {
        console.log(this.constructor.name+".onCommand "+path.CommandId)
        switch(path.CommandId)
        {
            case ClusterWindowCoveringServer.Command.UpOrOpen: this.onUpOrOpen(msg, path); break;
            case ClusterWindowCoveringServer.Command.DownOrClose: this.onDownOrClose(msg, path); break;
            case ClusterWindowCoveringServer.Command.StopMotion: this.onStopMotion(msg, path); break;
            case ClusterWindowCoveringServer.Command.GoToLiftValue: this.onGoToLiftValue(msg, path); break;
            case ClusterWindowCoveringServer.Command.GoToLiftPercentage: this.onGoToLiftPercentage(msg, path); break;
            case ClusterWindowCoveringServer.Command.GoToTiltValue: this.onGoToTiltValue(msg, path); break;
            case ClusterWindowCoveringServer.Command.GoToTiltPercentage: this.onGoToTiltPercentage(msg, path); break;
        }
    }

    // ============================================
    //              COMMAND HANDLERS
    // ============================================
    onUpOrOpen(msg, commandPath)
    {
        console.log(this.constructor.name+".onUpOrOpen")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onDownOrClose(msg, commandPath)
    {
        console.log(this.constructor.name+".onDownOrClose")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onStopMotion(msg, commandPath)
    {
        console.log(this.constructor.name+".onStopMotion")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGoToLiftValue(msg, commandPath)
    {
        console.log(this.constructor.name+".onGoToLiftValue")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGoToLiftPercentage(msg, commandPath)
    {
        console.log(this.constructor.name+".onGoToLiftPercentage")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGoToTiltValue(msg, commandPath)
    {
        console.log(this.constructor.name+".onGoToTiltValue")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

    onGoToTiltPercentage(msg, commandPath)
    {
        console.log(this.constructor.name+".onGoToTiltPercentage")
        this._imManager.sendInvokeCommandResponseStatus(exchange, commandPath, 0)
    }

}


module.exports = {
    ClusterAccessControlServer,
    ClusterAccountLoginServer,
    ClusterAdministratorCommissioningServer,
    ClusterApplicationBasicServer,
    ClusterApplicationLauncherServer,
    ClusterAudioOutputServer,
    ClusterBarrierControlServer,
    ClusterBasicServer,
    ClusterBinaryInputBasicServer,
    ClusterBindingServer,
    ClusterBooleanStateServer,
    ClusterBridgedActionsServer,
    ClusterChannelServer,
    ClusterColorControlServer,
    ClusterContentLauncherServer,
    ClusterDescriptorServer,
    ClusterDiagnosticLogsServer,
    ClusterDoorLockServer,
    ClusterElectricalMeasurementServer,
    ClusterEthernetNetworkDiagnosticsServer,
    ClusterFanControlServer,
    ClusterFixedLabelServer,
    ClusterFlowMeasurementServer,
    ClusterGeneralCommissioningServer,
    ClusterGeneralDiagnosticsServer,
    ClusterGroupKeyManagementServer,
    ClusterGroupsServer,
    ClusterIasZoneServer,
    ClusterIdentifyServer,
    ClusterIlluminanceMeasurementServer,
    ClusterKeypadInputServer,
    ClusterLevelControlServer,
    ClusterLocalizationConfigurationServer,
    ClusterLowPowerServer,
    ClusterMediaInputServer,
    ClusterMediaPlaybackServer,
    ClusterModeSelectServer,
    ClusterNetworkCommissioningServer,
    ClusterOtaSoftwareUpdateProviderClient,
    ClusterOtaSoftwareUpdateRequestorServer,
    ClusterOccupancySensingServer,
    ClusterOnOffServer,
    ClusterOnOffSwitchConfigurationServer,
    ClusterOperationalCredentialsServer,
    ClusterPowerSourceServer,
    ClusterPowerSourceConfigurationServer,
    ClusterPressureMeasurementServer,
    ClusterPumpConfigurationAndControlServer,
    ClusterRelativeHumidityMeasurementServer,
    ClusterScenesServer,
    ClusterSoftwareDiagnosticsServer,
    ClusterSwitchServer,
    ClusterTargetNavigatorServer,
    ClusterTemperatureMeasurementServer,
    ClusterTestClusterServer,
    ClusterThermostatServer,
    ClusterThermostatUserInterfaceConfigurationServer,
    ClusterThreadNetworkDiagnosticsServer,
    ClusterTimeFormatLocalizationServer,
    ClusterUnitLocalizationServer,
    ClusterUserLabelServer,
    ClusterWakeOnLanServer,
    ClusterWiFiNetworkDiagnosticsServer,
    ClusterWindowCoveringServer,
}
